<?php

$config = array(
	'title' => esc_html__( 'Portfolio Item Options', 'qodux_fw' ),
	'id' => 'portfolio',
	'pages' => array('portfolio'),
	'callback' => '',
	'context' => 'normal',
	'priority' => 'high',
);
function get_sidebar_portfolio(){
	$sidebars = focus_wp_get_option('sidebar','sidebars');
	if(!empty($sidebars)){
		$sidebars_array = explode(',',$sidebars);
		
		$options = array();
		foreach ($sidebars_array as $sidebar){
			$options[$sidebar] = $sidebar;
		}
		return $options;
	}else{
		return array();
	}
}
$options = array(
	array(
		"name" => esc_html__( "Featured Portfolio Entry", 'qodux_fw' ),
		"desc" => esc_html__( "Here you can choose to dispaly or not the Featured Portfolio Entry only for this portfolio item.", 'qodux_fw' ),
		"id" => "_featured_image",
		"default" => '',
		"type" => "qodx_tritoggle",
	),
	array(
		"name" => esc_html__( "Disable Breadcrumbs", 'qodux_fw' ),
		"desc" => esc_html__( 'This option disables breadcrumbs on a page/post.', 'qodux_fw' ),
		"id" => "_disable_breadcrumb",
		"label" => "Check to disable breadcrumbs on this post",
		"default" => "",
		"type" => "qodx_tritoggle"
	),	
	array(
		"name" => esc_html__( "Portfolio Type", 'qodux_fw' ),
		"desc" => sprintf(esc_html__( "The lightbox supports just images and videos. If the portfolio is a document type then the thumbnail image is linked to the portfolio item.", 'qodux_fw' ),QODUX_FRAME_NAME),
		"id" => "_portfolio_type",
		"default" => 'image',
		"options" => array(
			"image" => esc_html__( 'Image', 'qodux_fw' ),
			"video" => esc_html__( 'Video', 'qodux_fw' ),
			"doc"   => esc_html__( 'Document', 'qodux_fw' ),
			"link" => esc_html__( 'Link', 'qodux_fw' ),
		),
		"type" => "qodx_select",
	),
	
	array(
		"name" => esc_html__( "Portfolio Custom Css Class", 'qodux_fw' ),
		"desc" => esc_html__( "Custom css class that you can specify for this portfolio item. Useful for masonry portfolio shortcode.", 'qodux_fw' ),
		"id" => "_item_css",
		"default" => '',
		"type" => "qodx_text"
	),
	array(
		"name" => esc_html__( "Featured Image Width", 'qodux_fw' ),
		"desc" => esc_html__( "The width you specify here is going to override the portfolio shortcode width setting.", 'qodux_fw' ),
		"id" => "_img_width",
		"default" => '',
		"type" => "qodx_text"
	),
	array(
		"name" => esc_html__( "Featured Image Height", 'qodux_fw' ),
		"desc" => esc_html__( "The height you specify here is going to override the portfolio shortcode height setting.", 'qodux_fw' ),
		"id" => "_img_height",
		"default" => '',
		"type" => "qodx_text"
	),
	
	array(
		"type" => "qodx_group_start",
		"group_id" => "portfolio_image",
		"group_class" => "portfolio_type",
	),
	array(
		"name" => esc_html__( "Fullsize Image for Lightbox (optional)", 'qodux_fw' ),
		"desc" => esc_html__( "If this field is empty then the lightbox will be opened with the feature image. Otherwise you should upload a full size image to open the lightbox on click.", 'qodux_fw' ),
		"id" => "_image",
		"button" => "Insert Image",
		"default" => '',
		"type" => "qodx_upload",
	),
	array(
		"type" => "qodx_group_end",
	),
	array(
		"type" => "qodx_group_start",
		"group_id" => "portfolio_video",
		"group_class" => "portfolio_type",
	),
	array(
		"name" => esc_html__( "Video Link for Lightbox", 'qodux_fw' ),
		"desc" => esc_html__( "If the portfolio is a video type one, you can paste here the full url of your video.", 'qodux_fw' ),
		"size" => 30,
		"id" => "_video",
		"default" => '',
		"class" => 'full',
		"type" => "qodx_text",
	),
	array(
		"type" => "qodx_group_end",
	),
	array(
		"type" => "qodx_group_start",
		"group_id" => "portfolio_document",
		"group_class" => "portfolio_type",
	),
	array(
		"name" => esc_html__( "Document Target", 'qodux_fw' ),
		"id" => "_doc_target",
		"default" => '_self',
		"options" => array(
			"_self" => esc_html__( 'Opens in the same window and same frame.', 'qodux_fw' ),
			"_top" => esc_html__( 'Opens in the same window, taking the full window if there is more than one frame.', 'qodux_fw' ),
			"_parent" => esc_html__( 'Opens in the parent frame.', 'qodux_fw' ),
			"_blank" => esc_html__( 'Opens in a new window.', 'qodux_fw' ),
		),
		"type" => "qodx_select",
	),
	array(
		"type" => "qodx_group_end",
	),
	array(
		"type" => "qodx_group_start",
		"group_id" => "portfolio_link",
		"group_class" => "portfolio_type",
	),
	array(
		"name" => esc_html__( "Link for Portfolio item", 'qodux_fw' ),
		"desc" => esc_html__( "If the portfolio is a link type one, you can paste here the full link.", 'qodux_fw' ),
		"id" => "_portfolio_link",
		"default" => "",
		"shows" => array('page','cat','post','manually'),
		"type" => "qodx_superlink"	
	),
	array(
		"name" => esc_html__( "Link Target", 'qodux_fw' ),
		"id" => "_portfolio_link_target",
		"default" => '_self',
		"options" => array(
			"_self" => esc_html__( 'Opens in the same window and same frame.', 'qodux_fw' ),
			"_top" => esc_html__( 'Opens in the same window, taking the full window if there is more than one frame.', 'qodux_fw' ),
			"_parent" => esc_html__( 'Opens in the parent frame.', 'qodux_fw' ),
			"_blank" => esc_html__( 'Opens in a new window.', 'qodux_fw' ),
		),
		"type" => "qodx_select",
	),
	array(
		"type" => "qodx_group_end",
	),
	array(
		"name" => esc_html__( "Custom Sidebar", 'qodux_fw' ),
		"desc" => esc_html__( "If there are any custum sidebars created in your theme option panel then you can choose one of them to be displayed on this.", 'qodux_fw' ),
		"id" => "_sidebar",
		"prompt" => esc_html__( "Choose one...", 'qodux_fw' ),
		"default" => '',
		"options" => get_sidebar_portfolio(),
		"type" => "qodx_select",
	),
);
new focus_wp_metaboxes($config,$options);