<?php 
$config = array(
	'title' => esc_html__( 'Blog Single Options', 'qodux_fw' ),
	'id' => 'single',
	'pages' => array('post'),
	'callback' => '',
	'context' => 'normal',
	'priority' => 'low',
);
$options = array(
	array(
		"name" => esc_html__( "Featured Post Entry", 'qodux_fw' ),
		"desc" => esc_html__( "Here you can choose to dispaly or not Featured Image/Video/Mp3/Slideshow in Single Blog post only.", 'qodux_fw' ),
		"id" => "_featured_image",
		"default" => '',
		"type" => "qodx_tritoggle",
	),
	array(
		"name" => esc_html__( "Thumbnail Types", 'qodux_fw' ),
		"desc" => sprintf(esc_html__( "Thumbnail Types", 'qodux_fw' ),QODUX_FRAME_NAME),
		"id" => "_thumbnail_type",
		"default" => 'timage',
		"options" => array(
			"timage" => esc_html__( 'Image', 'qodux_fw' ),
			"tvideo" => esc_html__( 'Video', 'qodux_fw' ),
			"tplayer" => esc_html__( 'Audio', 'qodux_fw' ),
			"tslide" => esc_html__( 'Slide', 'qodux_fw' ),
		),
		"type" => "qodx_select",
	),
	array(
		"type" => "qodx_group_start",
		"group_id" => "thumbnail_player",
		"group_class" => "featured_type",
	),
	array(
		"name" => esc_html__( "SoundCloud Link", 'qodux_fw' ),
		"desc" => esc_html__( "The SoundCloud url, ex: <b>\"https://soundcloud.com/fiersa/fiersa-besari-roar-katy-perry\"</b> or <b>\"http://api.soundcloud.com/tracks/129129144\"</b>", 'qodux_fw' ),
		"size" => 30,
		"id" => "_thumbnail_player",
		"default" => '',
		"class" => 'full',
		"type" => "qodx_text",
	),
	array(
		"type" => "qodx_group_end",
	),
	
	array(
		"type" => "qodx_group_start",
		"group_id" => "thumbnail_slide",
		"group_class" => "featured_type",
	),

	array(
		"name" => esc_html__( "Slide Type", 'qodux_fw' ),
		"id" => "_slide_type",
		"desc" => esc_html__( "Here you can choose the type of slideshow you want to use on this post.", 'qodux_fw' ),
		"default" => 'owl',
		"options" => array(
			"owl" => 'Owl Slider',
		),
		"type" => "qodx_select",
	),
	array(
		"type" => "qodx_group_end",
	),
	array(
		"name" => esc_html__( "Layout", 'qodux_fw' ),
		"desc" => esc_html__( "Choose the layout for this single page/post.", 'qodux_fw' ),
		"id" => "_sidebar_alignment",
		"default" => 'default',
		"options" => array(
			"default" => esc_html__( 'Default', 'qodux_fw' ),
			"full" => esc_html__( 'Full Width', 'qodux_fw' ),
			"right" => esc_html__( 'Right Sidebar', 'qodux_fw' ),
			"left" => esc_html__( 'Left Sidebar', 'qodux_fw' ),
		),
		"type" => "qodx_select",
	),
	array(
		"name" => esc_html__( "Disable Breadcrumbs", 'qodux_fw' ),
		"desc" => esc_html__( 'This option disables breadcrumbs on a page/post.', 'qodux_fw' ),
		"id" => "_disable_breadcrumb",
		"label" => "Check to disable breadcrumbs on this post",
		"default" => "",
		"type" => "qodx_tritoggle"
	),
	array(
		"name" => esc_html__( "Custom Sidebar", 'qodux_fw' ),
		"desc" => esc_html__( "If there are any custum sidebars created in your theme option panel then you can choose one of them to be displayed on this.", 'qodux_fw' ),
		"id" => "_sidebar",
		"prompt" => esc_html__( "Choose one..", 'qodux_fw' ),
		"default" => '',
		"options" => get_sidebar_options(),
		"type" => "qodx_select",
	),
);
new focus_wp_metaboxes($config,$options);