<?php
$qodx_options = array(
	array(
		"class" => "nav-tab-wrapper",
		"default" => '',
		"options" => array(
			"general_settings" => esc_html__( 'General', 'qodux_fw' ),
			"homepage_settings" => esc_html__( 'Homepage', 'qodux_fw' ),
			"custom_favicons" => esc_html__( 'Custom Favicons', 'qodux_fw' ),
			"custom_stylesheet" => esc_html__( 'Custom Css', 'qodux_fw' ),
		),
		"type" => "qodx_navigation",
	),	
	array(
		"type" => "qodx_group_start",
		"group_id" => "general_settings",
	),
		array(
			"name" => esc_html__( "General Settings", 'qodux_fw' ),
			"type" => "qodx_open"
		),		
		array(
			"name" => esc_html__( "Enable Responsive", 'qodux_fw' ),
			"desc" => sprintf( esc_html__( 'Set ON to enable responsive mode.', 'qodux_fw' )),
			"id" => "enable_responsive",
			"default" => true,
			"type" => "qodx_toggle"
		),	
		array(
			"name" => esc_html__( "Custom Logo", 'qodux_fw' ),
			"desc" => esc_html__( "Enter the full URL of your logo image: e.g http://www.site.com/logo.png", 'qodux_fw' ),
			"id" => "logo",
			"default" => "",
			"type" => "qodx_upload",
			"crop" => "false"
		),
		array(
			"name" => esc_html__("Custom Logo Home Section",'qodux_fw'),
			"desc" => esc_html__( "Enter the full URL of your logo image: e.g http://www.site.com/logo.png",'qodux_fw'),
			"id" => "logo_home",
			"default" =>  "",
			"type" => "qodx_upload",
			"crop" => "false"
		),
		array(
			"name" => esc_html__( "Custom Logo High-DPI (retina) ", 'qodux_fw' ),
			"desc" => esc_html__( "Enter the full URL of your logo image: e.g http://www.site.com/logo@2x.png", 'qodux_fw' ),
			"id" => "logo_retina",
			"default" => "",
			"type" => "qodx_upload",
			"crop" => "false"
		),
		array(
			"name" => esc_html__("Custom Logo Home Section High-DPI (retina) ",'qodux_fw'),
			"desc" => esc_html__( "Enter the full URL of your logo image: e.g http://www.site.com/logo@2x.png",'qodux_fw'),
			"id" => "logo_home_retina",
			"default" =>  "",
			"type" => "qodx_upload",
			"crop" => "false"
		),
		array(
			"name" => esc_html__( "Display Text Logo", 'qodux_fw' ),
			"desc" => sprintf(esc_html__( 'Set ON if you want to use plain logo.', 'qodux_fw' )),
			"id" => "display_logo",
			"default" => false,
			"type" => "qodx_toggle"
		),	
		array(
			"name" => esc_html__( "Display Site Description", 'qodux_fw' ),
			"desc" => sprintf( esc_html__( 'This enables site description. Works only with plain text logo.', 'qodux_fw' ),get_option('siteurl')),
			"id" => "display_site_desc",
			"default" => false,
			"type" => "qodx_toggle"
		),
		array(
			"name" => esc_html__( "Website style: onepage or multipage", 'qodux_fw' ),
			"desc" => esc_html__( "Here you can set what type of style do you want: onepage or multipage.", 'qodux_fw' ),
			"id" => "qodx_style",
			"default" => 'onepage',
			"options" => array(
				"onepage" => esc_html__( 'Onepage style', 'qodux_fw' ),
				"multipage" => esc_html__( 'Multipage style', 'qodux_fw' ),
			),
			"type" => "qodx_select",
		),	
		array(
			"name" => esc_html__( "Custom Skin", 'qodux_fw' ),
			"desc" => esc_html__( "Create your own skin. This option creates skins which affects only colors, background colors and border colors. Unfortunatelly for images/background images doesn't work. So you need to edit the images with your own color skin and paste them in 'img' folder from theme root with the same names as the older ones. You can keep the older ones under different names.", 'qodux_fw' ) . "<br><code>" . esc_html__( "Please use the HEX format here. Ex: \"#000000\"", 'qodux_fw' ) . "</code>",
			"id" => "custom_skin",
			"default" => "",
			"format" => "hex",
			"type" => "qodx_color"
		),
		array(
			"name" => esc_html__( "Disable Breadcrumbs", 'qodux_fw' ),
			"desc" => esc_html__( "This option disables your website's breadcrumb navigation.", 'qodux_fw' ),
			"id" => "disable_breadcrumb",
			"default" => 0,
			"type" => "qodx_toggle"
		),	
		array(
			"name" => esc_html__( "Header menu style: white or black", 'qodux_fw' ),
			"desc" => esc_html__( "Here you can set what type of style do you want: onepage or multipage.", 'qodux_fw' ),
			"id" => "qodx_menu_style",
			"default" => 'white',
			"options" => array(
				"white" => esc_html__( 'Header menu white', 'qodux_fw' ),
				"black" => esc_html__( 'Header menu black', 'qodux_fw' ),
			),
			"type" => "qodx_select",
		),	
		array(
			"name" => esc_html__( "Sticky Header", 'qodux_fw' ),
			"desc" => esc_html__( "This option enables the sticky header when scrolling down.", 'qodux_fw' ),
			"id" => "sticky_header",
			"default" => true,
			"type" => "qodx_toggle"
		),	
		array(
			"name" => esc_html__( "Autohide Header", 'qodux_fw' ),
			"desc" => esc_html__( "This option enables the autohide header and disables the sticky header.", 'qodux_fw' ),
			"id" => "autohide_header",
			"default" => false,
			"type" => "qodx_toggle"
		),	
		/*			
		array(
			"name" => esc_html__( "Disable Sticky Header On Smaller Screens", 'qodux_fw' ),
			"desc" => esc_html__( "This option disables sticky header on smaller screens.", 'qodux_fw' ),
			"id" => "no_sticky_on_ss",
			"default" => false,
			"type" => "qodx_toggle"
		),
		array(
			"name" => esc_html__( "Show Responsive Navigation under:", 'qodux_fw' ),
			"desc" => "Here you can set when (which window size) the responsive navigation should be displayed.",
			"id" => "responsive_nav",
			"default" => '767',
			"options" => array(
				"991" => esc_html__( '< 991 px', 'qodux_fw' ),
				"767" => esc_html__( '< 767 px', 'qodux_fw' ),
				//"480" => esc_html__( '< 480 px', 'qodux_fw' ),
			),
			"type" => "qodx_select",
		),
		*/
		array(
			"name" => esc_html__( "Smooth Scrolling", 'qodux_fw' ),
			"desc" => sprintf( esc_html__( 'Set ON to enable smooth scroll (a Google Chrome extension for smooth scrolling with the mouse wheel and keyboard buttons). This disables the above Nice Scroll option.', 'qodux_fw' ) ),
			"id" => "smooth_scroll",
			"default" => false,
			"type" => "qodx_toggle"
		),		
		array(
			"name" => esc_html__( "Page Loader Animation", 'qodux_fw' ),
			"desc" => esc_html__( "This option enables the page loader animation.", 'qodux_fw' ),
			"id" => "page_loader",
			"default" => false,
			"type" => "qodx_toggle"
		),
		array(
			"name" => esc_html__( "Scroll to Top", 'qodux_fw' ),
			"desc" => esc_html__( "This option enables a scroll to top button at the right bottom corner of site pages.", 'qodux_fw' ),
			"id" => "scroll_to_top",
			"default" => false,
			"type" => "qodx_toggle"
		),
		array(
			"name" => esc_html__( "WooCommerce", 'qodux_fw' ),
			"desc"=> esc_html__( 'Set ON if you want to use woocommerce.', 'qodux_fw' ),
			"id" => "woocommerce",
			"default" => false,
			"type" => "qodx_toggle"
		),
		array(
			"name" => esc_html__( "Shop page layout", 'qodux_fw' ),
			"desc" => esc_html__( "Select which layout do you want for your Shop page.", 'qodux_fw' ),
			"id" => "woo_layout",
			"default" => 'right',
			"options" => array(
				"full" => esc_html__( 'Full Layout', 'qodux_fw' ),
				"right" => esc_html__( 'Right Sidebar', 'qodux_fw' ),
				"left" => esc_html__( 'Left Sidebar', 'qodux_fw' ),
			),
			"chosen" => "true",
			"type" => "qodx_select",
		),
		array(
			"name" => esc_html__( "Enable Animations", 'qodux_fw' ),
			"desc" => esc_html__( "This option enables site animations.", 'qodux_fw' ),
			"id" => "enable_animation",
			"default" => false,
			"type" => "qodx_toggle"
		),

		array(
			"name" => esc_html__( "High-DPI (retina) images", 'qodux_fw' ),
			"desc" => esc_html__( "This option allows you to use High-DPI (retina) images.", 'qodux_fw' ),
			"id" => "enable_retina",
			"default" => false,
			"type" => "qodx_toggle"
		),
		array(
			"type" => "qodx_close"
		),	
		array(
			"type" => "qodx_reset"
		),
	array(
		"type" => "qodx_group_end",
	),	
	array(
		"type" => "qodx_group_start",
		"group_id" => "homepage_settings",
	),	
		array(
			"name" => esc_html__( "Homepage Settings", 'qodux_fw' ),
			"type" => "qodx_open"
		),
		array(
			"name" => esc_html__( "Home Page", 'qodux_fw' ),
			"desc" => esc_html__( "The selected page here will be displayed in the homepage.", 'qodux_fw' ),
			"id" => "one_page_home",
			"page" => 0,
			"default" => 0,
			"prompt" => esc_html__( "None", 'qodux_fw' ),
			"chosen" => "true",
			"type" => "qodx_select",
			),	
		array(
			"type" => "qodx_close"
		),
		array(
			"type" => "qodx_reset"
		),
	array(
		"type" => "qodx_group_end",
	),	
	array(
		"type" => "qodx_group_start",
		"group_id" => "custom_favicons",
	),	
		array(
			"name" => esc_html__( "Favicons", 'qodux_fw' ),
			"type" => "qodx_open"
		),					
			array(	
				"name" => esc_html__( "Favicon", 'qodux_fw' ),
				"desc" => esc_html__( "Enter the full URL of your favicon e.g. http://www.site.com/favicon.ico", 'qodux_fw' ),
				"id" => "favicon",
				"default" => get_template_directory_uri(). '/img/icons/favicon.ico',
				"type" => "qodx_upload",
				"crop" => "false"
			),			
			array(	
				"name" => esc_html__( "Apple Touch Icon 57x57", 'qodux_fw' ),
				"desc" => esc_html__( "Enter the full URL of your favicon e.g. http://www.site.com/favicon_57.png", 'qodux_fw' ),
				"id" => "favicon_57",
				"default" => get_template_directory_uri(). '/img/icons/favicon_57.png',
				"type" => "qodx_upload",
				"crop" => "false"
			),		
			array(	
				"name" => esc_html__( "Apple Touch Icon 72x72", 'qodux_fw' ),
				"desc" => esc_html__( "Enter the full URL of your favicon e.g. http://www.site.com/favicon_72.png", 'qodux_fw' ),
				"id" => "favicon_72",
				"default" => get_template_directory_uri(). '/img/icons/favicon_72.png',
				"type" => "qodx_upload",
				"crop" => "false"
			),		
			array(	
				"name" => esc_html__( "Apple Touch Icon 114x114", 'qodux_fw' ),
				"desc" => esc_html__( "Enter the full URL of your favicon e.g. http://www.site.com/favicon_114.png", 'qodux_fw' ),
				"id" => "favicon_114",
				"default" => get_template_directory_uri(). '/img/icons/favicon_114.png',
				"type" => "qodx_upload",
				"crop" => "false"
			),	
			array(	
				"name" => esc_html__( "Apple Touch Icon 144x144", 'qodux_fw' ),
				"desc" => esc_html__( "Enter the full URL of your favicon e.g. http://www.site.com/favicon_144.png", 'qodux_fw' ),
				"id" => "favicon_144",
				"default" => get_template_directory_uri(). '/img/icons/favicon_144.png',
				"type" => "qodx_upload",
				"crop" => "false"
			),
		array(
			"type" => "qodx_close"
		),
		array(
			"type" => "qodx_reset"
		),
	array(
		"type" => "qodx_group_end",
	),
	array(
		"type" => "qodx_group_start",
		"group_id" => "custom_stylesheet",
	),	
		array(
			"name" => esc_html__( "Custom Css", 'qodux_fw' ),
			"type" => "qodx_open"
		),			
			array(	
				"name" => esc_html__( "Custom Css", 'qodux_fw' ),
				"id" => "custom_css",
				"default" => "",
				"elastic" => "true",
				"type" => "qodx_textarea"
			),
		array(
			"type" => "qodx_close"
		),
		array(
			"type" => "qodx_reset"
		),
	array(
		"type" => "qodx_group_end",
	),	
);
return array(
	'auto' => true,
	'name' => 'general',
	'options' => $qodx_options
);