<?php

	require_once( '../../../../wp-load.php' );

	// define variables and set to empty values
	$email_to = $name = $email = $subject = $phone = $website = $country = $city = $company = $message = $captcha = $terms = '';
	
	$form_error = false;
	
	$email_to = isset($_POST['cf_qodx_to'])           ? test_input($_POST['cf_qodx_to'])          : '';
	$name     = isset($_POST['cf_qodx_name'])         ? test_input($_POST['cf_qodx_name'])        : '';
	$email    = isset($_POST['cf_qodx_email'])        ? test_input($_POST['cf_qodx_email'])       : '';
	$subject  = isset($_POST['cf_qodx_subject'])      ? test_input($_POST['cf_qodx_subject'])     : '';
	
	$phone    = isset($_POST['cf_qodx_phone'])        ? test_input($_POST['cf_qodx_phone'])        : '';
	$website  = isset($_POST['cf_qodx_website'])      ? test_input($_POST['cf_qodx_website'])      : '';
	$country  = isset($_POST['cf_qodx_country'])      ? test_input($_POST['cf_qodx_country'])      : '';
	$city     = isset($_POST['cf_qodx_city'])         ? test_input($_POST['cf_qodx_city'])         : '';
	$company  = isset($_POST['cf_qodx_company'])      ? test_input($_POST['cf_qodx_company'])      : '';
	
	$message  = isset($_POST['cf_qodx_message'])      ? test_input($_POST['cf_qodx_message'])      : '';
	
	$captcha  = isset($_POST['g-recaptcha-response']) ? test_input($_POST['g-recaptcha-response']) : '';	
	$terms    = isset($_POST['cf_qodx_terms'])        ? test_input($_POST['cf_qodx_terms'])        : '';
	
	$sitename = isset($_POST['cf_qodx_sitename'])     ? test_input($_POST['cf_qodx_sitename'])     : '';
	$siteurl  = isset($_POST['cf_qodx_siteurl'])      ? test_input($_POST['cf_qodx_siteurl'])      : '';
	
	$required = isset($_POST['cf_qodx_required'])     ? test_input($_POST['cf_qodx_required'])     : '';	
	// build required array - there will be always required fields anyway
	$required = !empty($required) ? array_map( 'trim', explode( ',', $required ) ) : array();
	
	// chack if WP reCaptcha Integration plugin is activated
	$reCaptcha = isset($_POST['cf_qodx_recaptcha'])   ? test_input($_POST['cf_qodx_recaptcha'])    : '';
		 	
	/* ----- Email to ----- */
    if ( empty($email_to) ) {
        $form_error = true;
        if ( $form_error ) {
            echo '<div class="error">';
            esc_html_e( 'Webmaster Email is required.', 'qodux_fw' );
            echo '</div>';
            return false;
        }
    }
	
	/* ----- Name ----- */
    if ( in_array( 'name', $required ) && empty($name) ) {
        $form_error = true;
        if ( $form_error ) {		
            echo '<div class="error-name">';
            esc_html_e( 'Your name is required.', 'qodux_fw' );
            echo '</div>';
            return false;
        }
	// check if name only contains letters and whitespace
    } elseif ( in_array( 'name', $required ) && !preg_match("/^[a-zA-Z ]*$/",$name) ) {
        $form_error = true;
        if ( $form_error ) {	
            echo '<div class="error-name">';
            esc_html_e( 'Only letters and white space allowed.', 'qodux_fw' );
            echo '</div>';
            return false;
        }
	}

	/* ----- Email ----- */
    if ( in_array( 'email', $required ) && empty($email) ) {
        $form_error = true;
        if ( $form_error ) {
            echo '<div class="error-email">';
            esc_html_e( 'Your Email is required.', 'qodux_fw' );
            echo '</div>';
            return false;
        }
    } elseif ( in_array( 'email', $required ) && !isValidEmail($email) ) {
        $form_error = true;
        if ( $form_error ) {
            echo '<div class="error-email">';
            esc_html_e( 'Please enter a valid Email address.', 'qodux_fw' );
            echo '</div>';
            return false;
        }
    }

	/* ----- Subject ----- */
    if ( in_array( 'subject', $required ) && empty($subject) ) {
        $form_error = true;
        if ( $form_error ) {
            echo '<div class="error-subject">';
            esc_html_e( 'Your subject is required.', 'qodux_fw' );
            echo '</div>';
            return false;
        }
    }
	
	/* ----- Phone ----- */
    if ( in_array( 'phone', $required ) && empty($phone) ) {
        $form_error = true;
        if ( $form_error ) {
            echo '<div class="error-phone">';
            esc_html_e( 'Your phone is required.', 'qodux_fw' );
            echo '</div>';
            return false;
        }
    }

	/* ----- Website ----- */
    if ( in_array( 'website', $required ) && empty($website) ) {
        $form_error = true;
        if ( $form_error ) {
            echo '<div class="error-website">';
            esc_html_e( 'Your website is required.', 'qodux_fw' );
            echo '</div>';
            return false;
        }
    } elseif ( in_array( 'website', $required ) && !preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i", $website) ) {
        $form_error = true;
        if ( $form_error ) {
            echo '<div class="error-website">';
            esc_html_e( 'Please enter a valid website.', 'qodux_fw' );
            echo '</div>';
            return false;
        }
    }
	
	/* ----- Country ----- */
    if ( in_array( 'country', $required ) && empty($country) ) {
        $form_error = true;
        if ( $form_error ) {
            echo '<div class="error-country">';
            esc_html_e( 'Your country is required.', 'qodux_fw' );
            echo '</div>';
            return false;
        }
    }

	/* ----- City ----- */
    if ( in_array( 'city', $required ) && empty($city) ) {
        $form_error = true;
        if ( $form_error ) {
            echo '<div class="error-city">';
            esc_html_e( 'Your city is required.', 'qodux_fw' );
            echo '</div>';
            return false;
        }
    }

	/* ----- Company ----- */
    if ( in_array( 'company', $required ) && empty($company) ) {
        $form_error = true;
        if ( $form_error ) {
            echo '<div class="error-company">';
            esc_html_e( 'Your company is required.', 'qodux_fw' );
            echo '</div>';
            return false;
        }
    }

	/* ----- Message ----- */
    if ( in_array( 'message', $required ) && empty($message) ) {
        $form_error = true;
        if ( $form_error ) {
            echo '<div class="error-message">';
            esc_html_e( 'Your message is required.', 'qodux_fw' );
            echo '</div>';
            return false;
        }
    }
	
	/* ----- Terms ( Checkbox ) ----- */
    if ( in_array( 'terms', $required ) && empty($terms) ) {
        $form_error = true;
        if ( $form_error ) {
            echo '<div class="error-terms">';
            esc_html_e( 'You have to accept the terms and conditions.', 'qodux_fw' );
            echo '</div>';
            return false;
        }
    }
		
	/* ----- Captcha ----- */
	if ( in_array( 'captcha', $required ) && empty($captcha) && empty($reCaptcha) ) {
        $form_error = true;
        if ( $form_error ) {
            echo '<div class="error-captcha">';
            esc_html_e( 'Please install / activate \'WP reCaptcha\' plugin.', 'qodux_fw' );
            echo '</div>';
            return false;
        }
    } elseif ( in_array( 'captcha', $required ) && empty($captcha) ) {
        $form_error = true;
        if ( $form_error ) {
            echo '<div class="error-captcha">';
            esc_html_e( 'Please verfiy you are not a robot.', 'qodux_fw' );
            echo '</div>';
            return false;
        }
    }
		
	/* Send Message
	   --------------------------------------------------------- */	
	   
	if ( !$form_error ) {
		
		$title    = sprintf( __('%1$s\'s message from %2$s', 'qodux_fw' ), $sitename, $name );		
		$body     = __('Site: ', 'qodux_fw' )  . $sitename.' ('.$siteurl.')' . "\n\n";
		$body    .= __('Name: ', 'qodux_fw' )  . $name                       . "\n\n";
		$body    .= __('Email: ', 'qodux_fw' ) . $email                      . "\n\n";
		
		$subject != '' ? $body .= __('Subject: ', 'qodux_fw' ) . $subject   . "\n\n" : '';
		$phone   != '' ? $body .= __('Phone: ', 'qodux_fw' )   . $phone     . "\n\n" : '';
		$website != '' ? $body .= __('Website: ', 'qodux_fw' ) . $website   . "\n\n" : '';
		$country != '' ? $body .= __('Country: ', 'qodux_fw' ) . $country   . "\n\n" : '';
		$city    != '' ? $body .= __('City: ', 'qodux_fw' )    . $city      . "\n\n" : '';
		$company != '' ? $body .= __('Company: ', 'qodux_fw' ) . $company   . "\n\n" : '';
		
		$body    .= __('Messages: ', 'qodux_fw' ) . $message;
		$headers  = __('From: ', 'qodux_fw' ) . "\"{$name}\" <{$email}>\r\n";
		$headers .= __('Reply-To: ', 'qodux_fw' ) . "$email\r\n";
		
		if ( mail($email_to, $title, $body, $headers) ){
            echo '<div class="success-message">';
            esc_html_e( 'Thank you ' . $name . ', your message was sent successfully.', 'qodux_fw' );
            echo '</div>';
			return false;
		} else {
            esc_html_e( 'Please make sure PHP mail() is enabled on server.', 'qodux_fw' );
			return false;
		}
		
	}

	/* Helper functions
	   --------------------------------------------------------- */	
	   
    function isValidEmail($email) {
        return preg_match("/^[-_.[:alnum:]]+@((([[:alnum:]]|[[:alnum:]][[:alnum:]-]*[[:alnum:]])\.)+(ad|ae|aero|af|ag|ai|al|am|an|ao|aq|ar|arpa|as|at|au|aw|az|ba|bb|bd|be|bf|bg|bh|bi|biz|bj|bm|bn|bo|br|bs|bt|bv|bw|by|bz|ca|cc|cd|cf|cg|ch|ci|ck|cl|cm|cn|co|com|coop|cr|cs|cu|cv|cx|cy|cz|de|dj|dk|dm|do|dz|ec|edu|ee|eg|eh|er|es|et|eu|fi|fj|fk|fm|fo|fr|ga|gb|gd|ge|gf|gh|gi|gl|gm|gn|gov|gp|gq|gr|gs|gt|gu|gw|gy|hk|hm|hn|hr|ht|hu|id|ie|il|in|info|int|io|iq|ir|is|it|jm|jo|jp|ke|kg|kh|ki|km|kn|kp|kr|kw|ky|kz|la|lb|lc|li|lk|lr|ls|lt|lu|lv|ly|ma|mc|md|me|mg|mh|mil|mk|ml|mm|mn|mo|mp|mq|mr|ms|mt|mu|museum|mv|mw|mx|my|mz|na|name|nc|ne|net|nf|ng|ni|nl|no|np|nr|nt|nu|nz|om|org|pa|pe|pf|pg|ph|pk|pl|pm|pn|pr|pro|ps|pt|pw|py|qa|re|ro|ru|rw|sa|sb|sc|sd|se|sg|sh|si|sj|sk|sl|sm|sn|so|sr|st|su|sv|sy|sz|tc|td|tf|tg|th|tj|tk|tm|tn|to|tp|tr|tt|tv|tw|tz|ua|ug|uk|um|us|uy|uz|va|vc|ve|vg|vi|vn|vu|wf|ws|ye|yt|yu|za|zm|zw)$|(([0-9][0-9]?|[0-1][0-9][0-9]|[2][0-4][0-9]|[2][5][0-5])\.){3}([0-9][0-9]?|[0-1][0-9][0-9]|[2][0-4][0-9]|[2][5][0-5]))$/i", $email);
    }
	
	function test_input($data) {
	  $data = trim($data);
	  $data = stripslashes($data);
	  $data = htmlspecialchars($data);
	  return $data;
	}
?>