<?php

// File Security Check
if (!defined('ABSPATH')) die('-1');

/*
Register Qodux shortcode.
*/

class WPBakeryShortCode_QODX_gallery_grid extends WPBakeryShortCode {
	
	private $qodx_sc;
	
	public function __construct($settings) {
        parent::__construct($settings);
		$this->qodx_sc = new QODX_VCSC_SHORTCODE;
	}
	
	public function singleParamHtmlHolder( $param, $value ) {
		$output = '';
		// Compatibility fixes
		$old_names = array( 'yellow_message', 'blue_message', 'green_message', 'button_green', 'button_grey', 'button_yellow', 'button_blue', 'button_red', 'button_orange' );
		$new_names = array( 'alert-block', 'alert-info', 'alert-success', 'btn-success', 'btn', 'btn-info', 'btn-primary', 'btn-danger', 'btn-warning' );
		$value = str_ireplace( $old_names, $new_names, $value );

		$param_name = isset( $param['param_name'] ) ? $param['param_name'] : '';
		$type = isset( $param['type'] ) ? $param['type'] : '';
		$class = isset( $param['class'] ) ? $param['class'] : '';

		if ( isset( $param['holder'] ) == true && $param['holder'] !== 'hidden' ) {
			$output .= '<' . $param['holder'] . ' class="wpb_vc_param_value ' . $param_name . ' ' . $type . ' ' . $class . '" name="' . $param_name . '">' . $value . '</' . $param['holder'] . '>';
		}
		if ( $param_name == 'images' ) {
			$images_ids = empty( $value ) ? array() : explode( ',', trim( $value ) );
			$output .= '<ul class="attachment-thumbnails' . ( empty( $images_ids ) ? ' image-exists' : '' ) . '" data-name="' . $param_name . '">';
			foreach ( $images_ids as $image ) {
				$img = wpb_getImageBySize( array( 'attach_id' => (int)$image, 'thumb_size' => 'thumbnail' ) );
				$output .= ( $img ? '<li>' . $img['thumbnail'] . '</li>' : '<li><img width="150" height="150" test="' . $image . '" src="' . vc_asset_url( 'vc/blank.gif' ) . '" class="attachment-thumbnail" alt="" title="" /></li>' );
			}
			$output .= '</ul>';
			$output .= '<a href="#" class="column_edit_trigger' . ( ! empty( $images_ids ) ? ' image-exists' : '' ) . '">' . esc_html__( 'Add images', 'qodux_fw' ) . '</a>';

		}
		return $output;
	}
			
	protected function content($atts, $content = null) {
		
		extract( shortcode_atts( array(
			'images'               => '',
			'img_width'			   => '9999',
			'img_height'		   => '9999',
			'columns'              => 4,
    		'grid_style'       	   => '',
			'thumbnail_link'   	   => '',
			'custom_links'	       => '',
			'custom_links_target'  => '_self',
    		'title'                => false,
    		'black_white'          => false,
			
			'el_id'                => '',
			'el_class'         	   => '',
    		'css_animation'        => '',
    		'anim_type'            => '',
    		'anim_delay'           => '',			
			'css'                  => ''		
		), $atts ) );
		
		$sc_class = 'qodx_gallery_grid_sc';
		// Img Container Classes
		$sc_classes = array();	
		
		// Adding placeholder images if no image was set
		if ( $images == '' ) {
			switch( $columns ) {
				case 1  : $images = '-1';                break;
				case 2  : $images = '-1,-2';             break;
				case 3  : $images = '-1,-2,-3';          break;
				case 4  : $images = '-1,-2,-3,-4';       break;
				case 6  : 
				default : $images = '-1,-2,-3,-4,-5,-6'; break;
			}
		}
		
		// Get Attachments
		$images = explode( ',', $images );
		$i = -1;
					
		$id = mt_rand(9999, 99999);
		if (trim($el_id) != false) {
			$el_id = esc_attr( trim($el_id) );
		} else {
			$el_id = $sc_class . '-' . $id;
		}
		
		// Custom Links
		if ( $thumbnail_link == 'custom_link' ) {
			$custom_links = explode( ',', $custom_links);
		}
		
		// Column Class		
		if ( $columns == '1' ) {
			$sc_classes[] = 'qodx_gallery_1_col';
		} else {
			$sc_classes[] = 'qodx_gallery_'.$columns.'_cols';
		}		
		
		// Lightbox Class
		if ( $thumbnail_link == 'lightbox' ) {
			$sc_classes[] = 'qodx_gallery_lightbox';
		}
		
		// No Margin Class
		if ( $grid_style == 'no-margins' ) {
			$sc_classes[] = 'qodx_gallery_no_margins clearfix';
		} else {
			$sc_classes[] = 'row';
		}
		
		$sc_classes = implode(' ', $sc_classes);
		
		if ($sc_classes != '') { $sc_classes = ' ' . $sc_classes; }
		
		$sc_class = $sc_class . $sc_classes;
						
		$el_class = esc_attr( $this->getExtraClass($el_class) );
		$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $sc_class.$el_class.vc_shortcode_custom_css_class($css, ' '), $this->settings['base']);	
		//$css_class .= $this->qodx_sc->getWTCSSAnimationClass($css_animation,$anim_type);
		//$anim_data = $this->qodx_sc->getWTCSSAnimationData($css_animation,$anim_delay);
		
		// Load prettyphoto scripts & styles
		if ( $thumbnail_link == 'lightbox' ) {
			wp_enqueue_script( 'prettyphoto' );
			wp_enqueue_style( 'prettyphoto' );
		}
		
		// Output posts
		if( $images ) :
		
			// Img Container Classes
			$classes = array();
			
			switch( $columns ) {
				case 1  : $classes[] = 'col-xs-12 col-sm-12 col-lg-12 col-md-12'; break;
				case 2  : $classes[] = 'col-xs-6 col-sm-6 col-md-6 col-lg-6';     break;
				case 3  : $classes[] = 'col-xs-6 col-sm-6 col-md-4 col-lg-4';     break;
				case 4  : $classes[] = 'col-xs-6 col-sm-6 col-md-3 col-lg-3';     break;
				case 6  : 
				default : $classes[] = 'col-xs-6 col-sm-6 col-md-2 col-lg-2';     break;
			}
			
			if ( $black_white == 'yes' ) {
				$classes[] = 'qodx_grayscale';
			}			
			
			$classes = implode(' ', $classes);
			
			wp_enqueue_script( 'waypoints' ); // VC file
													
			$output = '<div id="'.$el_id.'" class="'.$css_class.'">';
				
				$count = 0;	
				foreach ( $images as $attach_id ) {
					$image_output = '';				
					$i ++;					
					$delay = $count * 150;			
					$count ++;									
					
					// if image alt not set then take it's title
					$attachment_meta = QODX_WpGetAttachment($attach_id);
					if (!empty($attachment_meta['alt'])) {
						$img_title = $attachment_meta['alt'];
					} else {
						$img_title = $attachment_meta['title'];
					}					
					
					$img = $attachment_meta['src'];
					//$img = wp_get_attachment_url( $attach_id );					
					
					if ('9999' != $img_width && '9999' != $img_height) {
						$width_inline  = $img_width;
						$height_inline = $img_height;
					} else {
						$image_meta = wp_get_attachment_image_src($attach_id, 'full', true);
						$width_inline  = $image_meta[1]; // get original image width
						$height_inline = $image_meta[2]; // get original image height
					}
					
					if ( $grid_style == 'no-margins' ) {
						$imgThumb = '';
					} else {
						$imgThumb = ' class="img-thumbnail"';
					}
					
					if ( $attach_id > 0 ) {
						// Crop featured images if necessary
						if( function_exists( 'aq_resize' ) ) {
							$thumb_hard_crop = ( '9999' == $img_height ) ? false : true;
							$cropped_img = aq_resize( $img, $img_width, $img_height, $thumb_hard_crop );
						}
					
						$img_output = '<img'. $imgThumb .' src="'. $cropped_img .'" width="'. $width_inline .'" height="'. $height_inline .'" alt="'. $img_title .'" />';
					} else { // If no image was set then show placeholders
						$img_output  = '<img'. $imgThumb .' src="' . vc_asset_url( 'vc/no_image.png' ) . '" />';
					}
					
					// Image output	depending of image link									
					if ( $thumbnail_link == 'lightbox' ) {
						$image_output .= $img_output;
						$icon = '<i class="entypo-search"></i>';
						$image_output .= '<div class="qodx_gallery_overlay">';
							$image_output .= '<a href="'. $img .'" title="'. $img_title .'" class="qodx_image_zoom prettyphoto" data-rel="prettyPhoto[gallery_'.$id.']">'.$icon.'</a>';
							if ( $title == 'yes' ) {
								$image_output .= '<h3>'. $img_title .'</h3>';
							}
						$image_output .= '</div>';
					} elseif ( $thumbnail_link == 'custom_link' ) {
						$custom_link = !empty($custom_links[$i]) ? $custom_links[$i] : '#';
						if ( $custom_link == '#' ) {
							$image_output .= $img_output;
						} else {
							$image_output .= '<a href="'. $custom_link .'" title="'. $img_title .'" target="'. $custom_links_target .'">';
								$image_output .= $img_output;
							$image_output .= '</a>';
						}
					} else {
						$image_output .= $img_output;
					}
					$output .= '<article class="qodx_gallery_grid_item '.$classes.' qodx_col_'.$count.' qodx_animate qodx_animate_if_visible" data-animation="flipInX" data-animation-delay="'.$delay.'">';
						$output .= "\n\t" . '<div class="qodx_gallery_item_inner">';
							$output .= "\n\t\t" . $image_output;
						$output .= "\n\t" . '</div>';
					$output .= '</article>';
					
					if ( $count == $columns ) $count = 0; // reset column number
				}
			
			$output .= '</div>';
		
		endif; // End has posts check
		
		// Reset query
		wp_reset_postdata();
		
        return $output;
    }
	
}
	
/*
Register Qodux shortcode within Visual Composer interface.
*/

if (function_exists('vc_map')) {

	$add_qodx_sc_func             = new QODX_VCSC_SHORTCODE;
	$add_qodx_extra_id            = $add_qodx_sc_func->getWTExtraId();
	$add_qodx_extra_class         = $add_qodx_sc_func->getWTExtraClass();
	$add_qodx_css_animation       = $add_qodx_sc_func->getWTAnimations();
	$add_qodx_css_animation_type  = $add_qodx_sc_func->getWTAnimationsType();
	$add_qodx_css_animation_delay = $add_qodx_sc_func->getWTAnimationsDelay();
	
	vc_map( array(
		'name'          => esc_html__( 'Gallery Grid', 'qodux_fw' ),
		'base'          => 'qodx_gallery_grid',
		'icon'          => 'qodx-icon-gallery_grid fa fa-picture-o',
		'class'         => 'qodx_vc_sc_gallery_grid',
		'category'      => esc_html__( 'by Qodux', 'qodux_fw' ),
		'description'   => esc_html__( 'Responsive image gallery grid', 'qodux_fw' ),
		'params'        => array(
			array(
				'type'          => 'attach_images',
				'heading'       => esc_html__( 'Images', 'qodux_fw' ),
				'param_name'    => 'images',
				'value'         => '',
				'description'   => esc_html__( 'Select images from media library.', 'qodux_fw' )
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Image Crop Width', 'qodux_fw' ),
				'param_name'	=> 'img_width',
				'value'			=> '9999',
				'description'	=> esc_html__( 'Enter the width in pixels.', 'qodux_fw' ),
			),
			array(
				'type'			=> 'textfield',
				'heading'		=> esc_html__( 'Image Crop Height', 'qodux_fw' ),
				'param_name'	=> 'img_height',
				'value'			=> '9999',
				"description"	=> esc_html__( 'Enter the height in pixels. Set to "9999" to disable vertical cropping and keep image proportions.', 'qodux_fw' ),
			),		
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Columns', 'qodux_fw' ),
				'param_name'    => 'columns',
				'value' 		=> array(
					esc_html__( 'Six', 'qodux_fw' )	 => 6,
					esc_html__( 'Four', 'qodux_fw' )	 => 4,
					esc_html__( 'Three', 'qodux_fw' ) => 3,
					esc_html__( 'Two', 'qodux_fw' )   => 2,
					esc_html__( 'One', 'qodux_fw' )   => 1,
				),
				'std'	        => 4,
				'description'   => esc_html__( 'Select the number of columns for your grid gallery.', 'qodux_fw' )
			),		
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Grid style', 'qodux_fw' ),
				'param_name'    => 'grid_style',
				'value' 		=> array(
					esc_html__( 'Default', 'qodux_fw' )	     => '',
					esc_html__( 'No Margins', 'qodux_fw' )	 => 'no-margins',
				),
				'description'   => esc_html__( 'Select the grid style for your gallery.', 'qodux_fw' )
			),
			array(
				'type'			=> 'dropdown',
				'heading'		=> esc_html__( 'Image link', 'qodux_fw' ),
				'param_name'	=> 'thumbnail_link',
				'value'			=> array(
					esc_html__( 'None', 'qodux_fw' )			=> '',
					esc_html__( 'Lightbox', 'qodux_fw' )		=> 'lightbox',
					esc_html__( 'Custom Links', 'qodux_fw' )	=> 'custom_link',
				),
				'description'	=> esc_html__( 'Where should the grid images link to?', 'qodux_fw' ),
			),
			array(
				'type'               => 'exploded_textarea',
				'heading'            => esc_html__( 'Custom links', 'qodux_fw' ),
				'param_name'         => 'custom_links',
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency'		 => Array(
					'element'	=> 'thumbnail_link',
					'value'		=> array( 'custom_link' )
				),
				'description'        => esc_html__( 'Enter links for images here ( Ex: <strong>http://</strong>yoursite.com ). Divide links with linebreaks (Enter). For images withought links just add linebreak (Enter) or add "#" symbol.', 'qodux_fw' )
			),
			array(
				'type'               => 'dropdown',
				'heading'            => esc_html__( 'Custom links target', 'qodux_fw' ),
				'param_name'         => 'custom_links_target',
				'value'              => array(
					esc_html__( 'Same window', 'qodux_fw' ) => '_self',
					esc_html__( 'New window', 'qodux_fw' )  => "_blank"
				),
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency'		 => Array(
					'element'	=> 'thumbnail_link',
					'value'		=> array( 'custom_link' )
				),
				'description'        => esc_html__( 'Select where to open custom links.', 'qodux_fw' )
			),		
			array(
				'type'          => 'checkbox',
				'heading'       => esc_html__( 'Display title?', 'qodux_fw' ),
				'param_name'    => 'title',
				'value'         => Array( esc_html__( 'Yes, please', 'qodux_fw' ) => 'yes'),
				'description'   => esc_html__( 'If selected, the image title will be displayed.', 'qodux_fw' )
			),
			array(
				'type'          => 'checkbox',
				'heading'       => esc_html__( 'Set black & white filter?', 'qodux_fw' ),
				'param_name'    => 'black_white',
				'value'         => Array( esc_html__( 'Yes, please', 'qodux_fw' ) => 'yes'),
				'description'   => esc_html__( 'If selected, the images will be displayed with black & white filter.', 'qodux_fw' )
			),
			
			$add_qodx_extra_id,
			$add_qodx_extra_class,
			
			array(
				'type'          => 'css_editor',
				'heading'       => esc_html__( 'Css', 'qodux_fw' ),
				'param_name'    => 'css',
				'group'         => esc_html__( 'Design options', 'qodux_fw' )
			)
		)
	));
	
}