<?php

// File Security Check
if (!defined('ABSPATH')) die('-1');

/*
Register Qodux shortcode.
*/

class WPBakeryShortCode_QODX_social_networks extends WPBakeryShortCode {
	
	private $qodx_sc;
	
	public function __construct($settings) {
        parent::__construct($settings);
		$this->qodx_sc = new QODX_VCSC_SHORTCODE;
	}
				
	protected function content($atts, $content = null) {
		
		// Get and extract shortcode attributes
		$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
		extract( $atts );	
		
		$sc_class = 'qodx_social_networks_sc';	
					
		$id = mt_rand(9999, 99999);
		if (trim($el_id) != false) {
			$el_id = esc_attr( trim($el_id) );
		} else {
			$el_id = $sc_class . '-' . $id;
		}		
		
		$icon_margin = (int)$icon_margin;	
				
		if ( $icon_margin != '' || $icon_margin == 0 ) {
			$icon_margin = ' style="margin: ' . $icon_margin . 'px;"';
		} else {
			$icon_margin = ''; 
		}
		
		$el_style = '';	
		
		if ( $icon_color != '' ) {
			$icon_color = 'color: ' . $icon_color . ';';
		}
						
		if ((empty($icon_background)) || ($icon_style == 'simple')) {
			$icon_background = '';
		} else {
			$icon_background = 'background: ' . $icon_background . ';';
		}
			
		if ( $icon_background != '' || $icon_color != '' ) {
			$el_style = ' style="'. $icon_color . $icon_background .'"';
		}
				
		$el_class = esc_attr( $this->getExtraClass($el_class) );
		$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $sc_class.$el_class.vc_shortcode_custom_css_class($css, ' '), $this->settings['base']);
		$css_class .= ' qodx_align_'.$icon_align;		
		$css_class .= $this->qodx_sc->getWTCSSAnimationClass($css_animation,$anim_type);
		$anim_data = $this->qodx_sc->getWTCSSAnimationData($css_animation,$anim_delay);
								
		if($social_networks != ''){
			 
			$soc_output = '';	
			$icon_name  = '';
			$social_networks = array_map( 'trim', explode( ',', $social_networks ) );	
					
			if(is_array($social_networks) && !empty($social_networks)){
				$soc_output .= "\n\t\t\t" . '<ul class="qodx_icon_'.$icon_size.' ' . $icon_type . ' ' . $icon_style . '">'; 
				
					foreach ( $social_networks as $index=>$icon ) {
						$icon_link = $icon.'_link';
						$icon_name = $icon;
						
						switch( $icon ) {
							case 'website'     : $icon_output = '<i class="entypo-link"></i>';      break;
							case 'email'       : $icon_output = '<i class="fa fa-envelope"></i>';      break;
							case 'facebook'    : $icon_output = '<i class="fa fa-'.$icon.'"></i>';     break;
							case 'twitter'     : $icon_output = '<i class="fa fa-'.$icon.'"></i>';     break;
							case 'pinterest'   : $icon_output = '<i class="fa fa-'.$icon.'"></i>';     break;
							case 'linkedin'    : $icon_output = '<i class="fa fa-'.$icon.'"></i>';     break;
							case 'google'      : $icon_output = '<i class="entypo-gplus"></i>';     break;
							case 'dribbble'    : $icon_output = '<i class="entypo-'.$icon.'"></i>'; break;
							case 'youtube'     : $icon_output = '<i class="fa fa-'.$icon.'"></i>';     break;
							case 'vimeo'       : $icon_output = '<i class="entypo-'.$icon.'"></i>'; break;
							case 'rss'         : $icon_output = '<i class="fa fa-'.$icon.'"></i>';     break;
							case 'github'      : $icon_output = '<i class="entypo-'.$icon.'"></i>'; break;
							case 'delicious'   : $icon_output = '<i class="fa fa-'.$icon.'"></i>';     break;
							case 'flickr'      : $icon_output = '<i class="entypo-'.$icon.'"></i>'; break;
							case 'lastfm'      : $icon_output = '<i class="entypo-'.$icon.'"></i>'; break;
							case 'tumblr'      : $icon_output = '<i class="entypo-'.$icon.'"></i>'; break;
							case 'deviantart'  : $icon_output = '<i class="fa fa-'.$icon.'"></i>';     break;
							case 'skype'       : $icon_output = '<i class="entypo-'.$icon.'"></i>'; break;
							case 'instagram'   : $icon_output = '<i class="entypo-'.$icon.'"></i>'; break;
							case 'stumbleupon' : $icon_output = '<i class="entypo-'.$icon.'"></i>'; break;
							case 'behance'     : $icon_output = '<i class="entypo-'.$icon.'"></i>'; break;
							case 'soundcloud'  : $icon_output = '<i class="entypo-'.$icon.'"></i>'; break;
						}
						
						if ($tooltip == false) {
							$tooltip = '';
						} else {
							$tooltip_placement == '' ? $tooltip_placement = 'top' : '';
							$tooltip = ' data-toggle="tooltip" data-placement="'.$tooltip_placement.'"';
						}
						
						$soc_output .= "\n\t\t\t\t" . '<li' . $icon_margin . '>';
							if ($$icon_link == false) { // if there is not set the social link, put '#' as a placeholder
									$soc_output .= "\n\t\t\t\t\t" . '<a'.$el_style.' href="#" class="'.$icon_name.'" title="'.$icon.'" rel="nofollow" target="_blank"'.$tooltip.'>'.$icon_output.'</a>'; 
							} else {
									$soc_output .= "\n\t\t\t\t\t" . '<a'.$el_style.' href="'.esc_url( $$icon_link ).'" class="'.$icon_name.'" title="'.$icon.'" rel="nofollow" target="_blank"'.$tooltip.'>'.$icon_output.'</a>'; 
							}
						$soc_output .= "\n\t\t\t\t" . '</li>';												
					}
				
				$soc_output .= "\n\t\t\t" . '</ul>'; 
			}
		}
		
		$output = '<div id="'.$el_id.'" class="'.$css_class.'"'.$anim_data.'>';
	        $output .= "\n\t" . $soc_output;
        $output .= '</div>';
		
        return $output;
    }
	
}
	
/*
Register Qodux shortcode within Visual Composer interface.
*/

if (function_exists('vc_map')) {

	$add_qodx_sc_func             = new QODX_VCSC_SHORTCODE;
	$add_qodx_extra_id            = $add_qodx_sc_func->getWTExtraId();
	$add_qodx_extra_class         = $add_qodx_sc_func->getWTExtraClass();
	$add_qodx_css_animation       = $add_qodx_sc_func->getWTAnimations();
	$add_qodx_css_animation_type  = $add_qodx_sc_func->getWTAnimationsType();
	$add_qodx_css_animation_delay = $add_qodx_sc_func->getWTAnimationsDelay();
	
	vc_map( array(
		'name'          => esc_html__( 'Social Networks', 'qodux_fw' ),
		'base'          => 'qodx_social_networks',
		'icon'          => 'qodx-icon-social_networks fa fa-share-alt',
		'class'         => 'qodx_vc_sc_social_networks',
		'category'      => esc_html__( 'by Qodux', 'qodux_fw' ),
		'description'   => esc_html__( 'Place social networks links', 'qodux_fw' ),
		'params'        => array(
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Icon type', 'qodux_fw' ),
				'param_name'    => 'icon_type',
				'value' => array( 
					esc_html__( 'Type #1', 'qodux_fw' )   => 'qodx_icon_type_1',
					esc_html__( 'Type #2', 'qodux_fw' )   => 'qodx_icon_type_2', 
					esc_html__( 'Type #3', 'qodux_fw' )   => 'qodx_icon_type_3',
					esc_html__( 'Type #4', 'qodux_fw' )   => 'qodx_icon_type_4',
				),
				'description'   => esc_html__( 'Select social networks type.', 'qodux_fw' )
			),
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Icon style', 'qodux_fw' ),
				'param_name'    => 'icon_style',
				'value' => array( 
					esc_html__( 'Simple', 'qodux_fw' )    => 'qodx_simple',
					esc_html__( 'Square', 'qodux_fw' )    => 'qodx_square', 
					esc_html__( 'Rounded', 'qodux_fw' )   => 'qodx_rounded',
					esc_html__( 'Circle', 'qodux_fw' )    => 'qodx_circle',
				),
				'description'   => esc_html__( 'Select social networks style.', 'qodux_fw' )
			),
			array(
				'type'          => 'colorpicker',
				'heading'       => esc_html__( 'Icon background', 'qodux_fw' ),
				'param_name'    => 'icon_background',
				'description'   => esc_html__( 'Select social networks background.', 'qodux_fw' )
			),
			array(
				'type'          => 'colorpicker',
				'heading'       => esc_html__( 'Icon color', 'qodux_fw' ),
				'param_name'    => 'icon_color',
				'description'   => esc_html__( 'Select social networks text color.', 'qodux_fw' )
			),
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Icons alignment', 'qodux_fw' ),
				'param_name'    => 'icon_align',
				'value'         => array( esc_html__( 'Align left', 'qodux_fw' ) => 'left', esc_html__( 'Align right', 'qodux_fw' ) => 'right', esc_html__( 'Align center', 'qodux_fw' ) => 'center'),
				'std'           => 'center',
				'description'   => esc_html__( 'Select icons alignment.', 'qodux_fw' )
			),
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Icon margin', 'qodux_fw' ),
				'param_name'    => 'icon_margin',
				'value'         => '5',
				'description'   => esc_html__( 'Select icons margin. (in pixels)', 'qodux_fw' )
			),
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Icon size', 'qodux_fw' ),
				'param_name'    => 'icon_size',
				'value' => array( 
					'26' => '26',
					'32' => '32', 
					'38' => '38',
					'40' => '40',
					'42' => '42',
					'44' => '44',
					'50' => '50',
				),
				'std'           => '32',
				'description'   => esc_html__( 'Select social networks size.', 'qodux_fw' )
			),
			array(
				'type'          => 'checkbox',
				'heading'       => esc_html__( 'Show tooltip title?', 'qodux_fw' ),
				'param_name'    => 'tooltip',
				'value'         => array( esc_html__( 'Yes, please', 'qodux_fw' ) => 'true' ),
				'description'   => esc_html__( 'If YES, it shows a tooltip with the social link information.', 'qodux_fw' )
			),
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Tooltip placement', 'qodux_fw' ),
				'param_name'    => 'tooltip_placement',					
				'value'         => array( esc_html__( 'Top', 'qodux_fw' ) => '', esc_html__( 'Bottom', 'qodux_fw' ) => 'bottom', esc_html__( 'Left', 'qodux_fw' ) => 'left', esc_html__( 'Right', 'qodux_fw' ) => 'right'),
				'std'           => 'top',
				'dependency'    => array(
					'element'   => 'tooltip',
					'not_empty'  => true,
				),
				'description'   => esc_html__( 'Select tooltip placement.', 'qodux_fw' )
			),
			array(
				'type'          => 'qodx_multidropdown',
				'heading'       => esc_html__( 'Social networks', 'qodux_fw' ),
				'admin_label'   => true,
				'param_name'    => 'social_networks',
				'value'         => array(
					esc_html__( 'Website', 'qodux_fw' )     => 'website',
					esc_html__( 'Email', 'qodux_fw' )       => 'email', 
					esc_html__( 'Facebook', 'qodux_fw' )    => 'facebook', 
					esc_html__( 'Twitter', 'qodux_fw' )     => 'twitter',
					esc_html__( 'Pinterest', 'qodux_fw' )   => 'pinterest', 
					esc_html__( 'LinkedIn', 'qodux_fw' )    => 'linkedin', 
					esc_html__( 'Google +', 'qodux_fw' )    => 'google',  
					esc_html__( 'Dribbble', 'qodux_fw' )    => 'dribbble',   
					esc_html__( 'YouTube', 'qodux_fw' )     => 'youtube',   
					esc_html__( 'Vimeo', 'qodux_fw' )       => 'vimeo',   
					esc_html__( 'Rss', 'qodux_fw' )         => 'rss', 
					esc_html__( 'Github', 'qodux_fw' )      => 'github',
					esc_html__( 'Delicious', 'qodux_fw' )   => 'delicious',
					esc_html__( 'Flickr', 'qodux_fw' )      => 'flickr',
					esc_html__( 'Lastfm', 'qodux_fw' )      => 'lastfm',
					esc_html__( 'Tumblr', 'qodux_fw' )      => 'tumblr',
					esc_html__( 'Deviantart', 'qodux_fw' )  => 'deviantart',
					esc_html__( 'Skype', 'qodux_fw' )       => 'skype',
					esc_html__( 'Instagram', 'qodux_fw' )   => 'instagram',
					esc_html__( 'StumbleUpon', 'qodux_fw' ) => 'stumbleupon',
					esc_html__( 'Behance', 'qodux_fw' )     => 'behance',
					esc_html__( 'SoundCloud', 'qodux_fw' )  => 'soundcloud'
				),
				'description'   => esc_html__( 'Select custom social media icons and set the links from ', 'qodux_fw' ) .'<strong>' . esc_html__( 'Profiles. ', 'qodux_fw' ) . '</strong>' . esc_html__( 'Hold the \'Ctrl\' or \'Shift\' keys while clicking to select multiple items', 'qodux_fw' )
			),	
			array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Website Link', 'qodux_fw' ),
					'param_name'         => 'website_link',
					'description'        => esc_html__( 'Set website link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),		
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Email Link', 'qodux_fw' ),
					'param_name'         => 'email_link',
					'description'        => esc_html__( 'Set email link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Facebook Link', 'qodux_fw' ),
					'param_name'         => 'facebook_link',
					'description'        => esc_html__( 'Set facebook link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),		
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Twitter Link', 'qodux_fw' ),
					'param_name'         => 'twitter_link',
					'description'        => esc_html__( 'Set twitter link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),	
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Pinterest Link', 'qodux_fw' ),
					'param_name'         => 'pinterest_link',
					'description'        => esc_html__( 'Set pinterest link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'LinkedIn Link', 'qodux_fw' ),
					'param_name'         => 'linkedin_link',
					'description'        => esc_html__( 'Set linkedin link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),	
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Google + Link', 'qodux_fw' ),
					'param_name'         => 'google_link',
					'description'        => esc_html__( 'Set google + link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),	
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Dribbble Link', 'qodux_fw' ),
					'param_name'         => 'dribbble_link',
					'description'        => esc_html__( 'Set dribbble link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),	
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'YouTube Link', 'qodux_fw' ),
					'param_name'         => 'youtube_link',
					'description'        => esc_html__( 'Set youtube link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),	
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Vimeo Link', 'qodux_fw' ),
					'param_name'         => 'vimeo_link',
					'description'        => esc_html__( 'Set vimeo link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),	
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Rss Link', 'qodux_fw' ),
					'param_name'         => 'rss_link',
					'description'        => esc_html__( 'Set rss link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),	
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Github Link', 'qodux_fw' ),
					'param_name'         => 'github_link',
					'description'        => esc_html__( 'Set github link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),	
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Delicious Link', 'qodux_fw' ),
					'param_name'         => 'delicious_link',
					'description'        => esc_html__( 'Set delicious link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),	
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Flickr Link', 'qodux_fw' ),
					'param_name'         => 'flickr_link',
					'description'        => esc_html__( 'Set flickr link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Lastfm Link', 'qodux_fw' ),
					'param_name'         => 'lastfm_link',
					'description'        => esc_html__( 'Set lastfm link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),	
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Tumblr Link', 'qodux_fw' ),
					'param_name'         => 'tumblr_link',
					'description'        => esc_html__( 'Set tumblr link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),	
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Deviantart Link', 'qodux_fw' ),
					'param_name'         => 'deviantart_link',
					'description'        => esc_html__( 'Set deviantart link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),	
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Skype Link', 'qodux_fw' ),
					'param_name'         => 'skype_link',
					'description'        => esc_html__( 'Set skype link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Instagram Link', 'qodux_fw' ),
					'param_name'         => 'instagram_link',
					'description'        => esc_html__( 'Set instagram link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),	
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'StumbleUpon Link', 'qodux_fw' ),
					'param_name'         => 'stumbleupon_link',
					'description'        => esc_html__( 'Set stumbleupon link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),	
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'Behance Link', 'qodux_fw' ),
					'param_name'         => 'behance_link',
					'description'        => esc_html__( 'Set behance link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),	
				array(
					'type'               => 'textfield',
					'heading'            => esc_html__( 'SoundCloud Link', 'qodux_fw' ),
					'param_name'         => 'soundcloud_link',
					'description'        => esc_html__( 'Set soundcloud link.', 'qodux_fw' ),
					'group'         	 => esc_html__( 'Profiles', 'qodux_fw' )
				),	
			
			$add_qodx_extra_id,
			$add_qodx_extra_class,
			$add_qodx_css_animation,
			$add_qodx_css_animation_type,
			$add_qodx_css_animation_delay,
			
			array(
				'type'          => 'css_editor',
				'heading'       => esc_html__( 'Css', 'qodux_fw' ),
				'param_name'    => 'css',
				'group'         => esc_html__( 'Design options', 'qodux_fw' )
			)
		)
	));	
	
}