<?php

// File Security Check
if (!defined('ABSPATH')) die('-1');

/*
Register Qodux shortcode.
*/

class WPBakeryShortCode_QODX_swipe_slider extends WPBakeryShortCode {
	
	private $qodx_sc;
	
	public function __construct($settings) {
        parent::__construct($settings);
		$this->qodx_sc = new QODX_VCSC_SHORTCODE;
	}
			
	protected function content($atts, $content = null) {
		
		// Get and extract shortcode attributes
		$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
		extract( $atts );
		
		$sc_class = 'qodx_swiper_slider_sc';
		
		$id = mt_rand(9999, 99999);
		if (trim($el_id) != false) {
			$el_id = esc_attr( trim($el_id) );
		} else {
			$el_id = $sc_class . '-' . $id;
		}
		
		$el_class = esc_attr( $this->getExtraClass($el_class) );		
		$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $sc_class.$el_class.vc_shortcode_custom_css_class($css, ' '), $this->settings['base']);		
			
		$auto_slide     = (int)$auto_slide;	
		$slide_items    = (int)$slide_items;		
		$slide_items_md = (int)$slide_items_md;	
		$slide_items_sm = (int)$slide_items_sm;	
		$slide_items_xs = (int)$slide_items_xs;
		$slides_per_col = (int)$slides_per_col;		
				
		// wp_enqueue_style('qodx-extend-swiper-slider');
		wp_enqueue_script('qodx-extend-swiper-slider');
						
		$output = '';	
		
		$equal_height = $direction == 'horizontal' && $equal_height == 'true' ? ' swiper-equal-height' : '';		
		$direction    = $direction == 'vertical' ? ' vertical-swiper-slider' : '';		
				
		// Start swipe slider section	
		$output .= '<section id="'.$el_id.'" class="qodx_swipe_slider_wrapper ' . $css_class.'">';
		
		switch($effect){
			case 'fade':
				$effect = ' fade-swiper-slider';
				break;
			case 'coverflow':
				$effect = ' coverflow-swiper-slider';
				break;
			case 'fade':
			default:
				$effect = '';
		}
		
		$centered_slides = $centered_slides == 'true' ? ' center-swiper-slider' : '';
		$extra_padding   = $extra_padding == 'true' ? ' col-md-12' : ' col-md-12 wide-block';
		
		if ( !empty( $class_slides ) ) {
			$extra_padding = '';
			$class_slides = ' ' . esc_attr( trim( $class_slides ) );
		}
		
		// Loop mode		
		$loop = $loop ? 'true' : 'false';
		
		// setting the thumbs pagination class
		// if thumbs pagination and no content || if thumbs pagination and content with overlay only
		$thumbs_pagination = false;	
		$thumbs_arr = array();
		
		if ( ($thumbs_pag == 'true' && !$display_content) || ($thumbs_pag == 'true' && $display_content && $overlay_content == 'true') ) {
			$thumbs_pagination = true;
			$thumbs_pag_css = ' thumbs-swiper-slider'; // if thumbs pagination and no content			
		} else {
			$thumbs_pag_css = '';
		}
		
		$parallax_css = $content_block_start = $content_block_end = $overlay_block_start = $overlay_block_end = $image_block_start = $image_block_end = $container_css = '';
		
		if ( $overlay_content == 'true' ) {
						
			if ( $parallax == 'true' ) {
				$parallax_css = 'qodx_img_parallax ';
			}
			if ( $specific_image ) {
				$specific_image = ' qodx-image';
				$container_css = ' img-container';
			} else {
				$specific_image = '';
			}
			
		}
				
		// image containers
		$image_block_start .= "\n\t".'<div class="image-block">';
			$image_block_start .= "\n\t".'<div class="image-block-container">';
				// Image output goes here
			$image_block_end .= "\n\t".'</div>';
		$image_block_end .= "\n\t".'</div>';
		
		// if display content option is checked
		if ( $display_content ) {
			
			if ( $content_style != 'default' ){
				$style_class = ' content-block-style-' . $content_style;
			} else {
				$style_class = '';
			}
			
			if ( $overlay_content == 'false' ) { // if normal content (below image)
				// content block containers
				$content_block_start .= "\n\t".'<div class="content-block' . $style_class . $extra_padding . $class_slides . '">';
					$content_block_start .= "\n\t".'<div class="content-block-container">';
						// Content goes here
					$content_block_end .= "\n\t".'</div>';
				$content_block_end .= "\n\t".'</div>';
					
			} else { // if overlay content
				// content block containers
				$content_block_start .= "\n\t".'<div class="' . $overlay_padding . '"><div class="section-container">';
				$content_block_end .= "\n\t".'</div></div>';
				
				// overlay content containers
				$overlay_block_start .= "\n\t".'<div class="container' . $container_css . '">';
					$overlay_block_start .= "\n\t".'<div class="row">';
						// Overlay content goes here
					$overlay_block_end .= "\n\t".'</div>';
				$overlay_block_end .= "\n\t".'</div>';
				
				// image containers
				$image_block_start = $image_block_end = ''; // reset image block containers
				$image_block_start .= "\n\t".'<div class="' . $parallax_css . 'background-image-block' . $specific_image . '">';
					// Image output goes here
				$image_block_end .= "\n\t".'</div>';				
			}
			
		}
		
		$overlay_css  = $display_content && $overlay_content == 'true' ? ' overlay_content' : '';
															
		$output .= '<div id="qodx-swiper-slider-'.$id.'" class="qodx-swiper-slider'.$direction.$effect.$centered_slides.$equal_height.$overlay_css.$thumbs_pag_css.'" data-swiper-items="'.$slide_items.'" data-swiper-md-items="'.$slide_items_md.'" data-swiper-sm-items="'.$slide_items_sm.'" data-swiper-xs-items="'.$slide_items_xs.'" data-swiper-slides-col="'.$slides_per_col.'" data-swiper-autoplay="'.$auto_slide.'" data-swiper-loop="'.$loop.'" data-swiper-grab-cursor="'.$grab_cursor.'" data-swiper-simulate-touch="'.$simulate_touch.'">';
			$output .= '<div class="swiper-wrapper">';
				
			// The content
			for($i = 1; $i <= $slide_count; $i++) {
				$item_content = $link = $img_link_title = $img_link_target = $image = $mobile_image = $image_output = $button = $button_href = $button_title_output = $button_target_output = $wrapperClass = '';
								
				// Slide content					
				isset($atts["content_" . $i]) && $atts["content_" . $i] != "" ? $item_content = $atts["content_" . $i] : '';
				if ($item_content != '') {
					$item_content = do_shortcode( rawurldecode(base64_decode(strip_tags($item_content))) );
				}
				
				// Slide button
				isset($atts["button_" . $i]) && $atts["button_" . $i] != "||" ? $button = $atts["button_" . $i] : '';
				// parse name link
				if ($button != '') {
					$button = vc_build_link($button);
					$button_href = esc_url( $button['url'] );
					
					$button_title = $button['title'];
					$button_title_output = ($button_title!='') ? ' title="' . esc_attr( $button_title ) .'"' : '';
					
					$button_target = $button['target'];
					$button_target_output = ($button_target!='') ? ' target="' . $button_target .'"' : '';
				}			
				
				// Slide image			
				if ($atts["image_" . $i] != NULL) {
					$image = $atts["image_" . $i];
					$img_id = preg_replace('/[^\d]/', '', $image);
										
					// if image alt not set then take it's title
					$attachment_meta = QODX_WpGetAttachment($img_id);
					if (!empty($attachment_meta['alt'])) {
						$img_title = $attachment_meta['alt'];
					} else {
						$img_title = $attachment_meta['title'];
					}
					$img_src = $attachment_meta['src'];	
										
					if ( ! $img_size ) {
						$img_size = 'large';
					}								
					
					// get mobile image id
					if ($atts["mobile_image_" . $i] != NULL) {
						$mobile_image = $atts["mobile_image_" . $i];
						$mobile_img_id = preg_replace('/[^\d]/', '', $mobile_image);
						$attachment_meta_mobile = QODX_WpGetAttachment($mobile_img_id);
						$img_src = $attachment_meta_mobile['src'];
						
						$mobile_img = wpb_getImageBySize( array( 
							'attach_id' => $mobile_img_id, 
							'thumb_size' => $img_size, 
							'class' => 'swiper-image mobile-image' 
						) );
					} else {
						$mobile_img['thumbnail'] = '';
					}						
					
					$img = wpb_getImageBySize( array( 
						'attach_id' => $img_id, 
						'thumb_size' => $img_size, 
						'class' => 'swiper-image' 
					) );
										
					// Thumbs if slider with thumbs pagination
					// $img_thumb = wpb_getImageBySize(array( 'attach_id' => $img_id, 'thumb_size' => '160x160' ));	
					if( function_exists( 'aq_resize' ) ) {				
    					$thumbs_arr[] = 'src="'. aq_resize( $img_src, '160', '160', true ).'" alt="' . $img_title . '"';
					}
					
					if ( $overlay_content != 'true' ) { // if not a overlay content
						$mobile_img['thumbnail'] = '';
					}
					
					$a_attrs = array();
					
					switch ( $onclick ) {
			
						case 'link_image_fancy':
							wp_enqueue_script( 'fancybox' );
			
							$a_attrs['class'] = 'fancybox';
							
							$link = wp_get_attachment_image_src( $img_id, 'full' );
							$link = $link[0];
							$img_link_title  = $img_title;
							$img_link_target = '_self';
							$rel = 'group_' . $id;
			
							break;
			
						case 'custom_link':
							
							isset($atts["img_link_" . $i]) && $atts["img_link_" . $i] != "||" ? $img_link = $atts["img_link_" . $i] : '';
							
							// parse image link
							if ($img_link != '') {
								$img_link = vc_build_link($img_link);
								$link = esc_url( $img_link['url'] );
								
								$img_link_title = $img_link['title'];								
								$img_link_target = $img_link['target'];								
								$rel = '';
							}
							
							break;
			
					}
			
					if ( $link ) {
						$a_attrs['href']   = $link;
						$a_attrs['target'] = $img_link_target;
						$a_attrs['title']  = $img_link_title;
						$a_attrs['rel']    = $rel;
						
						if ( ! empty( $a_attrs['class'] ) ) {
							$wrapperClass = ' ' . $a_attrs['class'];
							unset( $a_attrs['class'] );
						}
						
						$image_output = '<a ' . vc_stringify_attributes( $a_attrs ) . ' class="' . $wrapperClass . '">' . $mobile_img['thumbnail'] . $img['thumbnail'] . '</a>';
					} else {
						$image_output = $mobile_img['thumbnail'] . $img['thumbnail'];
					}
							
				}
				
				$output .= '<div class="swiper-slide">';	
					$output .= '<div class="swiper-slide-container">';
					
						$output .= $content_block_start;
						
							if ( $content_first == 'true' ) {
								// Normal content (above image) goes here if 'Display content' option is checked						
								$output .= $display_content && $overlay_content == 'false' ? $item_content : '';
							}
														
							if ( $image != '' ) {
								$output .= $image_block_start;
									$output .= "\n\t\t" . $image_output;
								$output .= $image_block_end;				
							}
							
							if ( $content_first == 'false' ) {
								// Normal content (below image) goes here if 'Display content' option is checked						
								$output .= $display_content && $overlay_content == 'false' ? $item_content : '';
							}
							
							// Overlay content goes here if 'Display content' option is checked	
							$output .= $display_content && $overlay_content == 'true' ? $overlay_block_start . $item_content . $overlay_block_end : '';
							// Display button
							if ($button_href != NULL) {
								$output .= '<a href="'.$button_href.'"' . $button_title_output . $button_target_output .' class="btn btn-qodx wave-effect">' . $button_title . '</a>';					
							}
						
						$output .= $content_block_end;
																	
					$output .= '</div>'; // End "swiper-slide-container"
				$output .= '</div>'; // End "swiper-slide"
			} // end for
			// End of content
		
			$output .= '</div>'; // End "swiper-wrapper"
			
			// Build Pagination
			if ($slider_pag == "true") {
				if ( $thumbs_pagination ) {
					$output .= '<div class="swiper-pagination">';
					
						foreach($thumbs_arr as $value) {
                           	$output .= '<span><img ' . $value . ' /></span>';
						}
					
					$output .= '</div>';
				} else {
					$pag_lowest = $pag_lowest ? ' pag-lowest' : '';
					$output .= '<div class="swiper-pagination' . $pag_lowest . '"></div>';
				}
			}
			
			// Build Navigation
			if ($slider_nav == "true") {
				$output .= '<div class="swiper-button-prev">
								<i class="fa fa-angle-left"></i>
							</div>
							<div class="swiper-button-next">
								<i class="fa fa-angle-right"></i>
							</div>';
			}
			
		$output .= '</div>'; // End "qodx-swiper-slider"
		
		// End swipe slider section
		$output .= '</section>';
				
		return $output;			
	
	}
	
}

/*
Register Qodux shortcode within Visual Composer interface.
*/

if (function_exists('vc_map')) {

	$add_qodx_sc_func             = new QODX_VCSC_SHORTCODE;	
	$add_qodx_extra_id            = $add_qodx_sc_func->getWTExtraId();
	$add_qodx_extra_class         = $add_qodx_sc_func->getWTExtraClass();
	
	vc_map( array(
		'name' => esc_html__( 'Swipe Slider', 'qodux_fw' ),
		'base' => 'qodx_swipe_slider',
		'icon' => 'qodx-icon-swipe_slider fa fa-picture-o',
		'class' => 'qodx_vc_sc_swipe_slider',
		'category' => esc_html__( 'by Qodux', 'qodux_fw' ),
		'description' => esc_html__( 'Animated slider with images', 'qodux_fw' ),
		'params' => array(	
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Image size', 'qodux_fw' ),
				'param_name'    => 'img_size',
				'value'         => 'full',
				'description'   => esc_html__( 'If you set any images, then here you can enter image size. Example: "thumbnail", "medium", "large", "full" or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size.', 'qodux_fw' )
			),			
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'On click action', 'qodux_fw' ),
				'param_name' => 'onclick',
				'value' => array(
					esc_html__( 'None', 'qodux_fw' )                => '',
					esc_html__( 'Open fancy lightbox', 'qodux_fw' ) => 'link_image_fancy',
					esc_html__( 'Open custom links', 'qodux_fw' )   => 'custom_link',
				),
				'description' => esc_html__( 'Select action for click event.', 'qodux_fw' ),
			),
			array(
				'type'			=> 'checkbox',
				'heading'		=> esc_html__( 'Display content?', 'qodux_fw' ),
				'param_name'	=> 'display_content',
				'value'			=> Array( esc_html__( 'Yes please.', 'qodux_fw' ) => 'yes' ),
				'description'   => esc_html__( 'Check this option to display slides content.', 'qodux_fw' ),
			),
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Overlay content', 'qodux_fw' ),
				'param_name'    => 'overlay_content',
				'value' => array( 
					esc_html__( 'No', 'qodux_fw' )    => 'false',
					esc_html__( 'Yes', 'qodux_fw' )   => 'true',
				),
				'description'   => esc_html__( 'If selected, content will overlay the slide image.', 'qodux_fw' ),
				'dependency'    => array( 'element' => 'display_content', 'not_empty' => true ),
			),
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Display content first', 'qodux_fw' ),
				'param_name'    => 'content_first',
				'value' => array( 
					esc_html__( 'No', 'qodux_fw' )    => 'false',
					esc_html__( 'Yes', 'qodux_fw' )   => 'true',
				),
				'description'   => esc_html__( 'If selected, content will be displayed before the image.', 'qodux_fw' ),
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency' 	=> array(
					'element' => 'overlay_content',
					'value'   => 'false'
				),
			),	
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Add extra padding to slides', 'qodux_fw' ),
				'param_name'    => 'extra_padding',
				'value' => array( 
					esc_html__( 'No', 'qodux_fw' )    => 'false',
					esc_html__( 'Yes', 'qodux_fw' )   => 'true',
				),
				'param_holder_class' => 'border_box qodx_dependency',
				'description'   => esc_html__( 'If selected, slides will be wrapped with extra \'12px\' of left / right padding.', 'qodux_fw' ),
				'dependency' 	=> array(
					'element' => 'overlay_content',
					'value'   => 'false'
				),
			),
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Overlay content padding', 'qodux_fw' ),
				'param_name'    => 'overlay_padding',
				'value' => array( 
					esc_html__( 'Large', 'qodux_fw' )       => 'section-lg-padding',
					esc_html__( 'Medium', 'qodux_fw' )      => 'section-md-padding',
					esc_html__( 'Small', 'qodux_fw' )       => 'section-sm-padding',
					esc_html__( 'Extra small', 'qodux_fw' ) => 'section-xs-padding',
				),
				'std'           => 'section-md-padding',
				'param_holder_class' => 'border_box qodx_dependency',
				'description'   => esc_html__( 'Set overlay content padding.', 'qodux_fw' ),
				'dependency' 	=> array(
					'element' => 'overlay_content',
					'value'   => 'true'
				),
			),
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Image with parallax effect', 'qodux_fw' ),
				'param_name'    => 'parallax',
				'value' => array( 
					esc_html__( 'No', 'qodux_fw' )    => 'false',
					esc_html__( 'Yes', 'qodux_fw' )   => 'true',
				),
				'param_holder_class' => 'border_box qodx_dependency',
				'description'   => esc_html__( 'If selected, image slides will have a parallax effect when scrolling.', 'qodux_fw' ),
				'dependency' 	=> array(
					'element' => 'overlay_content',
					'value'   => 'true'
				),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => __( 'Specific image?', 'qodux_fw' ),
				'param_name'  => 'specific_image',
				'value'       => array( __( 'Yes', 'qodux_fw' ) => 'yes' ),
				'param_holder_class' => 'border_box qodx_dependency',
				'description' => __( 'Add specific class to image container needed for responsive custom styles.', 'qodux_fw' ),
				'dependency'  => array(
					'element' => 'overlay_content',
					'value'   => 'true',
				),
			),
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Content style', 'qodux_fw' ),
				'param_name'    => 'content_style',
				'value' => array( 
					esc_html__( 'Default', 'qodux_fw' )    => 'default',
					esc_html__( 'Style #1', 'qodux_fw' )   => '1',
					esc_html__( 'Style #2', 'qodux_fw' )   => '2',
					esc_html__( 'Style #3', 'qodux_fw' )   => '3',
					esc_html__( 'Style #4', 'qodux_fw' )   => '4',
					esc_html__( 'Style #5', 'qodux_fw' )   => '5',
					esc_html__( 'Style #6', 'qodux_fw' )   => '6',
					esc_html__( 'Style #7', 'qodux_fw' )   => '7',
				),
				'description'   => esc_html__( 'Content block specific style css class.', 'qodux_fw' ),
				'dependency'    => array( 'element' => 'display_content', 'not_empty' => true ),
			),
						
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Number Of Items.', 'qodux_fw' ),
				'param_name'    => 'slide_count',
				'value'         => array( 
					1  => '1', 
					2  => '2', 
					3  => '3', 
					4  => '4', 
					5  => '5', 
					6  => '6', 
					7  => '7', 
					8  => '8', 
					9  => '9',
					10 => '10', 
					11 => '11',
					12 => '12',
					13 => '13',
					14 => '14',
					15 => '15'
				),
				'description'   => esc_html__( 'Specify the number of slide items.', 'qodux_fw' ) .' <strong>' . esc_html__( 'Maximum allowed is \'15\' items', 'qodux_fw' ) .'</strong>.'
			),	
							
				// Slide item #1
				array(
					'type'		  => 'qodx_separator',
					'heading'	  => '',
					"param_name"  => sprintf('separator_%d',1),
					'separator'	  => sprintf(esc_html__( 'Slide item #%d', 'qodux_fw' ),1),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count',
						'value'   => array('1','2','3','4','5','6','7','8','9','10','11','12','13','14','15')
					)
				),	
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Image %d', 'qodux_fw' ),1),
					'param_name'         => sprintf('image_%d',1),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					// 'description'        => esc_html__( 'If you want to use an image you can upload it here.', 'qodux_fw' ),
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('1','2','3','4','5','6','7','8','9','10','11','12','13','14','15')
					)
				),	
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Mobile Image %d', 'qodux_fw' ),1),
					'param_name'         => sprintf('mobile_image_%d',1),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('1','2','3','4','5','6','7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Image custom link %d", 'qodux_fw' ),1),
					'param_name'    => sprintf("img_link_%d",1),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('1','2','3','4','5','6','7','8','9','10','11','12','13','14','15')
					),
					'description'   => esc_html__( 'Select image custom link. \'On click action\' option should be set to open custom links.', 'qodux_fw' )
				),	
				array(
					'type'               => 'textarea_raw_html',
					'heading'            => sprintf(esc_html__( "Item Content %d", 'qodux_fw' ),1),
					'param_name'         => sprintf("content_%d",1),
					'param_holder_class' => 'wtcode border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count',
						'value'   => array('1','2','3','4','5','6','7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Item Button %d", 'qodux_fw' ),1),
					'param_name'    => sprintf("button_%d",1),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('1','2','3','4','5','6','7','8','9','10','11','12','13','14','15')
					),
				),
				
				// Slide item #2
				array(
					'type'		  => 'qodx_separator',
					'heading'	  => '',
					"param_name"  => sprintf('separator_%d',2),
					'separator'	  => sprintf(esc_html__( 'Slide item #%d', 'qodux_fw' ),2),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count',
						'value'   => array('2','3','4','5','6','7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Image %d', 'qodux_fw' ),2),
					'param_name'         => sprintf('image_%d',2),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					// 'description'        => esc_html__( 'If you want to use an image you can upload it here.', 'qodux_fw' ),
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('2','3','4','5','6','7','8','9','10','11','12','13','14','15')
					)
				),	
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Mobile Image %d', 'qodux_fw' ),2),
					'param_name'         => sprintf('mobile_image_%d',2),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('2','3','4','5','6','7','8','9','10','11','12','13','14','15')
					)
				),	
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Image custom link %d", 'qodux_fw' ),2),
					'param_name'    => sprintf("img_link_%d",2),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('2','3','4','5','6','7','8','9','10','11','12','13','14','15')
					),
					'description'   => esc_html__( 'Select image custom link. \'On click action\' option should be set to open custom links.', 'qodux_fw' )
				),
				array(
					'type'               => 'textarea_raw_html',
					'heading'            => sprintf(esc_html__( "Item Content %d", 'qodux_fw' ),2),
					'param_name'         => sprintf("content_%d",2),
					'param_holder_class' => 'wtcode border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('2','3','4','5','6','7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Item Button %d", 'qodux_fw' ),2),
					'param_name'    => sprintf("button_%d",2),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('2','3','4','5','6','7','8','9','10','11','12','13','14','15')
					),
				),
				
				// Slide item #3
				array(
					'type'		  => 'qodx_separator',
					'heading'	  => '',
					"param_name"  => sprintf('separator_%d',3),
					'separator'	  => sprintf(esc_html__( 'Slide item #%d', 'qodux_fw' ),3),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count',
						'value'   => array('3','4','5','6','7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Image %d', 'qodux_fw' ),3),
					'param_name'         => sprintf('image_%d',3),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					// 'description'        => esc_html__( 'If you want to use an image you can upload it here.', 'qodux_fw' ),
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('3','4','5','6','7','8','9','10','11','12','13','14','15')
					)
				),		
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Mobile Image %d', 'qodux_fw' ),3),
					'param_name'         => sprintf('mobile_image_%d',3),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('3','4','5','6','7','8','9','10','11','12','13','14','15')
					)
				),	
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Image custom link %d", 'qodux_fw' ),3),
					'param_name'    => sprintf("img_link_%d",3),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('3','4','5','6','7','8','9','10','11','12','13','14','15')
					),
					'description'   => esc_html__( 'Select image custom link. \'On click action\' option should be set to open custom links.', 'qodux_fw' )
				),
				array(
					'type'               => 'textarea_raw_html',
					'heading'            => sprintf(esc_html__( "Item Content %d", 'qodux_fw' ),3),
					'param_name'         => sprintf("content_%d",3),
					'param_holder_class' => 'wtcode border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('3','4','5','6','7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Item Button %d", 'qodux_fw' ),3),
					'param_name'    => sprintf("button_%d",3),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('3','4','5','6','7','8','9','10','11','12','13','14','15')
					),
				),
				
				// Slide item #4
				array(
					'type'		  => 'qodx_separator',
					'heading'	  => '',
					"param_name"  => sprintf('separator_%d',4),
					'separator'	  => sprintf(esc_html__( 'Slide item #%d', 'qodux_fw' ),4),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count',
						'value'   => array('4','5','6','7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Image %d', 'qodux_fw' ),4),
					'param_name'         => sprintf('image_%d',4),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					// 'description'        => esc_html__( 'If you want to use an image you can upload it here.', 'qodux_fw' ),
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('4','5','6','7','8','9','10','11','12','13','14','15')
					)
				),	
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Mobile Image %d', 'qodux_fw' ),4),
					'param_name'         => sprintf('mobile_image_%d',4),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('4','5','6','7','8','9','10','11','12','13','14','15')
					)
				),	
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Image custom link %d", 'qodux_fw' ),4),
					'param_name'    => sprintf("img_link_%d",4),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('4','5','6','7','8','9','10','11','12','13','14','15')
					),
					'description'   => esc_html__( 'Select image custom link. \'On click action\' option should be set to open custom links.', 'qodux_fw' )
				),
				array(
					'type'               => 'textarea_raw_html',
					'heading'            => sprintf(esc_html__( "Item Content %d", 'qodux_fw' ),4),
					'param_name'         => sprintf("content_%d",4),
					'param_holder_class' => 'wtcode border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('4','5','6','7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Item Button %d", 'qodux_fw' ),4),
					'param_name'    => sprintf("button_%d",4),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('4','5','6','7','8','9','10','11','12','13','14','15')
					),
				),
				
				// Slide item #5
				array(
					'type'		  => 'qodx_separator',
					'heading'	  => '',
					"param_name"  => sprintf('separator_%d',5),
					'separator'	  => sprintf(esc_html__( 'Slide item #%d', 'qodux_fw' ),5),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count',
						'value'   => array('5','6','7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Image %d', 'qodux_fw' ),5),
					'param_name'         => sprintf('image_%d',5),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					// 'description'        => esc_html__( 'If you want to use an image you can upload it here.', 'qodux_fw' ),
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('5','6','7','8','9','10','11','12','13','14','15')
					)
				),	
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Mobile Image %d', 'qodux_fw' ),5),
					'param_name'         => sprintf('mobile_image_%d',5),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('5','6','7','8','9','10','11','12','13','14','15')
					)
				),	
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Image custom link %d", 'qodux_fw' ),5),
					'param_name'    => sprintf("img_link_%d",5),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('5','6','7','8','9','10','11','12','13','14','15')
					),
					'description'   => esc_html__( 'Select image custom link. \'On click action\' option should be set to open custom links.', 'qodux_fw' )
				),
				array(
					'type'               => 'textarea_raw_html',
					'heading'            => sprintf(esc_html__( "Item Content %d", 'qodux_fw' ),5),
					'param_name'         => sprintf("content_%d",5),
					'param_holder_class' => 'wtcode border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('5','6','7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Item Button %d", 'qodux_fw' ),5),
					'param_name'    => sprintf("button_%d",5),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('5','6','7','8','9','10','11','12','13','14','15')
					),
				),
				
				// Slide item #6
				array(
					'type'		  => 'qodx_separator',
					'heading'	  => '',
					"param_name"  => sprintf('separator_%d',6),
					'separator'	  => sprintf(esc_html__( 'Slide item #%d', 'qodux_fw' ),6),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count',
						'value'   => array('6','7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Image %d', 'qodux_fw' ),6),
					'param_name'         => sprintf('image_%d',6),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					// 'description'        => esc_html__( 'If you want to use an image you can upload it here.', 'qodux_fw' ),
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('6','7','8','9','10','11','12','13','14','15')
					)
				),	
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Mobile Image %d', 'qodux_fw' ),6),
					'param_name'         => sprintf('mobile_image_%d',6),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('6','7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Image custom link %d", 'qodux_fw' ),6),
					'param_name'    => sprintf("img_link_%d",6),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('6','7','8','9','10','11','12','13','14','15')
					),
					'description'   => esc_html__( 'Select image custom link. \'On click action\' option should be set to open custom links.', 'qodux_fw' )
				),
				array(
					'type'               => 'textarea_raw_html',
					'heading'            => sprintf(esc_html__( "Item Content %d", 'qodux_fw' ),6),
					'param_name'         => sprintf("content_%d",6),
					'param_holder_class' => 'wtcode border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('6','7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Item Button %d", 'qodux_fw' ),6),
					'param_name'    => sprintf("button_%d",6),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('6','7','8','9','10','11','12','13','14','15')
					),
				),
				
				// Slide item #7
				array(
					'type'		  => 'qodx_separator',
					'heading'	  => '',
					"param_name"  => sprintf('separator_%d',7),
					'separator'	  => sprintf(esc_html__( 'Slide item #%d', 'qodux_fw' ),7),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count',
						'value'   => array('7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Image %d', 'qodux_fw' ),7),
					'param_name'         => sprintf('image_%d',7),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					// 'description'        => esc_html__( 'If you want to use an image you can upload it here.', 'qodux_fw' ),
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Mobile Image %d', 'qodux_fw' ),7),
					'param_name'         => sprintf('mobile_image_%d',7),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Image custom link %d", 'qodux_fw' ),7),
					'param_name'    => sprintf("img_link_%d",7),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('7','8','9','10','11','12','13','14','15')
					),
					'description'   => esc_html__( 'Select image custom link. \'On click action\' option should be set to open custom links.', 'qodux_fw' )
				),
				array(
					'type'               => 'textarea_raw_html',
					'heading'            => sprintf(esc_html__( "Item Content %d", 'qodux_fw' ),7),
					'param_name'         => sprintf("content_%d",7),
					'param_holder_class' => 'wtcode border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('7','8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Item Button %d", 'qodux_fw' ),7),
					'param_name'    => sprintf("button_%d",7),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('7','8','9','10','11','12','13','14','15')
					),
				),
				
				// Slide item #8
				array(
					'type'		  => 'qodx_separator',
					'heading'	  => '',
					"param_name"  => sprintf('separator_%d',8),
					'separator'	  => sprintf(esc_html__( 'Slide item #%d', 'qodux_fw' ),8),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count',
						'value'   => array('8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Image %d', 'qodux_fw' ),8),
					'param_name'         => sprintf('image_%d',8),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					// 'description'        => esc_html__( 'If you want to use an image you can upload it here.', 'qodux_fw' ),
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Mobile Image %d', 'qodux_fw' ),8),
					'param_name'         => sprintf('mobile_image_%d',8),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Image custom link %d", 'qodux_fw' ),8),
					'param_name'    => sprintf("img_link_%d",8),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('8','9','10','11','12','13','14','15')
					),
					'description'   => esc_html__( 'Select image custom link. \'On click action\' option should be set to open custom links.', 'qodux_fw' )
				),
				array(
					'type'               => 'textarea_raw_html',
					'heading'            => sprintf(esc_html__( "Item Content %d", 'qodux_fw' ),8),
					'param_name'         => sprintf("content_%d",8),
					'param_holder_class' => 'wtcode border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('8','9','10','11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Item Button %d", 'qodux_fw' ),8),
					'param_name'    => sprintf("button_%d",8),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('8','9','10','11','12','13','14','15')
					),
				),	
				
				// Slide item #9
				array(
					'type'		  => 'qodx_separator',
					'heading'	  => '',
					"param_name"  => sprintf('separator_%d',9),
					'separator'	  => sprintf(esc_html__( 'Slide item #%d', 'qodux_fw' ),9),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count',
						'value'   => array('9','10','11','12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Image %d', 'qodux_fw' ),9),
					'param_name'         => sprintf('image_%d',9),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					// 'description'        => esc_html__( 'If you want to use an image you can upload it here.', 'qodux_fw' ),
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('9','10','11','12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Mobile Image %d', 'qodux_fw' ),9),
					'param_name'         => sprintf('mobile_image_%d',9),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('9','10','11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Image custom link %d", 'qodux_fw' ),9),
					'param_name'    => sprintf("img_link_%d",9),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('9','10','11','12','13','14','15')
					),
					'description'   => esc_html__( 'Select image custom link. \'On click action\' option should be set to open custom links.', 'qodux_fw' )
				),
				array(
					'type'               => 'textarea_raw_html',
					'heading'            => sprintf(esc_html__( "Item Content %d", 'qodux_fw' ),9),
					'param_name'         => sprintf("content_%d",9),
					'param_holder_class' => 'wtcode border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('9','10','11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Item Button %d", 'qodux_fw' ),9),
					'param_name'    => sprintf("button_%d",9),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('9','10','11','12','13','14','15')
					),
				),	
				
				// Slide item #10
				array(
					'type'		  => 'qodx_separator',
					'heading'	  => '',
					"param_name"  => sprintf('separator_%d',10),
					'separator'	  => sprintf(esc_html__( 'Slide item #%d', 'qodux_fw' ),10),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count',
						'value'   => array('10','11','12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Image %d', 'qodux_fw' ),10),
					'param_name'         => sprintf('image_%d',10),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					// 'description'        => esc_html__( 'If you want to use an image you can upload it here.', 'qodux_fw' ),
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('10','11','12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Mobile Image %d', 'qodux_fw' ),10),
					'param_name'         => sprintf('mobile_image_%d',10),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('10','11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Image custom link %d", 'qodux_fw' ),10),
					'param_name'    => sprintf("img_link_%d",10),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('10','11','12','13','14','15')
					),
					'description'   => esc_html__( 'Select image custom link. \'On click action\' option should be set to open custom links.', 'qodux_fw' )
				),
				array(
					'type'               => 'textarea_raw_html',
					'heading'            => sprintf(esc_html__( "Item Content %d", 'qodux_fw' ),10),
					'param_name'         => sprintf("content_%d",10),
					'param_holder_class' => 'wtcode border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('10','11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Item Button %d", 'qodux_fw' ),10),
					'param_name'    => sprintf("button_%d",10),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('10','11','12','13','14','15')
					),
				),		
				
				// Slide item #11
				array(
					'type'		  => 'qodx_separator',
					'heading'	  => '',
					"param_name"  => sprintf('separator_%d',11),
					'separator'	  => sprintf(esc_html__( 'Slide item #%d', 'qodux_fw' ),11),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count',
						'value'   => array('11','12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Image %d', 'qodux_fw' ),11),
					'param_name'         => sprintf('image_%d',11),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					// 'description'        => esc_html__( 'If you want to use an image you can upload it here.', 'qodux_fw' ),
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('11','12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Mobile Image %d', 'qodux_fw' ),11),
					'param_name'         => sprintf('mobile_image_%d',11),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Image custom link %d", 'qodux_fw' ),11),
					'param_name'    => sprintf("img_link_%d",11),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('11','12','13','14','15')
					),
					'description'   => esc_html__( 'Select image custom link. \'On click action\' option should be set to open custom links.', 'qodux_fw' )
				),
				array(
					'type'               => 'textarea_raw_html',
					'heading'            => sprintf(esc_html__( "Item Content %d", 'qodux_fw' ),11),
					'param_name'         => sprintf("content_%d",11),
					'param_holder_class' => 'wtcode border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('11','12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Item Button %d", 'qodux_fw' ),11),
					'param_name'    => sprintf("button_%d",11),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('11','12','13','14','15')
					),
				),	
				
				// Slide item #12
				array(
					'type'		  => 'qodx_separator',
					'heading'	  => '',
					"param_name"  => sprintf('separator_%d',12),
					'separator'	  => sprintf(esc_html__( 'Slide item #%d', 'qodux_fw' ),12),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count',
						'value'   => array('12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Image %d', 'qodux_fw' ),12),
					'param_name'         => sprintf('image_%d',12),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					// 'description'        => esc_html__( 'If you want to use an image you can upload it here.', 'qodux_fw' ),
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('12','13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Mobile Image %d', 'qodux_fw' ),12),
					'param_name'         => sprintf('mobile_image_%d',12),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Image custom link %d", 'qodux_fw' ),12),
					'param_name'    => sprintf("img_link_%d",12),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('12','13','14','15')
					),
					'description'   => esc_html__( 'Select image custom link. \'On click action\' option should be set to open custom links.', 'qodux_fw' )
				),
				array(
					'type'               => 'textarea_raw_html',
					'heading'            => sprintf(esc_html__( "Item Content %d", 'qodux_fw' ),12),
					'param_name'         => sprintf("content_%d",12),
					'param_holder_class' => 'wtcode border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('12','13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Item Button %d", 'qodux_fw' ),12),
					'param_name'    => sprintf("button_%d",12),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('12','13','14','15')
					),
				),	
				
				// Slide item #13
				array(
					'type'		  => 'qodx_separator',
					'heading'	  => '',
					"param_name"  => sprintf('separator_%d',13),
					'separator'	  => sprintf(esc_html__( 'Slide item #%d', 'qodux_fw' ),13),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count',
						'value'   => array('13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Image %d', 'qodux_fw' ),13),
					'param_name'         => sprintf('image_%d',13),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					// 'description'        => esc_html__( 'If you want to use an image you can upload it here.', 'qodux_fw' ),
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('13','14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Mobile Image %d', 'qodux_fw' ),13),
					'param_name'         => sprintf('mobile_image_%d',13),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Image custom link %d", 'qodux_fw' ),13),
					'param_name'    => sprintf("img_link_%d",13),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('13','14','15')
					),
					'description'   => esc_html__( 'Select image custom link. \'On click action\' option should be set to open custom links.', 'qodux_fw' )
				),
				array(
					'type'               => 'textarea_raw_html',
					'heading'            => sprintf(esc_html__( "Item Content %d", 'qodux_fw' ),13),
					'param_name'         => sprintf("content_%d",13),
					'param_holder_class' => 'wtcode border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('13','14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Item Button %d", 'qodux_fw' ),13),
					'param_name'    => sprintf("button_%d",13),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('13','14','15')
					),
				),
				
				// Slide item #14
				array(
					'type'		  => 'qodx_separator',
					'heading'	  => '',
					"param_name"  => sprintf('separator_%d',14),
					'separator'	  => sprintf(esc_html__( 'Slide item #%d', 'qodux_fw' ),14),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count',
						'value'   => array('14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Image %d', 'qodux_fw' ),14),
					'param_name'         => sprintf('image_%d',14),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					// 'description'        => esc_html__( 'If you want to use an image you can upload it here.', 'qodux_fw' ),
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('14','15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Mobile Image %d', 'qodux_fw' ),14),
					'param_name'         => sprintf('mobile_image_%d',14),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Image custom link %d", 'qodux_fw' ),14),
					'param_name'    => sprintf("img_link_%d",14),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('14','15')
					),
					'description'   => esc_html__( 'Select image custom link. \'On click action\' option should be set to open custom links.', 'qodux_fw' )
				),
				array(
					'type'               => 'textarea_raw_html',
					'heading'            => sprintf(esc_html__( "Item Content %d", 'qodux_fw' ),14),
					'param_name'         => sprintf("content_%d",14),
					'param_holder_class' => 'wtcode border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('14','15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Item Button %d", 'qodux_fw' ),14),
					'param_name'    => sprintf("button_%d",14),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('14','15')
					),
				),	
				
				// Slide item #15
				array(
					'type'		  => 'qodx_separator',
					'heading'	  => '',
					"param_name"  => sprintf('separator_%d',15),
					'separator'	  => sprintf(esc_html__( 'Slide item #%d', 'qodux_fw' ),15),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count',
						'value'   => array('15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Image %d', 'qodux_fw' ),15),
					'param_name'         => sprintf('image_%d',15),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					// 'description'        => esc_html__( 'If you want to use an image you can upload it here.', 'qodux_fw' ),
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('15')
					)
				),
				array(
					'type'               => 'attach_image',
					'heading'            => sprintf(esc_html__( 'Mobile Image %d', 'qodux_fw' ),15),
					'param_name'         => sprintf('mobile_image_%d',15),
					'param_holder_class' => 'border_box qodx_dependency vc_col-xs-6',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Image custom link %d", 'qodux_fw' ),15),
					'param_name'    => sprintf("img_link_%d",15),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('15')
					),
					'description'   => esc_html__( 'Select image custom link. \'On click action\' option should be set to open custom links.', 'qodux_fw' )
				),
				array(
					'type'               => 'textarea_raw_html',
					'heading'            => sprintf(esc_html__( "Item Content %d", 'qodux_fw' ),15),
					'param_name'         => sprintf("content_%d",15),
					'param_holder_class' => 'wtcode border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('15')
					)
				),
				array(
					'type'          => 'vc_link',
					'heading'       => sprintf(esc_html__( "Item Button %d", 'qodux_fw' ),15),
					'param_name'    => sprintf("button_%d",15),
					'param_holder_class' => 'border_box qodx_dependency',
					'dependency'         => array(
						'element' => 'slide_count', 
						'value'   => array('15')
					),
				),		
						
			// Slider Settings
			array(
				'type'               => 'textfield',
				'heading'            => esc_html__( 'Extra class for slides', 'qodux_fw' ),
				'param_name'         => 'class_slides',
				'value'              => '',
				'description'   => esc_html__( 'Add extra class for slides. This will override default slide classes (\'col-md-12\' or \'col-md-12 wide-block\')', 'qodux_fw' ),
				'group' => esc_html__( 'Slider', 'qodux_fw' )
			),					
			array(
				'type'               => 'textfield',
				'heading'            => esc_html__( 'Autoplay', 'qodux_fw' ),
				'param_name'         => 'auto_slide',
				'value'              => '5000',
				'description'   => esc_html__( 'Enables autoplay and define the time interval (in miliseconds - Ex: 3000, 4000, 5000 etc) between transitions. Set it "0" to disable autoplay.', 'qodux_fw' ),
				'group' => esc_html__( 'Slider', 'qodux_fw' )
			),
			array(
				'type'			=> 'checkbox',
				'heading'		=> esc_html__( 'Loop?', 'qodux_fw' ),
				'param_name'	=> 'loop',
				'value'			=> Array( esc_html__( 'Yes please.', 'qodux_fw' ) => 'yes' ),
				'description'   => esc_html__( 'Check this option to enable continuous loop mode.', 'qodux_fw' ),
				'group' 		=> esc_html__( 'Slider', 'qodux_fw' )
			),
			array(
				'type'               => 'dropdown',
				'heading'            => esc_html__( 'Direction', 'qodux_fw' ),
				'param_name'         => 'direction',
				'value' 			 => array( 
					esc_html__( 'Horizontal', 'qodux_fw' ) => 'horizontal',
					esc_html__( 'Vertical', 'qodux_fw' )   => 'vertical',
				),
				'description'   => esc_html__( 'Define slider direction ( horizontal / vertical ).', 'qodux_fw' ),
				'group' => esc_html__( 'Slider', 'qodux_fw' )
			),
			array(
				'type'               => 'dropdown',
				'heading'            => esc_html__( 'Equal height for horizontal sliders?', 'qodux_fw' ),
				'param_name'         => 'equal_height',
				'value' 			 => array( 
					esc_html__( 'No', 'qodux_fw' )    => 'false',
					esc_html__( 'Yes', 'qodux_fw' )   => 'true',
				),
				'description'   => esc_html__( 'Set equal height for horizontal sliders. Slider will have the highest slide item size.', 'qodux_fw' ),
				'group' => esc_html__( 'Slider', 'qodux_fw' )
			),
			array(
				'type'               => 'dropdown',
				'heading'            => esc_html__( 'Effect', 'qodux_fw' ),
				'param_name'         => 'effect',
				'value' 			 => array( 
					esc_html__( 'Slide', 'qodux_fw' )     => 'slide',
					esc_html__( 'Fade', 'qodux_fw' )      => 'fade',
					esc_html__( 'Coverflow', 'qodux_fw' ) => 'coverflow',
				),
				'description'   => esc_html__( 'Define slider animation effect.', 'qodux_fw' ),
				'group' => esc_html__( 'Slider', 'qodux_fw' )
			),
			array(
				'type'               => 'qodx_range',
				'heading'            => esc_html__( 'Items visible', 'qodux_fw' ),
				'param_name'         => 'slide_items',
				'value'              => 1,
				'min'                => 1,
				'max'                => 6,
				'step'               => 1,
				'description'        => esc_html__( 'Define maximum amount of items to be visible.', 'qodux_fw' ),
				'group' => esc_html__( 'Slider', 'qodux_fw' )
			),
			array(
				'type'               => 'qodx_range',
				'heading'            => esc_html__( 'Items visible on Small Desktop', 'qodux_fw' ),
				'param_name'         => 'slide_items_md',
				'value'              => 1,
				'min'                => 1,
				'max'                => 4,
				'step'               => 1,
				'description'        => esc_html__( 'Define maximum amount of items to be visible on small desktops.', 'qodux_fw' ),
				'group' => esc_html__( 'Slider', 'qodux_fw' )
			),
			array(
				'type'               => 'qodx_range',
				'heading'            => esc_html__( 'Items visible on Tablet', 'qodux_fw' ),
				'param_name'         => 'slide_items_sm',
				'value'              => 1,
				'min'                => 1,
				'max'                => 4,
				'step'               => 1,
				'description'        => esc_html__( 'Define maximum amount of items to be visible on tablets.', 'qodux_fw' ),
				'group' => esc_html__( 'Slider', 'qodux_fw' )
			),
			array(
				'type'               => 'qodx_range',
				'heading'            => esc_html__( 'Items visible on Mobile', 'qodux_fw' ),
				'param_name'         => 'slide_items_xs',
				'value'              => 1,
				'min'                => 1,
				'max'                => 3,
				'step'               => 1,
				'description'        => esc_html__( 'Define maximum amount of items to be visible on mobiles.', 'qodux_fw' ),
				'group' => esc_html__( 'Slider', 'qodux_fw' )
			),
			array(
				'type'               => 'qodx_range',
				'heading'            => esc_html__( 'Multirow slides', 'qodux_fw' ),
				'param_name'         => 'slides_per_col',
				'value'              => 1,
				'min'                => 1,
				'max'                => 3,
				'step'               => 1,
				'description'        => esc_html__( 'Define maximum number of slides per column, for multirow layout. \'Loop\' option should not be checked to work properly.', 'qodux_fw' ),
				'group' => esc_html__( 'Slider', 'qodux_fw' )
			),
			array(
				'type'               => 'dropdown',
				'heading'            => esc_html__( 'Centered Slides', 'qodux_fw' ),
				'param_name'         => 'centered_slides',
				'value' 			 => array( 
					esc_html__( 'No', 'qodux_fw' )    => 'false',
					esc_html__( 'Yes', 'qodux_fw' )   => 'true',
				),
				'description'   => esc_html__( 'If true, then active slide will be centered, not always on the left side.', 'qodux_fw' ),
				'group' => esc_html__( 'Slider', 'qodux_fw' )
			),	
			array(
				'type'               => 'dropdown',
				'heading'            => esc_html__( 'Grab Cursor', 'qodux_fw' ),
				'param_name'         => 'grab_cursor',
				'value' 			 => array( 
					esc_html__( 'Yes', 'qodux_fw' )   => 'true',
					esc_html__( 'No', 'qodux_fw' )    => 'false',
				),
				'description'   => esc_html__( 'This option may a little improve desktop usability. If true, user will see the "grab" cursor when hover on Swiper.', 'qodux_fw' ),
				'group' => esc_html__( 'Slider', 'qodux_fw' )
			),	
			array(
				'type'               => 'dropdown',
				'heading'            => esc_html__( 'Simulate Touch', 'qodux_fw' ),
				'param_name'         => 'simulate_touch',
				'value' 			 => array( 
					esc_html__( 'Yes', 'qodux_fw' )   => 'true',
					esc_html__( 'No', 'qodux_fw' )    => 'false',
				),
				'description'   => esc_html__( 'If true, Swiper will accept mouse events like touch events (click and drag to change slides).', 'qodux_fw' ),
				'group' => esc_html__( 'Slider', 'qodux_fw' )
			),	
			array(
				'type'               => 'dropdown',
				'heading'            => esc_html__( 'Slider Pagination', 'qodux_fw' ),
				'param_name'         => 'slider_pag',
				'value' 			 => array( 
					esc_html__( 'No', 'qodux_fw' )    => 'false',
					esc_html__( 'Yes', 'qodux_fw' )   => 'true',
				),
				'description'   => esc_html__( 'Enables slider pagination.', 'qodux_fw' ),
				'group' => esc_html__( 'Slider', 'qodux_fw' )
			),		
			array(
				'type'			     => 'checkbox',
				'heading'		     => esc_html__( 'Slider Pagination Lowest?', 'qodux_fw' ),
				'param_name'	     => 'pag_lowest',
				'value'			     => Array( esc_html__( 'Yes please.', 'qodux_fw' ) => 'yes' ),
				'description'        => esc_html__( 'Check this option to display pagination in the lowest position.', 'qodux_fw' ),
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency' 	     => array(
					'element' => 'slider_pag',
					'value'   => 'true'
				),
				'group'              => esc_html__( 'Slider', 'qodux_fw' )
			),				
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Thumbs pagination', 'qodux_fw' ),
				'param_name'    => 'thumbs_pag',
				'value' => array( 
					esc_html__( 'No', 'qodux_fw' )    => 'false',
					esc_html__( 'Yes', 'qodux_fw' )   => 'true',
				),
				'param_holder_class' => 'border_box qodx_dependency',
				'description'   => esc_html__( 'If selected, pagination will be replaced with thumbs pagination.', 'qodux_fw' ),
				'dependency' 	=> array(
					'element' => 'slider_pag',
					'value'   => 'true'
				),
				'group' => esc_html__( 'Slider', 'qodux_fw' )
			),		
			array(
				'type'               => 'dropdown',
				'heading'            => esc_html__( 'Slider Navigation', 'qodux_fw' ),
				'param_name'         => 'slider_nav',
				'value' 			 => array( 
					esc_html__( 'No', 'qodux_fw' )    => 'false',
					esc_html__( 'Yes', 'qodux_fw' )   => 'true',
				),
				'description'   => esc_html__( 'Enables slider navigation ( prev / next buttons ).', 'qodux_fw' ),
				'group' => esc_html__( 'Slider', 'qodux_fw' )
			),	
			
			$add_qodx_extra_id,
			$add_qodx_extra_class,
			
			array(
				'type' => 'css_editor',
				'heading' => esc_html__( 'Css', 'qodux_fw' ),
				'param_name' => 'css',
				'group' => esc_html__( 'Design options', 'qodux_fw' )
			),
			
			// Load Custom CSS/JS File
			array(
				'type'               => 'qodx_loadfile',
				'heading'            => '',
				'param_name'         => 'el_file',
				'value'              => '',
				'file_path'          => 'qodx-visual-composer-extend-element.min.js',
				'param_holder_class' => 'qodx_loadfile_field',
				'description'        => ''
			),
		)
	));
	
}