<?php

// File Security Check
if (!defined('ABSPATH')) die('-1');

/*
Register Qodux shortcode.
*/

class WPBakeryShortCode_QODX_twitter extends WPBakeryShortCode {
	
	private $qodx_sc;
	
	public function __construct($settings) {
        parent::__construct($settings);
		$this->qodx_sc = new QODX_VCSC_SHORTCODE;
	}
			
	protected function content($atts, $content = null) {
		
		// Get and extract shortcode attributes
		$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
		extract( $atts );
						
		$sc_class = 'qodx_twitter_sc';
				
		$id = mt_rand(9999, 99999);
		if (trim($el_id) != false) {
			$el_id = esc_attr( trim($el_id) );
		} else {
			$el_id = $sc_class . '-' . $id;
		}
		
		$count = (int)$count;			
				
		// wp_enqueue_style('qodx-extend-swiper-slider');
		wp_enqueue_script('qodx-extend-swiper-slider');	
		wp_enqueue_script('qodx-extend-tweetie');	
			
		$twitter_class = ' twitter-feed-block twitter-slider';		
						
		$el_class = esc_attr( $this->getExtraClass($el_class) );		
		$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $sc_class.$twitter_class.$el_class.vc_shortcode_custom_css_class($css, ' '), $this->settings['base']);		
		$css_class .= $this->qodx_sc->getWTCSSAnimationClass($css_animation,$anim_type);
		$anim_data = $this->qodx_sc->getWTCSSAnimationData($css_animation,$anim_delay);	
		
		$wrapper_attributes = array();
		// build data attributes for wrapper
				
		if ( ! empty( $username ) ) {
			$wrapper_attributes[] = 'data-username="' . esc_attr( $username ) . '"';
		}
		
		if ( ! empty( $count ) ) {
			$wrapper_attributes[] = 'data-count="' . esc_attr( $count ) . '"';
		}	
										
		$output = '<div class="'.$css_class.'" '.implode( ' ', $wrapper_attributes ).$anim_data.'>';													
        $output .= '</div>';
						
        return $output;
    }
	
}

/*
Register Qodux shortcode within Visual Composer interface.
*/

if (function_exists('vc_map')) {

	$add_qodx_sc_func             = new QODX_VCSC_SHORTCODE;
	$add_qodx_extra_id            = $add_qodx_sc_func->getWTExtraId();
	$add_qodx_extra_class         = $add_qodx_sc_func->getWTExtraClass();
	$add_qodx_css_animation       = $add_qodx_sc_func->getWTAnimations();
	$add_qodx_css_animation_type  = $add_qodx_sc_func->getWTAnimationsType();
	$add_qodx_css_animation_delay = $add_qodx_sc_func->getWTAnimationsDelay();
	
	vc_map( array(
		'name'          => esc_html__( 'Twitter', 'qodux_fw' ),
		'base'          => 'qodx_twitter',
		'icon'          => 'qodx-icon-twitter fa fa-twitter',
		'class'         => 'qodx_vc_sc_twitter',
		'category'      => esc_html__( 'by Qodux', 'qodux_fw' ),
		'description'   => esc_html__( 'Place twitter feed', 'qodux_fw' ),
		'params'        => array(		
			array(
				'type'          => 'qodx_separator',
				'param_name'    => 'twitter_separator',
				'description'   => esc_html__( 'Please make sure that you\'ve set up the API Keys for Twitter in \'External API\'s\' tab of theme options, otherwise the shortcode won\'t work.', 'qodux_fw' )
			),
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Username', 'qodux_fw' ),
				'param_name'    => 'username',
				'description'   => esc_html__( 'Twitter username.', 'qodux_fw' )
			),
			array(
				'type'               => 'qodx_range',
				'heading'            => esc_html__( 'Count', 'qodux_fw' ),
				'param_name'         => 'count',
				'value'              => 3,
				'min'                => 1,
				'max'                => 15,
				'step'               => 1,
				'description'        => esc_html__( 'Define maximum amount of items to be visible.', 'qodux_fw' )
			),
			
			$add_qodx_extra_id,
			$add_qodx_extra_class,
			$add_qodx_css_animation,
			$add_qodx_css_animation_type,
			$add_qodx_css_animation_delay,
			
			array(
				'type' => 'css_editor',
				'heading' => esc_html__( 'Css', 'qodux_fw' ),
				'param_name' => 'css',
				'group' => esc_html__( 'Design options', 'qodux_fw' )
			),
			
			// Load Custom CSS/JS File
			array(
				'type'               => 'qodx_loadfile',
				'heading'            => '',
				'param_name'         => 'el_file',
				'value'              => '',
				'file_path'          => 'qodx-visual-composer-extend-element.min.js',
				'param_holder_class' => 'qodx_loadfile_field',
				'description'        => ''
			),
		)
	));
	
}