<?php
$config = array(
	'title' => sprintf( esc_html__( 'Page General Options', 'qodux_fw' ),QODUX_FRAME_NAME),
	'id' => 'page_general',
	'pages' => array('page','post'),
	'callback' => '',
	'context' => 'normal',
	'priority' => 'low',
);
function get_sidebar_options(){
	$sidebars = focus_wp_get_option('sidebar','sidebars');
	if(!empty($sidebars)){
		$sidebars_array = explode(',',$sidebars);
		
		$options = array();
		foreach ($sidebars_array as $sidebar){
			$options[$sidebar] = $sidebar;
		}
		return $options;
	}else{
		return array();
	}
}
$options = array(
	array(
		"name" => esc_html__( "Page Intro Area Type", 'qodux_fw' ),
		"desc" => esc_html__( "Choose which type of header area you want to display on this page. Static images / videos are setted in the \"Featured Image\" / \"Qodux Featured Video\" areas.", 'qodux_fw' ),
		"id" => "_intro_type",
		"options" => array(
			"default" => "Default",
			"title" => "Title only",
			"custom" => "Custom text only",
			"title_custom" => "Title with custom text",
			"disable" => "Disable",
		),
		"default" => "default",
		"chosen" => "true", 
		"type" => "qodx_select",
	),
	array(
		"type" => "qodx_group_start",
		"group_id" => "intro_title",
		"group_class" => "intro_type",
	),
	array(
		"name" => esc_html__( "Page Intro Custom Title", 'qodux_fw' ),
		"desc" => esc_html__( 'If you enter a text here, this will override the default header title.', 'qodux_fw' ),
		"id" => "_custom_title",
		"default" => "",
		"class" => 'full',
		"type" => "qodx_text"		
	),
	array(
		"type" => "qodx_group_end",
	),
	array(
		"type" => "qodx_group_start",
		"group_id" => "intro_text",
		"group_class" => "intro_type",
	),
	array(
		"name" => esc_html__( "Page Intro Custom Text", 'qodux_fw' ),
		"desc" => esc_html__( 'If you enter a text here, this will override your default header custom text only if custom text option above is selected.', 'qodux_fw' ),
		"id" => "_custom_introduce_text",
		"rows" => "2",
		"default" => "",
		"type" => "qodx_textarea"
	),
	array(
		"type" => "qodx_group_end",
	),
	array(
		"name" => esc_html__( "Disable Breadcrumbs", 'qodux_fw' ),
		"desc" => esc_html__( 'This option disables breadcrumbs on a page/post.', 'qodux_fw' ),
		"id" => "_disable_breadcrumb",
		"label" => "Check to disable breadcrumbs on this post",
		"default" => "",
		"type" => "qodx_tritoggle"
	),	
	/*array(
		"name" => esc_html__( "Top section margin", 'qodux_fw' ),
		"id" => "_top_margins",
		"min" => "0",
		"max" => "150",
		"step" => "1",
		"unit" => 'px',
		"default" => "0",
		"type" => "qodx_range",
	),
	
	array(
		"name" => esc_html__( "Bottom section margin", 'qodux_fw' ),
		"id" => "_bottom_margins",
		"min" => "0",
		"max" => "150",
		"step" => "1",
		"unit" => 'px',
		"default" => "0",
		"type" => "qodx_range",
	),*/
	array(
		"name" => esc_html__( "Custom Sidebar", 'qodux_fw' ),
		"desc" => esc_html__( "If there are any custum sidebars created in your theme option panel then you can choose one of them to be displayed on this.", 'qodux_fw' ),
		"id" => "_sidebar",
		"prompt" => esc_html__( "Choose one...", 'qodux_fw' ),
		"default" => '',
		"options" => get_sidebar_options(),
		"type" => "qodx_select",
	),
	
);

new focus_wp_metaboxes($config,$options);