<?php

// File Security Check
if (!defined('ABSPATH')) die('-1');

/*
Register Qodux shortcode.
*/

class WPBakeryShortCode_QODX_contact_form extends WPBakeryShortCode {
	
	private $qodx_sc;
	
	public function __construct($settings) {
        parent::__construct($settings);
		$this->qodx_sc = new QODX_VCSC_SHORTCODE;
	}
				
	protected function content($atts, $content = null) {
			
		// Get and extract shortcode attributes
		$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
		extract( $atts );
						
		wp_enqueue_script('qodx-validate');
		wp_enqueue_script('qodx-validate-translation');
		
		$sc_class = 'qodx_contact_form_sc';
		
		$id = mt_rand(9999, 99999);
		
		// build arrays for fields and required fields		
        $fields      = array_map( 'trim', explode( ',', $fields ) );
        $required    = !empty($required) ? array_map( 'trim', explode( ',', $required ) ) : array();
		
        $button_text = $button_text ? esc_html( $button_text ) : esc_html__( 'Submit', 'qodux_fw' );
		
		!empty($email) ? $email = esc_html( $email ) : '';		
		$email = str_replace('@','(at)',$email);
		$sitename = get_bloginfo('name');
		$siteurl =  esc_url( home_url() );
				
		$el_class = $this->getExtraClass($el_class);		
		$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $sc_class.$el_class.vc_shortcode_custom_css_class($css, ' '), $this->settings['base']);		
		$css_class .= $this->qodx_sc->getWTCSSAnimationClass($css_animation,$anim_type);
		$anim_data = $this->qodx_sc->getWTCSSAnimationData($css_animation,$anim_delay);
		
		$include_path = QODX_FW_URL . 'includes';
		$output = '';
		
		$output .= '<div class="form-block contact-form-block">';
		$output .= '<div class="form-block-container">';
			$output .= '<form id="contact_form_'.$id.'" class="'.$css_class.'" action="'.$include_path.'/contact.php" method="post" role="form"'.$anim_data.'>';
			
				foreach ( $fields as $index=>$field ) {
					if ( in_array( $field, $required ) ) {
						$req = ' *';
						$req_attr = ' required';
					} elseif ( !in_array( $field, $required ) && ($field=='name' || $field=='email' || $field=='message' || $field=='captcha' || $field=='terms') ) {
						$required[] = $field;
						$req = ' *';
						$req_attr = ' required';
					} else {
						$req = '';
						$req_attr = '';
					};
					
					switch( $field ) {
						case 'name'    : $placeholder = esc_html__( 'Name', 'qodux_fw' );
										 $output .= '<div class="'.$name_class.'">';
										 	$output .= '<div class="form-group'.$req_attr.'">';
										 		$output .= '<input type="text" name="cf_qodx_name" class="form-control contact-name'.$req_attr.'" tabindex="1">';
										 		$output .= '<label for="cf_qodx_name">'.$placeholder.'</label>';
										 	$output .= '</div>'; // End - "form-group"
										 $output .= '</div>';    // End - col 
										 break;
						case 'email'   : $placeholder = esc_html__( 'Email address', 'qodux_fw' );
										 $output .= '<div class="'.$email_class.'">';
											 $output .= '<div class="form-group'.$req_attr.'">';
												 $output .= '<input type="text" name="cf_qodx_email" class="form-control contact-email'.$req_attr.'" tabindex="2">';
												 $output .= '<label for="cf_qodx_email">'.$placeholder.'</label>';
											 $output .= '</div>'; // End - "form-group"
										 $output .= '</div>';    // End - col 
										 break;
						case 'subject' : $placeholder = esc_html__( 'Subject', 'qodux_fw' );
										 $output .= '<div class="'.$subject_class.'">';
											 $output .= '<div class="form-group'.$req_attr.'">';
												 $output .= '<input type="text" name="cf_qodx_subject" class="form-control contact-subject'.$req_attr.'" tabindex="3">';
												 $output .= '<label for="cf_qodx_subject">'.$placeholder.'</label>';
											 $output .= '</div>'; // End - "form-group"
										 $output .= '</div>';     // End - col 
										 break;
						case 'phone'   : $placeholder = esc_html__( 'Phone', 'qodux_fw' );
										 $output .= '<div class="'.$phone_class.'">';
										 	$output .= '<div class="form-group'.$req_attr.'">';
										 		$output .= '<input type="tel" name="cf_qodx_phone" class="form-control contact-phone'.$req_attr.'" tabindex="4">';
										 		$output .= '<label for="cf_qodx_phone">'.$placeholder.'</label>';
											 $output .= '</div>'; // End - "form-group"
										 $output .= '</div>';     // End - col 
										 break;
						case 'website' : $placeholder = esc_html__( 'Website', 'qodux_fw' );
										 $output .= '<div class="'.$website_class.'">';
											 $output .= '<div class="form-group'.$req_attr.'">';
												 $output .= '<input type="url" name="cf_qodx_website" class="form-control contact-website'.$req_attr.'" tabindex="5">';
												 $output .= '<label for="cf_qodx_website">'.$placeholder.'</label>';
											 $output .= '</div>'; // End - "form-group"
										 $output .= '</div>';     // End - col 
										 break;
						case 'country' : $placeholder = esc_html__( 'Country', 'qodux_fw' );
										 $output .= '<div class="'.$country_class.'">';
											 $output .= '<div class="form-group'.$req_attr.'">';
												 $output .= '<input type="text" name="cf_qodx_country" class="form-control contact-country'.$req_attr.'" tabindex="6">';
												 $output .= '<label for="cf_qodx_country">'.$placeholder.'</label>';
											 $output .= '</div>'; // End - "form-group"
										 $output .= '</div>';     // End - col 
										 break;
						case 'city'    : $placeholder = esc_html__( 'City', 'qodux_fw' );
										 $output .= '<div class="'.$city_class.'">';
											 $output .= '<div class="form-group'.$req_attr.'">';
												 $output .= '<input type="text" name="cf_qodx_city" class="form-control contact-city'.$req_attr.'" tabindex="7">';
												 $output .= '<label for="cf_qodx_city">'.$placeholder.'</label>';
											 $output .= '</div>'; // End - "form-group"
										 $output .= '</div>';     // End - col 
										 break;
						case 'company' : $placeholder = esc_html__( 'Company', 'qodux_fw' );
										 $output .= '<div class="'.$company_class.'">';
											 $output .= '<div class="form-group'.$req_attr.'">';
												 $output .= '<input type="text" name="cf_qodx_company" class="form-control contact-company'.$req_attr.'" tabindex="8">';
												 $output .= '<label for="cf_qodx_company">'.$placeholder.'</label>';
											 $output .= '</div>'; // End - "form-group"
										 $output .= '</div>';     // End - col 
										 break;
						case 'message' : $placeholder = esc_html__( 'Message', 'qodux_fw' );
										 $output .= '<div class="'.$message_class.'">';
											 $output .= '<div class="form-group'.$req_attr.'">';
											 	$output .= '<textarea name="cf_qodx_message" class="form-control contact-message'.$req_attr.'"></textarea>';
												$output .= '<label for="cf_qodx_message">'.$placeholder.'</label>';
											 $output .= '</div>'; // End - "form-group"
										 $output .= '</div>';     // End - col 
										 break;
						case 'captcha' : $output .= '<div class="'.$captcha_class.'">';
											 $output .= '<div class="form-group'.$req_attr.'">';
												$output .= '<div class="qodx-recaptcha">';	
																
													if(class_exists('WP_reCaptcha')) {
														$reCaptcha = true;
														$output .= apply_filters('recaptcha_html','');
													} else {
														$reCaptcha = false;
													}
													
												$output .= '</div>'; // End - "qodx-recaptcha"
											 $output .= '</div>'; // End - "form-group"
										 $output .= '</div>';     // End - col 
										 break;
						case 'terms'   : $output .= '<div class="'.$terms_class.'">';
											 $output .= '<div class="form-group'.$req_attr.'">';
												 $output .= '<input type="checkbox" class="form-control contact-terms" name="cf_qodx_terms" value="accepted">';
												 $output .= '<label>I have read and agreed to LUNE <a href="#" title="terms and conditions">terms and conditions</a>.</label>';
											 $output .= '</div>'; // End - "form-group"
										 $output .= '</div>';     // End - col 
										 break;
					} // End - switch 
					
				} // End - foreach 
																
				$output .= '<div class="'.$button_class.'">';
					$output .= '<div class="form-group">';
						$output .= '<button type="submit" class="btn btn-qodx wave-effect">'.$button_text.'</button>';
					$output .= '</div>'; // End - "form-group"
				$output .= '</div>';     // End - col 
				
				// Hidden form inputs
				$output .= '<div>';
					$output .= '<input type="hidden" value="'.$email.'" name="cf_qodx_to"/>';
					$output .= '<input type="hidden" value="'.$sitename.'" name="cf_qodx_sitename"/>';
					$output .= '<input type="hidden" value="'.$siteurl.'" name="cf_qodx_siteurl"/>';
					$output .= '<input type="hidden" value="'.implode(",",$required).'" name="cf_qodx_required"/>';
					$output .= '<input type="hidden" value="'.$reCaptcha.'" name="cf_qodx_recaptcha"/>';
				$output .= '</div>';     // End - col 
			
			$output .= '</form>'; // End - form
		$output .= '</div>'; // End - "form-block-container"
		$output .= '</div>'; // End - "form-block contact-form-block"
		
        return $output;
	
    }
	
}
	
/*
Register Qodux shortcode within Visual Composer interface.
*/
	
if (function_exists('vc_map')) {

	$add_qodx_sc_func             = new QODX_VCSC_SHORTCODE;
	$add_qodx_extra_class         = $add_qodx_sc_func->getWTExtraClass();
	$add_qodx_css_animation       = $add_qodx_sc_func->getWTAnimations();
	$add_qodx_css_animation_type  = $add_qodx_sc_func->getWTAnimationsType();
	$add_qodx_css_animation_delay = $add_qodx_sc_func->getWTAnimationsDelay();
	
	vc_map( array(
		'name'          => esc_html__( 'Contact Form', 'qodux_fw' ),
		'base'          => 'qodx_contact_form',
		'icon'          => 'qodx-icon-contact_form fa fa-envelope',
		'class'         => 'qodx_vc_sc_cform',
		'category'      => esc_html__( 'by Qodux', 'qodux_fw' ),
		'description'   => esc_html__( 'HTML5 contact form with validation', 'qodux_fw' ),
		'params'        => array(
			array(
				'type'          => 'checkbox',
				'heading'       => esc_html__( 'Form fields', 'qodux_fw' ),
				'admin_label'   => true,
				'param_name'    => 'fields',
				'value'         => array(
					esc_html__( 'Name', 'qodux_fw' )    => 'name',
					esc_html__( 'E-mail', 'qodux_fw' )  => 'email',
					esc_html__( 'Subject', 'qodux_fw' ) => 'subject',
					esc_html__( 'Phone', 'qodux_fw' )   => 'phone',
					esc_html__( 'Website', 'qodux_fw' ) => 'website',
					esc_html__( 'Country', 'qodux_fw' ) => 'country',
					esc_html__( 'City', 'qodux_fw' )    => 'city',
					esc_html__( 'Company', 'qodux_fw' ) => 'company',
					esc_html__( 'Message', 'qodux_fw' ) => 'message',
					esc_html__( 'Captcha', 'qodux_fw' ) => 'captcha',
					esc_html__( 'Terms', 'qodux_fw' )   => 'terms'
				),
				'std'           => 'name,email,message',
				'description'   => esc_html__( 'Select form fields for your contact form.', 'qodux_fw' ),
				
				'description'   => esc_html__( 'Select form fields for your contact form. By choosing \'Captcha\' for your form, please make sure that \'WordPress ReCaptcha Integration\' plugin is installed. You can find it in \'Appeareance / Install Plugins\' as a recommended theme plugin, or you can download it directly from here: ', 'qodux_fw' ) . '<a href="https://wordpress.org/plugins/wp-recaptcha-integration/" target="_blank">https://wordpress.org/plugins/wp-recaptcha-integration/</a>. After installation, please fill the public and private Captcha keys from plugin settings: \'Settings / ReCaptcha\''
			),
			array(
				'type'          => 'checkbox',
				'heading'       => esc_html__( 'Required fields', 'qodux_fw' ),
				'param_name'    => 'required',
				'value'         => array(
					esc_html__( 'Name', 'qodux_fw' )    => 'name',
					esc_html__( 'E-mail', 'qodux_fw' )  => 'email',
					esc_html__( 'Subject', 'qodux_fw' ) => 'subject',
					esc_html__( 'Phone', 'qodux_fw' )   => 'phone',
					esc_html__( 'Website', 'qodux_fw' ) => 'website',
					esc_html__( 'Country', 'qodux_fw' ) => 'country',
					esc_html__( 'City', 'qodux_fw' )    => 'city',
					esc_html__( 'Company', 'qodux_fw' ) => 'company',
					esc_html__( 'Message', 'qodux_fw' ) => 'message',
					esc_html__( 'Captcha', 'qodux_fw' ) => 'captcha',
					esc_html__( 'Terms', 'qodux_fw' )   => 'terms'
				),
				'std'           => 'name,email,message',
				'description'   => esc_html__( 'Select required fields for your contact form.', 'qodux_fw' )
			),
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Submit button text', 'qodux_fw' ),
				'param_name'    => 'button_text',
				'value'         => esc_html__( 'Send', 'qodux_fw' ),
				'description'   => esc_html__( 'Select button text to display. Default: \'Submit\'', 'qodux_fw' )
			),
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Email', 'qodux_fw' ),
				'param_name'    => 'email',
				'description'   => esc_html__( 'Set the email where you want to receive the messages.', 'qodux_fw' )
			),
			/*
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__( 'Success Text', 'qodux_fw' ),
				'param_name'    => 'success',
				'description'   => esc_html__( 'This is the \'success message\' to be displayed after the messages are sent.', 'qodux_fw' )
			),
			*/
			
			// Fields Classes				
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Name', 'qodux_fw' ),
				'param_name'    => 'name_class',
				'value'         => 'col-md-4',
				'description'   => esc_html__( 'Here you can set different types of css classes. Default classes are bootstrap specific.', 'qodux_fw' ),
				'group' => esc_html__( 'Fields Classes', 'qodux_fw' )
			),			
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'E-mail', 'qodux_fw' ),
				'param_name'    => 'email_class',
				'value'         => 'col-md-4',
				'description'   => esc_html__( 'Here you can set different types of css classes. Default classes are bootstrap specific.', 'qodux_fw' ),
				'group' => esc_html__( 'Fields Classes', 'qodux_fw' )
			),			
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Subject', 'qodux_fw' ),
				'param_name'    => 'subject_class',
				'value'         => 'col-md-4',
				'description'   => esc_html__( 'Here you can set different types of css classes. Default classes are bootstrap specific.', 'qodux_fw' ),
				'group' => esc_html__( 'Fields Classes', 'qodux_fw' )
			),			
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Phone', 'qodux_fw' ),
				'param_name'    => 'phone_class',
				'value'         => 'col-md-4',
				'description'   => esc_html__( 'Here you can set different types of css classes. Default classes are bootstrap specific.', 'qodux_fw' ),
				'group' => esc_html__( 'Fields Classes', 'qodux_fw' )
			),			
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Website', 'qodux_fw' ),
				'param_name'    => 'website_class',
				'value'         => 'col-md-4',
				'description'   => esc_html__( 'Here you can set different types of css classes. Default classes are bootstrap specific.', 'qodux_fw' ),
				'group' => esc_html__( 'Fields Classes', 'qodux_fw' )
			),			
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Country', 'qodux_fw' ),
				'param_name'    => 'country_class',
				'value'         => 'col-md-4',
				'description'   => esc_html__( 'Here you can set different types of css classes. Default classes are bootstrap specific.', 'qodux_fw' ),
				'group' => esc_html__( 'Fields Classes', 'qodux_fw' )
			),			
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'City', 'qodux_fw' ),
				'param_name'    => 'city_class',
				'value'         => 'col-md-4',
				'description'   => esc_html__( 'Here you can set different types of css classes. Default classes are bootstrap specific.', 'qodux_fw' ),
				'group' => esc_html__( 'Fields Classes', 'qodux_fw' )
			),			
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Company', 'qodux_fw' ),
				'param_name'    => 'company_class',
				'value'         => 'col-md-4',
				'description'   => esc_html__( 'Here you can set different types of css classes. Default classes are bootstrap specific.', 'qodux_fw' ),
				'group' => esc_html__( 'Fields Classes', 'qodux_fw' )
			),			
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Message', 'qodux_fw' ),
				'param_name'    => 'message_class',
				'value'         => 'col-md-12',
				'description'   => esc_html__( 'Here you can set different types of css classes. Default classes are bootstrap specific.', 'qodux_fw' ),
				'group' => esc_html__( 'Fields Classes', 'qodux_fw' )
			),			
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Captcha', 'qodux_fw' ),
				'param_name'    => 'captcha_class',
				'value'         => 'col-md-12',
				'description'   => esc_html__( 'Here you can set different types of css classes. Default classes are bootstrap specific.', 'qodux_fw' ),
				'group' => esc_html__( 'Fields Classes', 'qodux_fw' )
			),		
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Terms', 'qodux_fw' ),
				'param_name'    => 'terms_class',
				'value'         => 'col-md-12',
				'description'   => esc_html__( 'Here you can set different types of css classes. Default classes are bootstrap specific.', 'qodux_fw' ),
				'group' => esc_html__( 'Fields Classes', 'qodux_fw' )
			),		
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Submit Button', 'qodux_fw' ),
				'param_name'    => 'button_class',
				'value'         => 'col-md-12',
				'description'   => esc_html__( 'Here you can set different types of css classes. Default classes are bootstrap specific.', 'qodux_fw' ),
				'group' => esc_html__( 'Fields Classes', 'qodux_fw' )
			),
			
			$add_qodx_extra_class,
			$add_qodx_css_animation,
			$add_qodx_css_animation_type,
			$add_qodx_css_animation_delay,
			
			array(
				'type'          => 'css_editor',
				'heading'       => esc_html__( 'Css', 'qodux_fw' ),
				'param_name'    => 'css',
				'group'         => esc_html__( 'Design options', 'qodux_fw' )
			)
		)
	));
	
}