<?php

// File Security Check
if (!defined('ABSPATH')) die('-1');

/*
Register Qodux shortcode.
*/

class WPBakeryShortCode_QODX_counter extends WPBakeryShortCode {
	
	private $qodx_sc;
	
	public function __construct($settings) {
        parent::__construct($settings);
		$this->qodx_sc = new QODX_VCSC_SHORTCODE;
	}
			
	protected function content($atts, $content = null) {
				
		// Get and extract shortcode attributes
		$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
		extract( $atts );
		
		$start_in_viewport = true;
		
		$sc_class = 'qodx_counter_sc counter-block';
		
		$counter_icon   = esc_html( $counter_icon );
		$counter_style  = '';
		//$counter_text   = esc_textarea( $counter_text );	
		$counter_number = (int)$counter_number;	
				
		$id = mt_rand(9999, 99999);
		if (trim($el_id) != false) {
			$el_id = esc_attr( trim($el_id) );
		} else {
			$el_id = $sc_class . '-' . $id;
		}		
						
		$el_class = esc_attr( $this->getExtraClass($el_class) );		
		$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $sc_class. ' qodx_'.$type.$el_class.vc_shortcode_custom_css_class($css, ' '), $this->settings['base']);
		
		if ($start_in_viewport == true) {
			// Add "qodx_animate_if_visible" because counters should start when they appear in viewport
			wp_enqueue_script( 'waypoints' );
			$css_class .= $this->qodx_sc->getWTCSSAnimationClass($css_animation,false);
			$start_in_viewport = ' ' . $anim_type;
		} else {
			$css_class .= $this->qodx_sc->getWTCSSAnimationClass($css_animation,$anim_type);
			$start_in_viewport = '';
		}	
			
		$anim_data = $this->qodx_sc->getWTCSSAnimationData($css_animation,$anim_delay);		
						
		if($counter_icon) {
			$counter_icons = '<i class="'.$counter_icon.'"></i>';
		} else {
			$counter_icons = ''; 
		}	
		
		if ( $counter_style != 'default' ){
			$style_class = ' counter-block-style-' . $counter_style;
		} else {
			$style_class = '';
		}	
			
		$output = '<div id="'.$el_id.'" class="'.$css_class.$style_class.$start_in_viewport.'"'.$anim_data.' data-percent="'.$counter_number.'">';
			$output .= "\n\t" . '<div class="counter-block-container">';  
				$output .= $counter_icons;
				$output .= '<h2 class="h1 qodx_stat_count"></h2>';
				$output .= '<h4 class="qodx_stat_detail">'.$counter_text.' </h4>';
			$output .= "\n\t" . '</div>';
		$output .= '</div>';
		
        return $output;
    }
	
}

/*
Register Qodux shortcode within Visual Composer interface.
*/

if (function_exists('vc_map')) {
	
	$add_qodx_sc_func             = new QODX_VCSC_SHORTCODE;
	$add_qodx_extra_id            = $add_qodx_sc_func->getWTExtraId();
	$add_qodx_extra_class         = $add_qodx_sc_func->getWTExtraClass();
	$add_qodx_css_animation       = $add_qodx_sc_func->getWTAnimations();
	$add_qodx_css_animation_type  = $add_qodx_sc_func->getWTAnimationsType();
	$add_qodx_css_animation_delay = $add_qodx_sc_func->getWTAnimationsDelay();
	
	vc_map( array(
		'name'          => esc_html__( 'Counter', 'qodux_fw' ),
		'base'          => 'qodx_counter',
		'icon'          => 'qodx-icon-counter fa fa-tachometer',
		'class'         => 'qodx_vc_sc_counter',
		'category'      => esc_html__( 'by Qodux', 'qodux_fw' ),
		'description'   => esc_html__( 'Place icon counter', 'qodux_fw' ),
		'params'        => array(		
			/*array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Counter style', 'qodux_fw' ),
				'param_name'    => 'counter_style',
				'value' => array( 
					esc_html__( 'Default', 'qodux_fw' )    => 'default',
					esc_html__( 'Style #1', 'qodux_fw' )   => '1',
					esc_html__( 'Style #2', 'qodux_fw' )   => '2',
					esc_html__( 'Style #3', 'qodux_fw' )   => '3',
					esc_html__( 'Style #4', 'qodux_fw' )   => '4',
					esc_html__( 'Style #5', 'qodux_fw' )   => '5',
					esc_html__( 'Style #6', 'qodux_fw' )   => '6',
				),
				'description'   => esc_html__( 'Counter block specific style css class.', 'qodux_fw' ),
			),*/
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Type', 'qodux_fw' ),
				'param_name'    => 'type',
				'value'         => array( esc_html__( 'Light', 'qodux_fw' ) => 'light', esc_html__( 'Dark', 'qodux_fw' ) => 'dark' ),
				'std'           => 'dark',
				'description'   => esc_html__( 'Select the counter style that you need.', 'qodux_fw' )
			),
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Counter icons', 'qodux_fw' ),
				'param_name'    => 'counter_icon',
				'description'   => '<a href="http://fortawesome.github.io/Font-Awesome/icons/" target="_blank">Font Awesome</a>, <a href="http://entypo.com/" target="_blank">Entypo</a> or <a href="http://glyphicons.com/" target="_blank">Glyphicons</a> accepted. (use "fa fa-", "entypo-" or "glyphicon-" prefix - for example "<strong>fa fa-adjust, entypo-flag or glyphicon-leaf</strong>"'
			),
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Counter number', 'qodux_fw' ),
				'param_name'    => 'counter_number',
				'value'         => '1',
				'description'   => esc_html__( 'Add a number for your counter.', 'qodux_fw' )
			),
			array(
				'type'          => 'textarea',
				'heading'       => esc_html__( 'Counter text', 'qodux_fw' ),
				'admin_label'   => true,
				'param_name'    => 'counter_text',
				'description'   => esc_html__( 'Add text for your counter.', 'qodux_fw' )
			),
			
			$add_qodx_extra_id,
			$add_qodx_extra_class,
			$add_qodx_css_animation,
			$add_qodx_css_animation_type,
			$add_qodx_css_animation_delay,
			
			array(
				'type'          => 'css_editor',
				'heading'       => esc_html__( 'Css', 'qodux_fw' ),
				'param_name'    => 'css',
				'group'         => esc_html__( 'Design options', 'qodux_fw' )
			)
		)
	));
	
}