<section id="comments" role="complementary"><?php if ( post_password_required() ) : ?>
	<p class="nopassword"><?php esc_html_e( 'This post is password protected. Enter the password to view any comments.', 'focus_wp' ); ?></p>
<?php
		return;
	endif;
	
if ( have_comments() ) : ?>
	<div class="wt_commentsTitle">
        <h3 id="commentsTitle"><?php 
			printf( _nx( '%1$s Comment', '%1$s Comments', get_comments_number(), 'comments title', 'focus_wp' ), 
            number_format_i18n( get_comments_number() ), get_the_title() );	
		?></h3>
    </div>

	<ul class="commentList">
			<?php
				wp_list_comments( array(
					'style'       => 'ul',
					'short_ping'  => true,
					'avatar_size' => 56,
				) );
			?>
	</ul>


<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
	<?php the_comments_navigation(); ?>
<?php endif; // check for comment navigation ?>


<?php else : // or, if we don't have comments:

	/* If there are no comments and comments are closed,
	 * let's leave a little note, shall we?
	 */
	if ( ! comments_open() ) :
	/*<p class="nocomments"><?php esc_html_e( 'Comments are closed.', 'focus_wp' ); ?></p>*/
?>
	
<?php endif; // end ! comments_open() ?>

<?php endif; // end have_comments() ?>

<?php if ( comments_open() ) :// Comment Form ?>

	<div id="respond">
		<div id="respond_title">
        	<h3><?php comment_form_title( esc_html__( 'Leave a Reply', 'focus_wp' ), esc_html__( 'Leave a Reply to %s', 'focus_wp' ) ); ?></h3>
            <p><?php esc_html_e( 'Make sure you fill in all mandatory fields. Required fields are marked *', 'focus_wp' ) ?></p>
        </div>
<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
		<p><?php printf(esc_html__( 'You must be', 'focus_wp' ) . ' <a href="%s">' . esc_html__( 'logged in', 'focus_wp' ) .' </a>'. esc_html__( 'to post a comment', 'focus_wp' ),wp_login_url( get_permalink() )); ?></p>
<?php else : ?>
   		<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform" class="row<?php if ( is_user_logged_in() ) { echo ' loggedUser'; } ?>" role="form">
        
    <div class="form-block contact-form-block">
    	<div class="form-block-container">
	<?php if ( is_user_logged_in() ) : ?>
			<p class="logged col-md-12"><?php printf(esc_html__( 'Logged in as', 'focus_wp' ) . ' <a href="%1$s">%2$s</a>. <a href="%3$s" title="'.esc_attr__( 'Log out of this account', 'focus_wp' ).'">' . esc_html__( 'Log out?', 'focus_wp' ) . '</a>', admin_url( 'profile.php' ), $user_identity, wp_logout_url( get_permalink()  ) )?></p>
    <?php else : ?>	
            <fieldset>
                <div id="form_input_name" class="col-md-4">
                	<div class="form-group required">
                        <input type="text" name="author" class="required form-control" id="author" value="<?php echo esc_attr( $comment_author ); ?>" size="22" tabindex="1" minlength="3" placeholder="<?php echo esc_html__( 'Name *', 'focus_wp' ) ?>" />
                        <label for="author"><?php echo esc_html__( 'Name *', 'focus_wp' ) ?></label>
                	</div>
                </div>
                <div id="form_input_email" class="col-md-4">
                	<div class="form-group required">
                        <input type="text" name="email" class="required email form-control" id="email" value="<?php echo esc_attr( $comment_author_email ); ?>" size="22" tabindex="2" placeholder="<?php echo esc_html__( 'Email *', 'focus_wp' ) ?>" />
                        <label for="email"><?php echo esc_html__( 'Email *', 'focus_wp' ) ?></label>
                	</div>
                </div>
                <div id="form_input_website" class="col-md-4">
                	<div class="form-group required">
                        <input type="text" name="url" class="url form-control" id="url" value="<?php echo esc_attr( $comment_author_url ); ?>" size="22" tabindex="3" placeholder="<?php echo esc_html__( 'Website', 'focus_wp' ) ?>" />
                        <label for="url"><?php echo esc_html__( 'Website', 'focus_wp' ) ?></label>
                	</div>
                </div>
            </fieldset>
    <?php endif; ?>

		<?php if ( is_user_logged_in() ) : ?>
			<fieldset id="form_input_message" class="col-md-12">
                	<div class="form-group required">
                        <label for="comment"><?php echo esc_html__( 'Comment ', 'focus_wp' ) ?></label>
                		<textarea class="required form-control" name="comment" id="comment" rows="6" tabindex="4" minlength="5" placeholder="<?php echo esc_html__( 'Comment ', 'focus_wp' ) ?>"></textarea>
                    </div>
            </fieldset>
         <?php else : ?> 
			<fieldset id="form_input_message" class="col-md-12">
                	<div class="form-group required">
                		<textarea class="required form-control" name="comment" id="comment" rows="6" tabindex="4" minlength="5" placeholder="<?php echo esc_html__( 'Comment ', 'focus_wp' ) ?>"></textarea>
                        <label for="comment"><?php echo esc_html__( 'Comment ', 'focus_wp' ) ?></label>
                    </div>
            </fieldset> 
   		<?php endif; ?>
			<fieldset id="form_btn" class="text-center col-md-12">                                
			    <a id="submit" href="#" onclick="jQuery('#commentform').submit();return false;" class="btn btn-qodx wave-effect"><span><?php esc_html_e( 'Post Comment', 'focus_wp' );?></span></a><?php comment_id_fields(); ?>  
                <?php cancel_comment_reply_link('Cancel Reply'); ?>
                <?php do_action('comment_form', $post->ID);
					focus_wp_js_comments();
				?>
            </fieldset>
                 
            </div>
        </div>
		</form>
<?php endif; // If registration required and not logged in ?>
	</div><!--/respond-->
<?php endif; ?>
</section>