<?php
class Focus_WP_sidebar {
	var $focus_wp_sidebar_names = array();
	var $focus_wp_sidebar_desc = array();
	var $focus_wp_footer_sidebar_count = 0;
	var $focus_wp_footer_sidebar_names = array();
	var $focus_wp_footer_top_sidebar_names = array();
	var $focus_wp_sub_footer_sidebar_names = array();
	
	function __construct() {
		$this->focus_wp_sidebar_names = array(
			'page'         => esc_html__( 'Page Area', 'focus_wp' ),
			'blog'         => esc_html__( 'Blog Area', 'focus_wp' ),
		);
		$this->focus_wp_sidebar_desc = array(
			'page_desc'         => esc_html__( 'Main Sidebar that appears in left / right sidebar template.', 'focus_wp' ),
			'blog_desc'         => esc_html__( 'Appears in blog page template & single blog posts.', 'focus_wp' ),
		);
		
		if(focus_wp_get_option('footer','footer')) {
			$footer_column = focus_wp_get_option('footer','column');
			if(is_numeric($footer_column)) {
				switch ( $footer_column ):
					case 1:
					$this->focus_wp_footer_sidebar_names = array(
						esc_html__( 'Footer 1 Area', 'focus_wp' ),
					);
					break;
					case 2:
					$this->focus_wp_footer_sidebar_names = array(
						esc_html__( 'Footer 1 Area', 'focus_wp' ),
						esc_html__( 'Footer 2 Area', 'focus_wp' ),
					);
					break;
					case 3:
					$this->focus_wp_footer_sidebar_names = array(
						esc_html__( 'Footer 1 Area', 'focus_wp' ),
						esc_html__( 'Footer 2 Area', 'focus_wp' ),
						esc_html__( 'Footer 3 Area', 'focus_wp' ),
					);
					break;
					case 4:
					$this->focus_wp_footer_sidebar_names = array(
						esc_html__( 'Footer 1 Area', 'focus_wp' ),
						esc_html__( 'Footer 2 Area', 'focus_wp' ),
						esc_html__( 'Footer 3 Area', 'focus_wp' ),
						esc_html__( 'Footer 4 Area', 'focus_wp' ),
					);
					break;
					case 5:
					$this->focus_wp_footer_sidebar_names = array(
						esc_html__( 'Footer 1 Area', 'focus_wp' ),
						esc_html__( 'Footer 2 Area', 'focus_wp' ),
						esc_html__( 'Footer 3 Area', 'focus_wp' ),
						esc_html__( 'Footer 4 Area', 'focus_wp' ),
						esc_html__( 'Footer 5 Area', 'focus_wp' ),
					);
					break;
					case 6:
					$this->focus_wp_footer_sidebar_names = array(
						esc_html__( 'Footer 1 Area', 'focus_wp' ),
						esc_html__( 'Footer 2 Area', 'focus_wp' ),
						esc_html__( 'Footer 3 Area', 'focus_wp' ),
						esc_html__( 'Footer 4 Area', 'focus_wp' ),
						esc_html__( 'Footer 5 Area', 'focus_wp' ),
						esc_html__( 'Footer 6 Area', 'focus_wp' ),
					);
					break;
			endswitch;
			} else {
				switch($footer_column):
					case 'col-9-3':
					case 'col-3-9':
					case 'col-4-8':
					case 'col-8-4':
					case 'col-5-7':
					$this->focus_wp_footer_sidebar_names = array(
						esc_html__( 'Footer 1 Area', 'focus_wp' ),
						esc_html__( 'Footer 2 Area', 'focus_wp' ),
					);
					break;
					case 'col-4-2-6':
					case 'col-3-3-6':
					case 'col-3-6-3':
					case 'col-6-3-3':
					case 'col-2-5-5':
					case 'col-5-5-2':
					$this->focus_wp_footer_sidebar_names = array(
						esc_html__( 'Footer 1 Area', 'focus_wp' ),
						esc_html__( 'Footer 2 Area', 'focus_wp' ),
						esc_html__( 'Footer 3 Area', 'focus_wp' ),
					);
					break;
					case 'col-2-2-4-4':
					case 'col-4-2-2-4':
					case 'col-3-3-2-4':
					$this->focus_wp_footer_sidebar_names = array(
						esc_html__( 'Footer 1 Area', 'focus_wp' ),
						esc_html__( 'Footer 2 Area', 'focus_wp' ),
						esc_html__( 'Footer 3 Area', 'focus_wp' ),
						esc_html__( 'Footer 4 Area', 'focus_wp' ),
					);
					break;
				endswitch;
			}
		}
	}

	function focus_wp_register_sidebar(){
		
		foreach ($this->focus_wp_sidebar_names as $slug => $name){
			$desc = $this->focus_wp_sidebar_desc[$slug.'_desc'];
			register_sidebar(array(
				'id'			=> 'sidebar-'.$slug,
				'name'          => $name,
				'description'   => $desc,
				'before_widget' => '<section id="%1$s" class="widget %2$s">',
				'after_widget'  => '</section>',
				'before_title'  => '<h3 class="widgettitle"><span>',
				'after_title'   => '</span></h3>',
			));
		}
		
		if(focus_wp_get_option('footer','footer_top')) {
			register_sidebar(array(
				'id'            => "sidebar-footer-top-area",
				'name'          =>  esc_html__( 'Footer Top Area', 'focus_wp' ),
				'description'   =>  esc_html__( 'Appears in the Footer Top Area of the site.', 'focus_wp' ),
				'before_widget' => '<section id="%1$s" class="widget widget-block %2$s"><div class="widget-block-container">',
				'after_widget'  => '</div></div></section>',
				'before_title'  => '<div class="widget-block-title"><h4 class="widgettitle"><span>',
				'after_title'   => '</span></h4></div><div class="widget-block-content">',
			));
		}
		
		//register footer sidebars
		foreach ($this->focus_wp_footer_sidebar_names as $slug => $name){
			register_sidebar(array(
				'name'          => $name,
				'id'			=> 'sidebar-'.$slug,
				'description'   =>  esc_html__( 'Appears in the Footer Area of the site.', 'focus_wp' ),
				'before_widget' => '<section id="%1$s" class="widget widget-block %2$s"><div class="widget-block-container">',
				'after_widget'  => '</div></div></section>',
				'before_title'  => '<div class="widget-block-title"><h4 class="widgettitle"><span>',
				'after_title'   => '</span></h4></div><div class="widget-block-content">',
			));
		}
		
		//register sub footer sidebars
		if(focus_wp_get_option('footer','sub_footer')) {
			register_sidebar(array(
				'id'            => "sidebar-footer-bottom-area",
				'name'          =>  esc_html__( 'Footer Bottom Area', 'focus_wp' ),
				'description'   =>  esc_html__( 'Appears in the Footer Bottom Area of the site.', 'focus_wp' ),
				'before_widget' => '<section id="%1$s" class="widget copyright-block %2$s"><div class="copyright-block-container">',
				'after_widget'  => '</div></section>',
				'before_title'  => '',
				'after_title'   => '',
			));
		}
		
		//register header sidebars	
		$header_column = focus_wp_get_option('header','header_style');
		if(is_numeric($header_column)):
			switch ( $header_column ):
				case 1:
				case 10:
					register_sidebar(array(
						'id'            => "sidebar-header-area",
						'name'          =>  esc_html__( 'Header Area', 'focus_wp' ),
						'description'   =>  esc_html__( 'Appears in the Header Area of the site.', 'focus_wp' ),
						'before_widget' => '<section id="%1$s" class="widget %2$s">',
						'after_widget'  => '</section>',
						'before_title'  => '<h3 class="widgettitle">',
						'after_title'   => '</h3>',
					));
					break;
				case 2:
					register_sidebar(array(
						'id'            => "sidebar-header-area",
						'name'          =>  esc_html__( 'Header Area', 'focus_wp' ),
						'description'   =>  esc_html__( 'Appears in the Header Area of the site.', 'focus_wp' ),
						'before_widget' => '<section id="%1$s" class="widget %2$s">',
						'after_widget'  => '</section>',
						'before_title'  => '<h3 class="widgettitle">',
						'after_title'   => '</h3>',
					));
					register_sidebar(array(
						'id'            => "sidebar-header-area-top-1",
						'name'          =>  esc_html__( 'Header Area Top Left', 'focus_wp' ),
						'description'   =>  esc_html__( 'Appears in the Top Header Area column 2 of the site.', 'focus_wp' ),
						'before_widget' => '<section id="%1$s" class="widget %2$s">',
						'after_widget'  => '</section>',
						'before_title'  => '<h3 class="widgettitle">',
						'after_title'   => '</h3>',
					));
					register_sidebar(array(
						'id'            => "sidebar-header-area-top-2",
						'name'          =>  esc_html__( 'Header Area Top Right', 'focus_wp' ),
						'description'   =>  esc_html__( 'Appears in the Top Header Area column 2 of the site.', 'focus_wp' ),
						'before_widget' => '<section id="%1$s" class="widget %2$s">',
						'after_widget'  => '</section>',
						'before_title'  => '<h3 class="widgettitle">',
						'after_title'   => '</h3>',
					));
					break;
				case 3:
					register_sidebar(array(
						'id'            => "sidebar-header-area-top-2",
						'name'          =>  esc_html__( 'Header Area Top Right', 'focus_wp' ),
						'description'   =>  esc_html__( 'Appears in the Top Header Area column 2 of the site.', 'focus_wp' ),
						'before_widget' => '<section id="%1$s" class="widget %2$s">',
						'after_widget'  => '</section>',
						'before_title'  => '<h3 class="widgettitle">',
						'after_title'   => '</h3>',
					));
					break;
				case 5:
					register_sidebar(array(
						'id'            => "sidebar-header-area-top-1",
						'name'          =>  esc_html__( 'Header Area Top Left', 'focus_wp' ),
						'description'   =>  esc_html__( 'Appears in the Header Area of the site.', 'focus_wp' ),
						'before_widget' => '<section id="%1$s" class="widget %2$s">',
						'after_widget'  => '</section>',
						'before_title'  => '<h3 class="widgettitle">',
						'after_title'   => '</h3>',
					));
					register_sidebar(array(
						'id'            => "sidebar-header-area-top-2",
						'name'          =>  esc_html__( 'Header Area Top Right', 'focus_wp' ),
						'description'   =>  esc_html__( 'Appears in the Top Header Area column 2 of the site.', 'focus_wp' ),
						'before_widget' => '<section id="%1$s" class="widget %2$s">',
						'after_widget'  => '</section>',
						'before_title'  => '<h3 class="widgettitle">',
						'after_title'   => '</h3>',
					));
					break;
				case 6:
					register_sidebar(array(
						'id'            => "sidebar-header-area-top-2",
						'name'          =>  esc_html__( 'Header Area Top Right', 'focus_wp' ),
						'description'   =>  esc_html__( 'Appears in the Top Header Area column 2 of the site.', 'focus_wp' ),
						'before_widget' => '<section id="%1$s" class="widget %2$s">',
						'after_widget'  => '</section>',
						'before_title'  => '<h3 class="widgettitle">',
						'after_title'   => '</h3>',
					));
					break;
				case 7: 
				case 8:
				case 9:
					register_sidebar(array(
						'id'            => "sidebar-header-area",
						'name'          =>  esc_html__( 'Header Area', 'focus_wp' ),
						'description'   =>  esc_html__( 'Appears in the Header Area of the site.', 'focus_wp' ),
						'before_widget' => '<section id="%1$s" class="widget %2$s">',
						'after_widget'  => '</section>',
						'before_title'  => '<h3 class="widgettitle">',
						'after_title'   => '</h3>',
					));
					register_sidebar(array(
						'id'            => "sidebar-header-area-top-2",
						'name'          =>  esc_html__( 'Header Area Top Right', 'focus_wp' ),
						'description'   =>  esc_html__( 'Appears in the Top Header Area column 2 of the site.', 'focus_wp' ),
						'before_widget' => '<section id="%1$s" class="widget %2$s">',
						'after_widget'  => '</section>',
						'before_title'  => '<h3 class="widgettitle">',
						'after_title'   => '</h3>',
					));
					break;
			endswitch;
		endif;
			
		//register portfolio sidebars
		register_sidebar(array(
			'id'            => "sidebar-portfolio-area",
			'name'          =>  esc_html__( 'Portfolio Area', 'focus_wp' ),
			'description'   =>  esc_html__( 'Appears in single portfolio posts.', 'focus_wp' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h3 class="widgettitle">',
			'after_title'   => '</h3>',
		));
		
		//register woocommerce sidebars
		if(focus_wp_get_option('general', 'woocommerce')){
			register_sidebar(array(
				'id'            => "sidebar-product-area",
				'name'          =>  esc_html__( 'Products Area', 'focus_wp' ),
				'description'   =>  esc_html__( 'Appears in your shop.', 'focus_wp' ),
				'before_widget' => '<div id="%1$s" class="widget %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => '<h3 class="widgettitle">',
				'after_title'   => '</h3>',
			));
		}
		
		//register custom sidebars
		$focus_wp_custom_sidebars = focus_wp_get_option('sidebar','sidebars');
		if(!empty($focus_wp_custom_sidebars)){
			$focus_wp_custom_sidebar_names = explode(',',$focus_wp_custom_sidebars);
			foreach ($focus_wp_custom_sidebar_names as $name){
				$slug = strtolower(preg_replace('/[^a-zA-Z0-9-]/', '-', $name));
				register_sidebar(array(			
					'name'          => $name,	
					'id' 			=> 'sidebar-custom-'.$slug,
					'description'   =>  $name. ' custom sidebar',
					'before_widget' => '<section id="%1$s" class="widget %2$s">',
					'after_widget'  => '</section>',
					'before_title'  => '<h3 class="widgettitle">',
					'after_title'   => '</h3>',
				));
			}
		}
	}
	
	function focus_wp_get_sidebar($post_id){
		if(is_page()){
			$focus_wp_sidebar = $this->focus_wp_sidebar_names['page'];
		}
		if(is_home() || is_front_page() || $post_id == focus_wp_get_option('homepage','one_page_home') ){
			$home_page_id = focus_wp_get_option('homepage','one_page_home');
			$post_id = get_object_id($home_page_id,'page');
				$focus_wp_sidebar = $this->focus_wp_sidebar_names['page'];
		}
		if(is_page_template( 'template_blog.php' )){
			$focus_wp_sidebar = $this->focus_wp_sidebar_names['blog'];
		}
		if(is_singular('post')){
			$focus_wp_sidebar = $this->focus_wp_sidebar_names['blog'];
		}elseif(is_singular('portfolio')){
			$focus_wp_sidebar = dynamic_sidebar( esc_html__( 'Portfolio Area', 'focus_wp' ) );
		}
		if(is_search() || is_archive()){
			if (get_post_type() == 'portfolio') {
				$focus_wp_sidebar = dynamic_sidebar( esc_html__( 'Portfolio Area', 'focus_wp' ) );
			} else {
				$focus_wp_sidebar = $this->focus_wp_sidebar_names['blog'];
			}
		}
		if (focus_wp_get_option('general', 'woocommerce')) {
			if(function_exists('is_woocommerce') && (is_woocommerce() || is_cart() || is_checkout() || is_account_page())){
				$focus_wp_sidebar = dynamic_sidebar( esc_html__( 'Products Area', 'focus_wp' ) );
			}
		}
		if(!empty($post_id) && !is_archive()){
			$focus_wp_custom = get_post_meta($post_id, '_sidebar', true);
			if(!empty($focus_wp_custom)){
				$focus_wp_sidebar = $focus_wp_custom;
			}
		}
		if(isset($focus_wp_sidebar)){
			dynamic_sidebar($focus_wp_sidebar);
		}
	}
	function focus_wp_get_footer_sidebar(){
		dynamic_sidebar($this->focus_wp_footer_sidebar_names[$this->focus_wp_footer_sidebar_count]);
		$this->focus_wp_footer_sidebar_count++;
	}
}
global $_focus_wp_sidebar;
$_focus_wp_sidebar = new Focus_WP_sidebar;

add_action('widgets_init', array($_focus_wp_sidebar,'focus_wp_register_sidebar'));

function focus_wp_sidebar_generator($function){
	global $_focus_wp_sidebar;
	$args = array_slice( func_get_args(), 1 );
	return call_user_func_array(array( &$_focus_wp_sidebar, $function ), $args );
}