<?php

function qodx_option_image_upload_tabs($tabs) {
	unset($tabs['type_url']);
    return $tabs;
}

function qodx_option_image_form_url($form_action_url, $type){
	$form_action_url = $form_action_url.'&option_image_upload=1&target='.$_GET['target'];
	return $form_action_url;
}

function qodx_disable_option_flash_uploader($flash){
	return false;
}

function qodx_option_image_attachment_fields_to_edit($form_fields, $post){

	unset($form_fields['align']);
	unset($form_fields['image-size']);
	$filename = basename( $post->guid );
	$attachment_id = $post->ID;
	if ( current_user_can( 'delete_post', $attachment_id ) ) {
		if ( !EMPTY_TRASH_DAYS ) {
			$delete = "<a href='" . wp_nonce_url( "post.php?action=delete&amp;post=$attachment_id", 'delete-attachment_' . $attachment_id ) . "' id='del[$attachment_id]' class='delete'>" . esc_html__( 'Delete Permanently' , 'qodux_fw' ) . '</a>';
		} elseif ( !MEDIA_TRASH ) {
			$delete = "<a href='#' class='del-link' onclick=\"document.getElementById('del_attachment_$attachment_id').style.display='block';return false;\">" . esc_html__( 'Delete' , 'qodux_fw' ) . "</a>
			 <div id='del_attachment_$attachment_id' class='del-attachment' style='display:none;'>" . sprintf( esc_html__( 'You are about to delete <strong>%s</strong>.' , 'qodux_fw' ), $filename ) . "
			 <a href='" . wp_nonce_url( "post.php?action=delete&amp;post=$attachment_id", 'delete-attachment_' . $attachment_id ) . "' id='del[$attachment_id]' class='button'>" . esc_html__( 'Continue' , 'qodux_fw' ) . "</a>
			 <a href='#' class='button' onclick=\"this.parentNode.style.display='none';return false;\">" . esc_html__( 'Cancel' , 'qodux_fw' ) . "</a>
			 </div>";
		} else {
			$delete = "<a href='" . wp_nonce_url( "post.php?action=trash&amp;post=$attachment_id", 'trash-attachment_' . $attachment_id ) . "' id='del[$attachment_id]' class='delete'>" . esc_html__( 'Move to Trash' , 'qodux_fw' ) . "</a>
			<a href='" . wp_nonce_url( "post.php?action=untrash&amp;post=$attachment_id", 'untrash-attachment_' . $attachment_id ) . "' id='undo[$attachment_id]' class='undo hidden'>" . esc_html__( 'Undo' , 'qodux_fw' ) . "</a>";
		}
	} else {
		$delete = '';
	}
	$form_fields['buttons'] = array( 
		'tr' => "\t\t<tr><td></td><td><input type='button' class='button' onclick='mediaUploader.OptionUploaderUseThisImage(".$post->ID.",\"". $_REQUEST['target']."\")' value='" . esc_html__( 'Use this' , 'qodux_fw' ) . "' /> $delete</td></tr>\n"
	);
	return $form_fields;
}
function qodx_option_image_swfupload_post_params($params){
	$params['option_image_upload']=1;
	$params['target']=$_REQUEST['target'];
	return $params;
}
function qodx_option_image_upload_post_params($params){
	$params['option_image_upload']=1;
	$params['target']=$_REQUEST['target'];
	unset($params['short']);
	return $params;
}

function qodx_option_image_upload_init(){
	add_filter('flash_uploader', 'qodx_disable_option_flash_uploader');
	add_filter('media_upload_tabs', 'qodx_option_image_upload_tabs');
	add_filter('attachment_fields_to_edit', 'qodx_option_image_attachment_fields_to_edit', 10, 2);
	add_filter('media_upload_form_url', 'qodx_option_image_form_url', 10, 2);
	wp_enqueue_script('theme-mediaUploader', QODUX_FW_URL . 'admin/assets/js/mediaUploader.js');
	add_filter('upload_post_params', 'qodx_option_image_upload_post_params');
	add_filter('swfupload_post_params', 'qodx_option_image_swfupload_post_params');
}

if (isset($_GET['option_image_upload']) || isset($_POST['option_image_upload'])) {
	add_action('admin_init', 'qodx_option_image_upload_init');
}

//option insert image ajax action callback
function option_get_image_action_callback() {
	$original = wp_get_attachment_image_src($_POST['id'],'full');
	if (! empty($original)) {
		echo esc_url( $original[0] );
	} else {
		die(0);
	}
	die();
}
add_action('wp_ajax_theme-option-get-image', 'option_get_image_action_callback');
