<?php

// File Security Check
if (!defined('ABSPATH')) die('-1');

/*
Register Qodux shortcode.
*/

class WPBakeryShortCode_QODX_clients extends WPBakeryShortCode {
	
	private $qodx_sc;
	
	public function __construct($settings) {
        parent::__construct($settings);
		$this->qodx_sc = new QODX_VCSC_SHORTCODE;
	}
	
	public function singleParamHtmlHolder( $param, $value ) {
		$output = '';
		// Compatibility fixes
		$old_names = array( 'yellow_message', 'blue_message', 'green_message', 'button_green', 'button_grey', 'button_yellow', 'button_blue', 'button_red', 'button_orange' );
		$new_names = array( 'alert-block', 'alert-info', 'alert-success', 'btn-success', 'btn', 'btn-info', 'btn-primary', 'btn-danger', 'btn-warning' );
		$value = str_ireplace( $old_names, $new_names, $value );
		//$value = esc_html__($value, 'qodux_fw' );
		//
		$param_name = isset( $param['param_name'] ) ? $param['param_name'] : '';
		$type = isset( $param['type'] ) ? $param['type'] : '';
		$class = isset( $param['class'] ) ? $param['class'] : '';

		if ( isset( $param['holder'] ) == true && $param['holder'] !== 'hidden' ) {
			$output .= '<' . $param['holder'] . ' class="wpb_vc_param_value ' . $param_name . ' ' . $type . ' ' . $class . '" name="' . $param_name . '">' . $value . '</' . $param['holder'] . '>';
		}
		if ( $param_name == 'images' ) {
			$images_ids = empty( $value ) ? array() : explode( ',', trim( $value ) );
			$output .= '<ul class="attachment-thumbnails' . ( empty( $images_ids ) ? ' image-exists' : '' ) . '" data-name="' . $param_name . '">';
			foreach ( $images_ids as $image ) {
				$img = wpb_getImageBySize( array( 'attach_id' => (int)$image, 'thumb_size' => 'thumbnail' ) );
				$output .= ( $img ? '<li>' . $img['thumbnail'] . '</li>' : '<li><img width="150" height="150" test="' . $image . '" src="' . vc_asset_url( 'vc/blank.gif' ) . '" class="attachment-thumbnail" alt="" title="" /></li>' );
			}
			$output .= '</ul>';
			$output .= '<a href="#" class="column_edit_trigger' . ( ! empty( $images_ids ) ? ' image-exists' : '' ) . '">' . esc_html__( 'Add images', 'qodux_fw' ) . '</a>';

		}
		return $output;
	}
				
	protected function content($atts, $content = null) {
		
		// Get and extract shortcode attributes
		$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
		extract( $atts );
				
		$gal_images = '';
		$link_start = '';
		$link_end   = '';	
		
		$opacity               = (int)$opacity;
		
		$owl_speed             = (int)$owl_speed;
		$owl_pagspeed          = (int)$owl_pagspeed;		
		$owl_autoplay          = esc_attr($owl_autoplay);
		$owl_stoponhover       = esc_attr($owl_stoponhover);
		$owl_navigation        = esc_attr($owl_navigation);
		$owl_pagination        = esc_attr($owl_pagination);		
		$owl_items             = (int)$owl_items;		
		$owl_itemsdesktop      = (int)$owl_itemsdesktop;
		$owl_itemssmalldesktop = (int)$owl_itemssmalldesktop;
		$owl_itemstablet       = (int)$owl_itemstablet;
		$owl_itemsmobile       = (int)$owl_itemsmobile;
		$owl_itemsmobilesmall  = (int)$owl_itemsmobilesmall;
		
		if ( $images == '' ) $images = '-1,-2,-3'; // adding placeholder images if no image was set
		
		if ( $owl_stoponhover == false ) { $owl_stoponhover = 'false'; }
		if ( $owl_navigation  == false ) { $owl_navigation  = 'false'; }
		if ( $owl_pagination  == false ) { $owl_pagination  = 'false'; }

		if ( $custom_links == true ) {
			$custom_links_textarea = explode( ',', $custom_links_textarea );
		}
		
		$images = explode( ',', $images );
		$i = - 1;
		$count = 0;		
		
		$sc_class = 'qodx_clients_sc';	
					
		$id = mt_rand(9999, 99999);
		if (trim($el_id) != false) {
			$el_id = esc_attr( trim($el_id) );
		} else {
			$el_id = $sc_class . '-' . $id;
		}		
				
		$img_size = esc_html($img_size);		
				
		if ($type == 'simple') {
			$carousel = '';
		} else {
			wp_print_scripts('owlCarousel');
			$carousel = ' qodx_owl_carousel ';
		}	
			
		$sc_class .= ' qodx_align_center'.$carousel;				
		$el_class = esc_attr( $this->getExtraClass($el_class) );
		$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $sc_class.$el_class.vc_shortcode_custom_css_class($css, ' '), $this->settings['base']);	
		$css_class .= $this->qodx_sc->getWTCSSAnimationClass($css_animation,$anim_type);
		$anim_data = $this->qodx_sc->getWTCSSAnimationData($css_animation,$anim_delay);
		
		switch( $columns ) {
			case 3  : $col_out = ' col-xs-6 col-sm-4 col-md-4 col-qodx-xs-6'; break;
			case 4  : $col_out = ' col-xs-6 col-sm-4 col-md-3 col-qodx-xs-6'; break;
			case 6  : 
			default : $col_out = ' col-xs-6 col-sm-4 col-md-2 col-qodx-xs-6'; break;
		}
		
		$el_opacity = 'opacity: ' . $opacity/100 . ';';
		$el_filter = 'filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=' . $opacity . ');';
		$opacity_style = ' style="'. $el_opacity . $el_filter .'"';
		
		if ( $hover_border == true ) {
			$hover_border = ' qodx_client_border';
		} else {
			$hover_border = '';
		}
		
		if ( $hover_effect == true ) {
			$hover_effect = ' qodx_client_scale_effect';
		} else {
			$hover_effect = '';
		}
		
		if ( $black_white == true ) {
			$black_white = ' qodx_grayscale';
		} else {
			$black_white = '';
		}
		
		if ( $tooltip == true ) {
			$tooltip_out = '  data-toggle="tooltip" data-placement="'.$tooltip_placement.'"';
		} else {
			$tooltip_out = '';
		}
		
		if ($type == 'simple') {
			wp_enqueue_script( 'waypoints' ); // VC file
			$carousel_data = '';
		} else {
			$carousel_data = '  data-owl-speed="'.$owl_speed.'" data-owl-pagSpeed="'.$owl_pagspeed.'" data-owl-autoPlay="'.$owl_autoplay.'" data-owl-stopOnHover="'.$owl_stoponhover.'" data-owl-navigation="'.$owl_navigation.'" data-owl-pagination="'.$owl_pagination.'" data-owl-items="'.$owl_items.'" data-owl-itemsDesktop="'.$owl_itemsdesktop .'" data-owl-itemsSmallDesktop="'.$owl_itemssmalldesktop.'" data-owl-itemsTablet="'.$owl_itemstablet.'" data-owl-itemsMobile="'.$owl_itemsmobile.'" data-owl-itemsMobileSmall="'.$owl_itemsmobilesmall.'"';
		}
					
		$output = '<div id="'.$el_id.'" class="'.$css_class.'"'.$anim_data.$carousel_data.'>';
				
		foreach ( $images as $attach_id ) {				
			$i ++;
			$count ++;
			$delay = $count * 100;	
			
			if ( $attach_id > 0 ) {
				$img = wpb_getImageBySize( array( 'attach_id' => $attach_id, 'thumb_size' => $img_size ) );
			} else {
				$img = array();
				$img['thumbnail'] = '<img src="' . vc_asset_url( 'vc/no_image.png' ) . '" />';
			}
			$img_output = $img['thumbnail'];
			
			// if image caption not set then take it's title
			$attachment_meta = QODX_WpGetAttachment($attach_id);
			if (!empty($attachment_meta['caption'])) {
				$img_title = $attachment_meta['caption'];
			} else {
				$img_title = $attachment_meta['title'];
			}
			
			// output for client image
			if ( $custom_links == true && isset( $custom_links_textarea[$i] ) && $custom_links_textarea[$i] != '' ) {
				$output_image = '<a href="'.$custom_links_textarea[$i].'"' . ' title="'.$img_title.'"' . ' target="'.$custom_links_target.'"'.$tooltip_out.'>' . $img_output . '</a>';					
			} elseif ($tooltip == true) {
				$output_image = '<a href="#"'.$tooltip_out.' title="'.$img_title.'">' . $img_output . '</a>';
			} else {
				$output_image = $img_output;
			}
			
			// display simple images or with custom links 
			if ($type == 'simple') {
				$output .= "\n\t" . '<div class="qodx_client'.$hover_effect.$hover_border.$black_white.$col_out.' client-block"'.$opacity_style.'>';
					$output .= "\n\t" . '<div class="client-block-container">';
						$output .= "\n\t\t" . $output_image;
					$output .= "\n\t" . '</div>';
				$output .= "\n\t" . '</div>';
			} else {
				$output .= "\n\t" . '<div class="qodx_client item'.$hover_effect.$hover_border.$black_white.' client-block"'.$opacity_style.'>';
					$output .= "\n\t" . '<div class="client-block-container">';
						$output .= "\n\t\t" . $output_image;
					$output .= "\n\t" . '</div>';
				$output .= "\n\t" . '</div>';
			}
			
			if ( $count == $columns ) $count = 0; // reset column number
		}
		
		$output .= '</div>';
		
        return $output;
								
    }
	
}
	
/*
Register Qodux shortcode within Visual Composer interface.
*/

if (function_exists('vc_map')) {

	$add_qodx_sc_func             = new QODX_VCSC_SHORTCODE;
	$add_qodx_extra_id            = $add_qodx_sc_func->getWTExtraId();
	$add_qodx_extra_class         = $add_qodx_sc_func->getWTExtraClass();
	$add_qodx_css_animation       = $add_qodx_sc_func->getWTAnimations();
	$add_qodx_css_animation_type  = $add_qodx_sc_func->getWTAnimationsType();
	$add_qodx_css_animation_delay = $add_qodx_sc_func->getWTAnimationsDelay();
	
	vc_map( array(
		'name'          => esc_html__( 'Clients', 'qodux_fw' ),
		'base'          => 'qodx_clients',
		'icon'          => 'qodx-icon-clients fa fa-user-plus',
		'class'         => 'qodx_vc_sc_clients',
		'category'      => esc_html__( 'by Qodux', 'qodux_fw' ),
		'description'   => esc_html__( 'List of clients or caousel with images', 'qodux_fw' ),
		'params'        => array(
			array(
				'type' => 'attach_images',
				'heading' => esc_html__( 'Images', 'qodux_fw' ),
				'param_name' => 'images',
				'value' => '',
				'description' => esc_html__( 'Select images from media library.', 'qodux_fw' )
			),
			array(
				'type'          => 'textfield',
				'heading'       => esc_html__( 'Image Size', 'qodux_fw' ),
				'param_name'    => 'img_size',
				'description'   => esc_html__( 'Enter image size. Example: "thumbnail", "medium", "large", "full" or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size.', 'qodux_fw' )
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Type', 'qodux_fw' ),
				'param_name'  => 'type',
				'value'       => array( 
					esc_html__( 'Simple', 'qodux_fw' )   => 'simple',
					esc_html__( 'Carousel', 'qodux_fw' ) => 'carousel',
				),
				'description' => esc_html__( 'Select how should clients list should be displayed - simple or with animated carousel images.', 'qodux_fw' )
			),
			array(
				'type'          => 'dropdown',
				'heading'       => esc_html__( 'Columns', 'qodux_fw' ),
				'param_name'    => 'columns',
				'value' 		=> array(
					esc_html__( 'Three', 'qodux_fw' ) => 3,
					esc_html__( 'Four', 'qodux_fw' )	 => 4,
					esc_html__( 'Six', 'qodux_fw' )	 => 6,
				),
				'std'	        => '6',
				'dependency'	=> Array(
					'element'	=> 'type',
					'value'		=> 'simple'
				),
				'description'   => esc_html__( 'Select number of columns.', 'qodux_fw' )
			),
			array(
				'type'               => 'qodx_range',
				'heading'            => esc_html__( 'Set opacity', 'qodux_fw' ),
				'param_name'         => 'opacity',
				'value'              => 20,
				'min'                => 10,
				'max'                => 100,
				'step'               => 5,
				'description'        => esc_html__( 'Define image opacity.', 'qodux_fw' )
			),	
			array(
				'type'          => 'checkbox',
				'heading'       => esc_html__( 'Set hover scale effect?', 'qodux_fw' ),
				'param_name'    => 'hover_effect',
				'value'         => Array( esc_html__( 'Yes, please', 'qodux_fw' ) => 'yes'),
				'description'   => esc_html__( 'If selected, the images will have a scale effect on mouse hover.', 'qodux_fw' )
			),
			array(
				'type'          => 'checkbox',
				'heading'       => esc_html__( 'Set hover border?', 'qodux_fw' ),
				'param_name'    => 'hover_border',
				'value'         => Array( esc_html__( 'Yes, please', 'qodux_fw' ) => 'yes'),
				'description'   => esc_html__( 'If selected, the images will have a border on mouse hover.', 'qodux_fw' )
			),
			array(
				'type'          => 'checkbox',
				'heading'       => esc_html__( 'Set black & white filter?', 'qodux_fw' ),
				'param_name'    => 'black_white',
				'value'         => Array( esc_html__( 'Yes, please', 'qodux_fw' ) => 'yes'),
				'description'   => esc_html__( 'If selected, the images will be displayed with black & white filter.', 'qodux_fw' )
			),
			array(
				'type'          => 'checkbox',
				'heading'       => esc_html__( 'Show tooltip on hover?', 'qodux_fw' ),
				'param_name'    => 'tooltip',
				'value'         => Array( esc_html__( 'Yes, please', 'qodux_fw' ) => 'yes'),
				'description'   => esc_html__( 'If selected, tooltip ( ', 'qodux_fw' ) .' <strong>' . esc_html__( 'image wordpress captions', 'qodux_fw' ) .'</strong>'. esc_html__( ' ) will be displayed on mouse hover.', 'qodux_fw' )
			),	
			array(
				'type'               => 'dropdown',
				'heading'            => esc_html__( 'Tooltip placement', 'qodux_fw' ),
				'param_name'         => 'tooltip_placement',
				'param_holder_class' => 'border_box qodx_dependency',
				'value' 		     => array(
					esc_html__( 'Top', 'qodux_fw' )    => 'top',
					esc_html__( 'Bottom', 'qodux_fw' ) => 'bottom',
					esc_html__( 'Left', 'qodux_fw' )   => 'left',
					esc_html__( 'Right', 'qodux_fw' )  => 'right',
				),
				'dependency'	     => array(
					'element'	=> 'tooltip',
					'not_empty' => true
				),
				'description'        => esc_html__( 'Select tooltip placement ( position ).', 'qodux_fw' )
			),		
			array(
				'type'          => 'checkbox',
				'heading'       => esc_html__( 'Place custom links?', 'qodux_fw' ),
				'param_name'    => 'custom_links',
				'value'         => Array( esc_html__( 'Yes, please', 'qodux_fw' ) => 'yes'),
				'description'   => esc_html__( 'If selected, you can place custom links on images.', 'qodux_fw' )
			),	
			array(
				'type'               => 'exploded_textarea',
				'heading'            => esc_html__( 'Custom links', 'qodux_fw' ),
				'param_name'         => 'custom_links_textarea',
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency'         => array( 'element' => 'custom_links', 'not_empty' => true ),
				'description'        => esc_html__( 'Enter links for each client here. Divide links with linebreaks (Enter).', 'qodux_fw' )
			),
			array(
				'type'               => 'dropdown',
				'heading'            => esc_html__( 'Custom link target', 'qodux_fw' ),
				'param_name'         => 'custom_links_target',
				'value'              => array(
					esc_html__( 'Same window', 'qodux_fw' ) => '_self',
					esc_html__( 'New window', 'qodux_fw' )  => "_blank"
				),
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency'         => array( 'element' => 'custom_links', 'not_empty' => true ),
				'description'        => esc_html__( 'Select where to open custom links.', 'qodux_fw' )
			),
			// Carousel Settings
			array(
				'type'		  => 'qodx_separator',
				'heading'	  => '',
				"param_name"  => 'separator',
				//'value'	      => '',
				'separator'	  => 'Carousel Settings',
				'dependency'  => array( 'element' => 'type', 'value' => 'carousel' ),
				'description' => esc_html__( 'Below you can edit default carousel settings.', 'qodux_fw' )
			),
			array(
				'type'               => 'qodx_range',
				'heading'            => esc_html__( 'Speed', 'qodux_fw' ),
				'param_name'         => 'owl_speed',
				'value'              => 600,
				'min'                => 0,
				'max'                => 5000,
				'step'               => 100,
				'unit'               => 'ms',
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency'         => array( 'element' => 'type', 'value' => 'carousel' ),
				'description'        => esc_html__( 'Define slide speed in milliseconds. Example: \'600\', \'1000\'. Default speed - \'600\'.', 'qodux_fw' )
			),	
			array(
				'type'               => 'qodx_range',
				'heading'            => esc_html__( 'Pagination speed', 'qodux_fw' ),
				'param_name'         => 'owl_pagspeed',
				'value'              => 1000,
				'min'                => 0,
				'max'                => 5000,
				'step'               => 100,
				'unit'               => 'ms',
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency'         => array( 'element' => 'type', 'value' => 'carousel' ),
				'description'        => esc_html__( 'Define pagination speed in milliseconds. Example: \'600\', \'1000\'. Default speed - \'1000\'.', 'qodux_fw' )
			),		
			array(
				'type'               => 'textfield',
				'heading'            => esc_html__( 'AutoPlay', 'qodux_fw' ),
				'param_name'         => 'owl_autoplay',
				'value'              => 'false',
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency'         => array( 'element' => 'type', 'value' => 'carousel' ),
				'description'        => esc_html__( 'Change to any integer for example \'5000\' to play every 5 seconds. If you set \'true\', default speed will be 5 seconds.', 'qodux_fw' )
			),			
			array(
				'type'               => 'checkbox',
				'heading'            => esc_html__( 'Stop on hover?', 'qodux_fw' ),
				'param_name'         => 'owl_stoponhover',
				'value'              => Array( esc_html__( 'Yes, please', 'qodux_fw' ) => 'true'),
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency'         => array( 'element' => 'type', 'value' => 'carousel' ),
				'description'        => esc_html__( 'If selected, will stop autoplay on mouse hover.', 'qodux_fw' )
			),
			array(
				'type'               => 'checkbox',
				'heading'            => esc_html__( 'Navigation?', 'qodux_fw' ),
				'param_name'         => 'owl_navigation',
				'value'              => Array( esc_html__( 'Yes, please', 'qodux_fw' ) => 'true'),
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency'         => array( 'element' => 'type', 'value' => 'carousel' ),
				'description'        => esc_html__( 'If selected, it will show navigation.', 'qodux_fw' )
			),	
			array(
				'type'               => 'checkbox',
				'heading'            => esc_html__( 'Pagination?', 'qodux_fw' ),
				'param_name'         => 'owl_pagination',
				'value'              => Array( esc_html__( 'Yes, please', 'qodux_fw' ) => 'true'),
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency'         => array( 'element' => 'type', 'value' => 'carousel' ),
				'description'        => esc_html__( 'If selected, it will show pagination.', 'qodux_fw' )
			),			
			array(
				'type'               => 'qodx_range',
				'heading'            => esc_html__( 'Items visible', 'qodux_fw' ),
				'param_name'         => 'owl_items',
				'value'              => 6,
				'min'                => 1,
				'max'                => 10,
				'step'               => 1,
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency'         => array( 'element' => 'type', 'value' => 'carousel' ),
				'description'        => esc_html__( 'Define maximum amount of items displayed at a time with the widest browser width.', 'qodux_fw' )
			),		
			array(
				'type'               => 'qodx_range',
				'heading'            => esc_html__( 'Items visible on Desktop', 'qodux_fw' ),
				'param_name'         => 'owl_itemsdesktop',
				'value'              => 4,
				'min'                => 1,
				'max'                => 10,
				'step'               => 1,
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency'         => array( 'element' => 'type', 'value' => 'carousel' ),
				'description'        => esc_html__( 'Define maximum amount of items to be visible on desktops.', 'qodux_fw' )
			),	
			array(
				'type'               => 'qodx_range',
				'heading'            => esc_html__( 'Items visible on Small Desktop', 'qodux_fw' ),
				'param_name'         => 'owl_itemssmalldesktop',
				'value'              => 4,
				'min'                => 1,
				'max'                => 10,
				'step'               => 1,
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency'         => array( 'element' => 'type', 'value' => 'carousel' ),
				'description'        => esc_html__( 'Define maximum amount of items to be visible on small desktops.', 'qodux_fw' )
			),	
			array(
				'type'               => 'qodx_range',
				'heading'            => esc_html__( 'Items visible on Tablet', 'qodux_fw' ),
				'param_name'         => 'owl_itemstablet',
				'value'              => 3,
				'min'                => 1,
				'max'                => 10,
				'step'               => 1,
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency'         => array( 'element' => 'type', 'value' => 'carousel' ),
				'description'        => esc_html__( 'Define maximum amount of items to be visible on tablets.', 'qodux_fw' )
			),	
			array(
				'type'               => 'qodx_range',
				'heading'            => esc_html__( 'Items visible on Mobile', 'qodux_fw' ),
				'param_name'         => 'owl_itemsmobile',
				'value'              => 2,
				'min'                => 1,
				'max'                => 10,
				'step'               => 1,
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency'         => array( 'element' => 'type', 'value' => 'carousel' ),
				'description'        => esc_html__( 'Define maximum amount of items to be visible on mobiles.', 'qodux_fw' )
			),	
			array(
				'type'               => 'qodx_range',
				'heading'            => esc_html__( 'Items visible on Small Mobile', 'qodux_fw' ),
				'param_name'         => 'owl_itemsmobilesmall',
				'value'              => 1,
				'min'                => 1,
				'max'                => 10,
				'step'               => 1,
				'param_holder_class' => 'border_box qodx_dependency',
				'dependency'         => array( 'element' => 'type', 'value' => 'carousel' ),
				'description'        => esc_html__( 'Define maximum amount of items to be visible on small mobiles.', 'qodux_fw' )
			),				
			
			$add_qodx_extra_id,
			$add_qodx_extra_class,
			$add_qodx_css_animation,
			$add_qodx_css_animation_type,
			$add_qodx_css_animation_delay,
			
			array(
				'type'          => 'css_editor',
				'heading'       => esc_html__( 'Css', 'qodux_fw' ),
				'param_name'    => 'css',
				'group'         => esc_html__( 'Design options', 'qodux_fw' )
			),
			
			// Load Custom CSS/JS File
			array(
				'type'               => 'qodx_loadfile',
				'heading'            => '',
				'param_name'         => 'el_file',
				'value'              => '',
				'file_path'          => 'qodx-visual-composer-extend-element.min.js',
				'param_holder_class' => 'qodx_loadfile_field',
				'description'        => ''
			),
		)
	));	
	
}