<?php
require_once get_template_directory() . '/framework/theme-files.php';
$focus_wp = new Focus_WP_ThemeFiles();
$focus_wp->focus_wp_init(array());

/**
 * JavaScripts In Header
 */
function focus_wp_enqueue_scripts() {
	if(is_admin()){
		return;
	}
	
	wp_enqueue_script( 'modernizr', get_template_directory_uri() . '/js/vendor/modernizr-custom.js', array('jquery'), null, false);
	wp_enqueue_script( 'focus_wp-main', get_template_directory_uri() . '/js/main.js', array('jquery'), null, true);
		
	wp_enqueue_script( 'focus_wp-plugins', get_template_directory_uri() . '/js/plugins.js', array('jquery'), null, true);
	wp_enqueue_script( 'fitvids', get_template_directory_uri() . '/js/vendor/jquery.fitvids.js', array('jquery'), null, true);		
	wp_enqueue_script( 'bootstrap', get_template_directory_uri() .'/js/vendor/bootstrap.min.js', array('jquery'), null, true);

	wp_enqueue_script( 'fancybox-media', plugin_dir_url( __FILE__ ) . 'shortcodes/assets/lib/js/fancybox/jquery.fancybox-media.min.js',array('jquery','fancybox'), null, true);	
		
	if(focus_wp_get_option('general','enable_retina')){
		wp_enqueue_script( 'retina', get_template_directory_uri() .'/js/vendor/retina.js', array('jquery'), null, true);	
	}
	if ( is_singular() && comments_open() ){
		wp_enqueue_script( 'comment-reply' );
	}
		
	wp_register_script( 'owlCarousel', get_template_directory_uri() . '/js/vendor/jquery.owlCarousel.js', array('jquery'), null, true);	
	wp_register_script( 'bxSlider', get_template_directory_uri() . '/js/vendor/jquery.bxslider.js', array('jquery'), null, true);	
	wp_register_script( 'cycle', get_template_directory_uri() . '/js/vendor/jquery.cycle.min.js', array('jquery'), null, true);
		
	wp_register_script( 'smooth-scroll', get_template_directory_uri() . '/js/vendor/smoothscroll.min.js', array('jquery'), null, true);
	wp_register_script( 'jquery-tweet', get_template_directory_uri() .'/js/vendor/jquery.tweet.js', array('jquery'), null, true);
	wp_register_script( 'jquery-flickr', get_template_directory_uri() .'/js/vendor/jquery.flickr.js', array('jquery'), null, true);
	wp_register_script( 'jquery-uisearch', get_template_directory_uri() .'/js/vendor/jquery.uisearch.js', array('jquery'), null, true);
	
	wp_register_script( 'validate', get_template_directory_uri() .'/js/plugins/validator/jquery.validate.js', array('jquery'), null, true);	
	$focus_wp_locale = get_locale();
	$focus_wp_spc_locales = array();
	if ( ! in_array( $focus_wp_locale, $focus_wp_spc_locales ) ) {
		$focus_wp_locale = current( explode( '_', $focus_wp_locale ) );
	}
	if ($focus_wp_locale != 'en') {
		wp_register_script( 'validate-translation', get_template_directory_uri() . '/js/plugins/validator/localization/messages_' . $focus_wp_locale . '.js', array('jquery','validate'), null, true );
	}
	
	wp_register_script( 'elastislide', get_template_directory_uri() .'/js/vendor/jquery.elastislide.js', array('jquery'), null);
	
	if ( class_exists( 'Qodux_Framework' ) ) {
		$focus_wp_stickyHeader   = focus_wp_get_option('general', 'sticky_header');
		
		if ($focus_wp_stickyHeader) {
			//wp_enqueue_script('waypoints');
			wp_enqueue_script('jquery-sticky'); // sticky works with waypoints
		}
	}
	
	$focus_wp_smoothScroll = focus_wp_get_option('general', 'smooth_scroll');
	if($focus_wp_smoothScroll) {
		wp_enqueue_script('smooth-scroll');
	}
}
add_action('wp_print_scripts', 'focus_wp_enqueue_scripts');


function focus_wp_scripts() {
	echo "\n";
    $data = 'var focus_wp_uri = "' . get_template_directory_uri() . '";';
    return wp_scripts()->add_inline_script( 'focus_wp-main', $data, $position = 'before' );
	echo "\n";
	wp_print_scripts('focus_wp-main');
	wp_print_scripts('focus_wp-plugins');
	if (class_exists('WPBakeryVisualComposerAbstract')) {
		wp_print_scripts( 'qodx-visual-composer-extensions-front');
	}
	wp_print_scripts('fitvids');
	wp_print_scripts('bootstrap');
}
add_action('wp_print_scripts', 'focus_wp_scripts');

function focus_wp_enqueue_styles(){
	if(is_admin()){
		return;
	}
	wp_enqueue_style('boostrap', get_template_directory_uri() . '/css/bootstrap.css', array(), null, 'all');
	wp_enqueue_style('focus_wp-style', get_template_directory_uri() . '/css/main.css', array(), null, 'all');
	if(focus_wp_get_option('general','woocommerce')){
		wp_enqueue_style('focus_wp-woocommerce', get_template_directory_uri() . '/css/woocommerce.css', array('focus_wp-style'), null, 'all');
	}
	
	wp_enqueue_style('font-awesome', get_template_directory_uri() .'/fonts/_fonts/font-awesome/font-awesome.css', array(), null, 'all');
	wp_enqueue_style('entypo-fontello', get_template_directory_uri() .'/fonts/_fonts/entypo-fontello/entypo-fontello.css', array(), null, 'all');
	wp_enqueue_style('etlinefont', get_template_directory_uri() .'/fonts/_fonts/et-line/etlinefont.css', array(), null, 'all');
	wp_enqueue_style('themify', get_template_directory_uri() .'/fonts/_fonts/themify/themify.css', array(), null, 'all');
	
	if(focus_wp_get_option('general','enable_animation')){
		wp_enqueue_style('animation', get_template_directory_uri() . '/css/animate.css', array('focus_wp-style'), null, 'all');
	}
	
	if(focus_wp_get_option('general','enable_responsive') ||  !class_exists( 'Qodux_Framework' ) ){
		wp_enqueue_style('focus_wp-media-styles', get_template_directory_uri() . '/css/responsive.css', array('focus_wp-style'), null, 'all');
	}
	$skin_type = focus_wp_get_option('general', 'skin_type');
	if($skin_type == 'dark'){	
		wp_enqueue_style('focus_wp-dark', get_template_directory_uri() . '/css/skins/dark.css', array(), null, 'all');
	}
	
	if(is_multisite()){
		global $blog_id;
		wp_enqueue_style('focus_wp-skin', get_template_directory_uri() . '/css/skin_'.$blog_id.'.css', array('focus_wp-style'), false, 'all');
	}else{
		wp_enqueue_style('focus_wp-skin', get_template_directory_uri() . '/css/skin.css', array('focus_wp-style'), false, 'all');
	}
		
	wp_register_style('YTPlayer', get_template_directory_uri().'/fonts/_fonts/YTPlayer/YTPlayer.css', array('focus_wp-style'), null, 'all');
	
}
add_action('wp_enqueue_scripts', 'focus_wp_enqueue_styles');

function focus_wp_slug_fonts_url() {
	$fonts = focus_wp_get_option('fonts','used_googlefonts');
		
	$fonts_url = '';
	$font_families = array();
	 if(is_array($fonts)) {
		foreach ($fonts as $font) {
			$font_families[] .= $font; 
		}
		$query_args = array('family' => urlencode( implode( '|', $font_families ) ),'subset' => urlencode( 'latin,latin-ext' ),
	);
	 
		$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
	} else {
		$font_families[] .= 'Open Sans:400,400italic,300,300italic,600,600italic,700,700italic,800,800italic'; 
		$query_args = array('family' => urlencode( implode( '|', $font_families ) ),'subset' => urlencode( 'latin,latin-ext' ),
	);
		$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
	
	 }
	 
	return esc_url_raw( $fonts_url );
}

function focus_wp_slug_scripts_styles() {
	wp_enqueue_style( 'focus_wp-slug-fonts', focus_wp_slug_fonts_url(), array(), null );
	
}
add_action( 'wp_enqueue_scripts', 'focus_wp_slug_scripts_styles' );

function focus_wp_js_comments() {
   wp_enqueue_script( 'validate');
   wp_enqueue_script( 'validate-translation' ); 
   wp_add_inline_script( 'validate', 'jQuery(document).ready(function($) { jQuery("#commentform").validate(); });' );
}
add_action( 'wp_enqueue_scripts', 'focus_wp_js_comments' );

function focus_wp_inline_fb() {
   wp_add_inline_script( 'focus_wp-main', '(function(d, s, id) {
	  var js, fjs = d.getElementsByTagName(s)[0];
	  if (d.getElementById(id)) return;
	  js = d.createElement(s); js.id = id;
	  js.async=true; js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.5";
	  fjs.parentNode.insertBefore(js, fjs);
	}(document, "script", "facebook-jssdk"));' );
}
add_action( 'wp_enqueue_scripts', 'focus_wp_inline_fb' );

function focus_wp_inline_disqus() {
    wp_add_inline_script( 'focus_wp-main', "(function() { 
	var d = document, s = d.createElement('script');
	s.src = '//qodux.disqus.com/embed.js';
	s.setAttribute('data-timestamp', +new Date());
	(d.head || d.body).appendChild(s);
})();" );
}
add_action( 'wp_enqueue_scripts', 'focus_wp_inline_disqus' );

/**
 * Detecting mobile devices
 */
 
if (class_exists('Mobile_Detect')) {
	global $focus_wp_mobile_detect;
	$focus_wp_mobile_detect = new Mobile_Detect;
} else {
	get_template_part( 'template-parts/mobile_detect' );
	global $focus_wp_mobile_detect;
	$focus_wp_mobile_detect = new Mobile_Detect;
}

?>