<!DOCTYPE html>
<?php 
if(focus_wp_get_option('general','enable_responsive')){ 
	$focus_wp_responsive = 'responsive ';
} else {
	$focus_wp_responsive = '';
}
$focus_wp_smoothScroll = focus_wp_get_option('general', 'smooth_scroll');
?>
<html class="<?php echo esc_attr( $focus_wp_responsive ); ?><?php if($focus_wp_smoothScroll): ?>qodx-smooth-scrolling <?php endif; ?>no-js" <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<?php 
if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>
<?php 
if($focus_wp_favicon = focus_wp_get_option('general','favicon')) { ?>
<link rel="shortcut icon" href="<?php echo esc_url($focus_wp_favicon); ?>" />
<?php } 
if($focus_wp_favicon_57 = focus_wp_get_option('general','favicon_57')) { ?>
<link rel="apple-touch-icon" href="<?php echo esc_url($focus_wp_favicon_57); ?>" />
<?php } 
if($focus_wp_favicon_72 = focus_wp_get_option('general','favicon_72')) { ?>
<link rel="apple-touch-icon" sizes="72x72" href="<?php echo esc_url($focus_wp_favicon_72); ?>" />
<?php } 
if($focus_wp_favicon_114 = focus_wp_get_option('general','favicon_114')) { ?>
<link rel="apple-touch-icon" sizes="114x114" href="<?php echo esc_url($focus_wp_favicon_114); ?>" />
<?php } 
if($focus_wp_favicon_144 = focus_wp_get_option('general','favicon_144')) { ?>
<link rel="apple-touch-icon" sizes="144x144" href="<?php echo esc_url($focus_wp_favicon_144); ?>" />
<?php }
} else {
    // display a message advising the user to use the site icon feature
} ?>
<?php wp_head(); ?>
</head>
<?php
if (focus_wp_is_blog()){
	global $focus_wp_blog_page_id;
	global $post;
	$focus_wp_blog_page_id = focus_wp_get_option('blog','blog_page');
	$post->ID = get_object_id($focus_wp_blog_page_id,'page');
}


global $focus_wp_layout;
/* Sidebar Alignement  */
get_template_part( '/framework/includes/layout' );

// Define / set dependent variables
$focus_wp_headerClass = 'qodx-normal-header';
$focus_wp_menu_type   = 'top';
$focus_wp_breadcrumbs_cls = '';

$focus_wp_stickyHeader = false;

if ( class_exists( 'Qodux_Framework' ) ) {
	$focus_wp_stickyHeader   = focus_wp_get_option('general', 'sticky_header');
	
	if ($focus_wp_stickyHeader) {
		$focus_wp_headerClass = 'qodx-sticky-header';
		$navbar 		     = ' navbar-fixed-top';
	}
}
	
if(!is_search() && !is_404() && !is_front_page()) {
	$focus_wp_type     		= get_post_meta($post->ID, '_intro_type', true);
	$focus_wp_bg       		= focus_wp_check_input(get_post_meta($post->ID, '_page_bg', true));
	$focus_wp_bg_position   = get_post_meta($post->ID, '_page_position_x', true);
	$focus_wp_bg_repeat     = get_post_meta($post->ID, '_page_repeat', true);
	$focus_wp_color 		= get_post_meta($post->ID, '_page_bg_color', true);
	$focus_wp_breadcrumbs   = get_post_meta($post->ID, '_disable_breadcrumb', true);
} else {
	$focus_wp_type     		= 'default'; 
	$focus_wp_breadcrumbs   = true;
}

$focus_wp_noStickyOnSS   = focus_wp_get_option('general', 'no_sticky_on_ss');
$focus_wp_animations     = focus_wp_get_option('general','enable_animation');
$focus_wp_pageLoader     = focus_wp_get_option('general','page_loader');
$focus_wp_responsiveNav  = focus_wp_get_option('general', 'responsive_nav');
$focus_wp_generalBcrumbs = focus_wp_get_option('general','disable_breadcrumb');

if(!focus_wp_is_enabled($focus_wp_breadcrumbs, $focus_wp_generalBcrumbs)) {
	$focus_wp_breadcrumbs_cls = ' qodx_bcrumbs_enabled';
} else {
	$focus_wp_breadcrumbs_cls = ' qodx_bcrumbs_disabled';
}

if(is_search()) { 
	$focus_wp_breadcrumbs_cls = ' qodx_bcrumbs_enabled';
}

if(!empty($focus_wp_color) && $focus_wp_color != "transparent"){
	$focus_wp_color = 'background-color:'.$focus_wp_color.';';
}else{
	$focus_wp_color = '';
}
if(!empty($focus_wp_bg)){
	$focus_wp_bg = 'background-image:url('.$focus_wp_bg.');background-position:top '.$focus_wp_bg_position.';background-repeat:'.$focus_wp_bg_repeat.'';
}else{
	$focus_wp_bg = '';
}
?>
<body <?php body_class(); ?>>

<?php if($focus_wp_pageLoader){ ?>
	<div id="qodx_loader" class="loader-block">
		<div class="loader-block-container">
			<div class="circle-block circle-block-style-6"></div>
		</div>
	</div>
<?php } ?>
    
 <!-- Main Wrapper
        ======================================================================== -->
        <div id="main-wrapper" class="<?php if($focus_wp_layout=='right'): ?>withSidebar rightSidebar<?php endif; ?><?php if($focus_wp_layout=='left'): ?>withSidebar leftSidebar<?php endif; ?><?php if($focus_wp_layout=='full'): ?>fullWidth<?php endif; ?> <?php echo esc_attr( $focus_wp_headerClass ); ?><?php if($focus_wp_noStickyOnSS): ?> qodx_noSticky_on_ss<?php endif; ?><?php if($focus_wp_type=='disable'): ?> qodx_intro_disabled<?php endif; ?><?php echo esc_attr( $focus_wp_breadcrumbs_cls ); ?><?php if($focus_wp_animations): ?> qodx_animations<?php endif; ?><?php if($focus_wp_menu_type == "top"): ?> qodx_nav_top<?php else: ?> qodx_nav_side<?php endif; ?> clearfix"<?php if(!empty($focus_wp_color) || !empty($focus_wp_bg)){echo' style="'.$focus_wp_color.''.$focus_wp_bg.'"';} ?>>
<?php 
			
$focus_wp_header_column = focus_wp_get_option('header','header_style');
if(is_numeric($focus_wp_header_column)) {
	switch ( $focus_wp_header_column ):
		case 2:
			get_template_part( 'template-parts/header/header-style-2' );
			break;
		case 1:
		default:
			get_template_part( 'template-parts/header/header-style-1' );
			break;
	endswitch;
} else {
	get_template_part( 'template-parts/header/header-style-1' );}
?>